<?php

$lang['date_year'] = "Vuosi";
$lang['date_years'] = "Vuotta";

$lang['date_month'] = "Kuukausi";
$lang['date_months'] = "Kuukautta";

$lang['date_week'] = "Viikko";
$lang['date_weeks'] = "Viikkoa";

$lang['date_day'] = "Päivä";
$lang['date_days'] = "Päivää";

$lang['date_hour'] = "Tunti";
$lang['date_hours'] = "Tuntia";

$lang['date_minute'] = "Minuutti";
$lang['date_minutes'] = "Minuuttia";

$lang['date_second'] = "Sekunti";
$lang['date_seconds'] = "Sekuntia";

$lang['su']		        = "Su";
$lang['mo'] 		= "Ma";
$lang['tu'] 		= "Ti";
$lang['we'] 		= "Ke";
$lang['th'] 		= "To";
$lang['fr'] 		= "Pe";
$lang['sa'] 		= "La";

$lang['sun'] 		= "Sun";
$lang['mon'] 		= "Maa";
$lang['tue'] 		= "Tii";
$lang['wed'] 		= "Kes";
$lang['thu'] 		= "Tor";
$lang['fri'] 		= "Per";
$lang['sat'] 		= "Lau";

$lang['sunday']		= "Sunnuntai";
$lang['monday']		= "Maanantai";
$lang['tuesday']	= "Tiistai";
$lang['wednesday']	= "Keskiviikko";
$lang['thursday']	= "Torstai";
$lang['friday']		= "Perjantai";
$lang['saturday']	= "Lauantai";

$lang['jan'] 		= "Tammi";
$lang['feb'] 		= "Helmi";
$lang['mar'] 		= "Maalis";
$lang['apr'] 		= "Huhti";
$lang['may'] 		= "Touko";
$lang['jun'] 		= "Kesä";
$lang['jul'] 		= "Heinä";
$lang['aug'] 		= "Elo";
$lang['sep'] 		= "Syys";
$lang['oct'] 		= "Loka";
$lang['nov'] 		= "Marras";
$lang['dec'] 		= "Joulu";

$lang['january'] 	= "Ta&#109;&#109;ikuu";
$lang['february'] 	= "Helmikuu";
$lang['march'] 		= "Maaliskuu";
$lang['april']		= "Huhtikuu";
$lang['mayl'] 		= "Toukokuu";
$lang['june'] 		= "Kesäkuu";
$lang['july'] 		= "Heinäkuu";
$lang['august']		= "Elokuu";
$lang['september']	= "Syyskuu";
$lang['october'] 	= "Lokakuu";
$lang['november']	= "Marraskuu";
$lang['december'] 	= "Joulukuu";

//timezones
$lang['UM12']	= '(UTC -12:00) Baker/Howland Island';
$lang['UM11']	= '(UTC -11:00) Samoa aikavyöhyke, Niue';
$lang['UM10']	= '(UTC -10:00) Hawaii-Aleutian normaaliaika, Cook Islands/saaret, Tahiti';
$lang['UM95']	= '(UTC -9:30) Marquesas Islands';
$lang['UM9']	= '(UTC -9:00) Alaska normaaliaika, Gambier Islands';
$lang['UM8']	= '(UTC -8:00) Pacific normaaliaika, Clipperton Island';
$lang['UM7']	= '(UTC -7:00) Mountain normaaliaika';
$lang['UM6']	= '(UTC -6:00) Central normaaliaika';
$lang['UM5']	= '(UTC -5:00) Eastern normaaliaika, Western Caribbean normaaliaika';
$lang['UM45']	= '(UTC -4:30) Venezuelan normaaliaika';
$lang['UM4']	= '(UTC -4:00) Atlantic normaaliaika, Eastern Caribbean normaaliaika';
$lang['UM35']	= '(UTC -3:30) Newfoundland normaaliaika';
$lang['UM3']	= '(UTC -3:00) Argentina, Brazil, French Guiana, Uruguay';
$lang['UM2']	= '(UTC -2:00) South Georgia/South Sandwich saaret';
$lang['UM1']	= '(UTC -1:00) Azores, Cape Verde saaret';
$lang['UTC']	= '(UTC) Greenwich Mean aika, Länsi-Euroopan aika';
$lang['UP1']	= '(UTC +1:00) Keski-Euroopan aika, Länsi-Afrikan aika';
$lang['UP2']	= '(UTC +2:00) Suomen aika, Itä-Euroopan aika, Kaliningradin aika';
$lang['UP3']	= '(UTC +3:00) Moskovan aika, East Afrikan aika';
$lang['UP35']	= '(UTC +3:30) Iranin normaaliaika';
$lang['UP4']	= '(UTC +4:00) Azerbaijanin normaaliaika, Samaran aika';
$lang['UP45']	= '(UTC +4:30) Afghanistan';
$lang['UP5']	= '(UTC +5:00) Pakistanin normaaliaika, Jekaterinburgin aika';
$lang['UP55']	= '(UTC +5:30) Intian normaaliaika, Sri Lankan aika';
$lang['UP575']	= '(UTC +5:45) Nepalin aika';
$lang['UP6']	= '(UTC +6:00) Bangladeshin normaaliaika, Bhutanin aika, Omskin aika';
$lang['UP65']	= '(UTC +6:30) Cocos Islands/Saaret, Myanmar';
$lang['UP7']	= '(UTC +7:00) Krasnoyarskin aika, Cambodia, Laos, Thailand/Thaimaa, Vietnam';
$lang['UP8']	= '(UTC +8:00) Länsi-Austraalian normaaliaika, Beijing/Pekingin aika, Irkutskin aika';
$lang['UP875']	= '(UTC +8:45) Austraalian Keski-lännen normaaliaika';
$lang['UP9']	= '(UTC +9:00) Japanin normaaliaika, Korean normaaliaika, Yakutskin aika';
$lang['UP95']	= '(UTC +9:30) Keski-Austraalian normaaliaika';
$lang['UP10']	= '(UTC +10:00) Itä-Austraalian normaaliaika, Vladivostokin aika';
$lang['UP105']	= '(UTC +10:30) Lord Howe Island/saaret';
$lang['UP11']	= '(UTC +11:00) Magadan aika, Solomon Saaret, Vanuatu';
$lang['UP115']	= '(UTC +11:30) Norfolk Island';
$lang['UP12']	= '(UTC +12:00) Fiji, Gilbert Islands, Kamchatka aika, Uuden-Seelanin normaaliaika';
$lang['UP1275']	= '(UTC +12:45) Chatham Islands/saaret normaaliaika';
$lang['UP13']	= '(UTC +13:00) Phoenix Islands aika, Tonga';
$lang['UP14']	= '(UTC +14:00) Line Islands/saaret';