<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$obj = 'bulk_mails';


/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);

$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true,'class'=>'current current_f4')
);
//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('queue_multiple'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'mail_q_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('queued'),'width'=>5),
	'send_time'=>array('label'=>$lang->translate('send_time'),'width'=>15),
	'sent_time'=>array('label'=>$lang->translate('sent_time'),'width'=>15),
	'mail_template_id'=>array( 'label'=>$lang->translate('mail_template'),'width'=>''),
	//'subject'=>array('label'=>$lang->translate('subject')),
	'start'=>array('label'=>$lang->translate('offset'),'width'=>5)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'mail_q_id'
	)
);

$config['orderby'] = 'mail_q_id desc';
$config['form_fields'] = array(
	'mail_template_id'=>array('label'=>$lang->translate('mail_template'),'value'=>'','rules'=>'required','options'=>array()),
	
	'sender_name'=>array('label'=>$lang->translate('sender_name'),'value'=>'','rules'=>''),
	'sender_email'=>array('label'=>$lang->translate('sender_email'),'value'=>'','rules'=>'trim|valid_email'),
	'subject'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'body'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>''),
	
	'start'=>array('label'=>$lang->translate('start'),'value'=>0,'rules'=>'required|numeric'),
	'active'=>array('label'=>$lang->translate('queued'),'value'=>0,'rules'=>''),
	'send_date'=>array('label'=>'','value'=>'','rules'=>''),
	'send_hour'=>array('label'=>'','value'=>date('H:i'),'rules'=>''),
	'send_time'=>array('label'=>'','value'=>'','rules'=>''),
	
	'ugroup'=>array(
		'label'=>$lang->translate('ugroup'),
		'value'=>"guest,owner,admin",
		'options'=>array(
			'guest'=>array(
				'label'=>$g_O->lang->translate('ugroup_guest'),
				'value'=>'',
			),
			'member'=>array(
				'label'=>$g_O->lang->translate('ugroup_member'),
				'value'=>'',
			),
			'admin'=>array(
				'label'=>$g_O->lang->translate('ugroup_admin'),
				'value'=>''
			)
		),
		'rules'=>''
	),
	'test_mode'=>array('label'=>$lang->translate('test_mode'),'value'=>0,'rules'=>'')
);
$config['form_data_fields'] = array(
	'active',
	'mail_template_id','queued','start',
	'sender_name','sender_email','subject','body','send_time','ugroup','test_mode'
);