<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'gimages';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false),
);
$config['options_bar']['view_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add','visible'=>true,'current'=>false),
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['add_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
$config['options_bar']['edit_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar


$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);
$config['quick_actions_wysiwyg'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple_wysiwyg'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple_wysiwyg'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple_wysiwyg')
);

$config['list_header_fields'] = array(
	'gimage_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'img_file'=>array('label'=>$lang->translate('img_file'),'width'=>10,'order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','editable'=>true,'editable_section'=>$obj),
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'gimage_id',
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'like'=>true
	)
);

$config['orderby'] = 'gimage_id desc';
$config['form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'description_1'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	
	'img_file'=>array('label'=>'','value'=>'','rules'=>''),
	'img_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	'img_file_resized'=>array('label'=>'','value'=>'','rules'=>''),
	
	'x'=>array('label'=>'','value'=>'','rules'=>''),
	'y'=>array('label'=>'','value'=>'','rules'=>''),
	
	'width'=>array('label'=>$lang->translate('width'),'value'=>'400','rules'=>'numeric'),
	'height'=>array('label'=>$lang->translate('height'),'value'=>'400','rules'=>'numeric'),
	
	'img_options'=>array('label'=>'','value'=>'','rules'=>''),
	'ctime'=>array('label'=>'','value'=>'','rules'=>''),
	
	'o_width'=>array('value'=>''),
	'o_height'=>array('value'=>'')
);

$config['form_data_fields'] = array(
	'active',
	'title_1','title_2','title_3','title_4','title_5',
	'description_1','description_2','description_3','description_4','description_5',
	'img_file','width','height'
);

$config['upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/gimages/',
	'upload_subdir'=>upload_subdir_p(),
	'allowed_types'=>'jpg|jpeg|gif|png',
	'max_size'=>0,
	'max_width'=>1024,
	'max_height'=>768
);
$config['form_fields']['img_file_upload']['options'] = array(
	'max_size'=>$config['upload']['max_size']!=0?$config['upload']['max_size']:'&#8734;',
	'max_size_wxh'=>($config['upload']['max_width'].' &times; '.$config['upload']['max_height'].' px'),
	'allowed_types'=>implode(', ',explode('|',$config['upload']['allowed_types'])),
	'max_size_uploadify'=>(1024*$config['upload']['max_size']),
	'allowed_types_uploadify'=>"*.jpg;*.jpeg;*.png;*.gif",
	'i_width'=>$config['upload']['max_width'],
	'i_height'=>$config['upload']['max_height']
);


$config['crop'] = array(
	'source_image'=>PUBLIC_PATH.'upload/gimages/%s',
	'new_image'=>PUBLIC_PATH.'upload/gimages/%s',
	'x_axis'=>'',
	'y_axis'=>'',
	'width'=>'',
	'height'=>'',
	'quality'=>100
);

$config['rotate'] = array(
	'source_image'=>PUBLIC_PATH.'upload/gimages/%s',
	'rotation_angle'=>90,
	'quality'=>100
);