<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'languages';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple'),
	array('id'=>'swap','label'=>$lang->translate('swap_content'),'href'=>'swap_content')
);

$config['list_header_fields'] = array(
	'language_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'width'=>10),
	'use_system_flag'=>array('label'=>$lang->translate('use_system_flag'),'width'=>10),
	'system_flag_file'=>array('label'=>$lang->translate('system_flag'),'width'=>10,'order'=>false),
	'flag_file'=>array('label'=>$lang->translate('flag_file'),'width'=>10,'order'=>false),
	'title'=>array('label'=>$lang->translate('title'),'width'=>'','editable'=>true,'editable_section'=>$obj)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'language_id'
	),
	'title'=>array(
		'like'=>true,
		'is_default'=>true
	)
);

$config['orderby'] = 'hierarchy asc';
$config['form_fields'] = array(
	'title'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required|','xss'=>true),
	'idiom'=>array('label'=>$lang->translate('idiom'),'value'=>'','rules'=>'required'),
	'code_2'=>array('label'=>$lang->translate('code_2'),'value'=>'','rules'=>'required'),
	'code_3'=>array('label'=>$lang->translate('code_3'),'value'=>'','rules'=>''),
	'date_format'=>array(
		'label'=>$lang->translate('date_format'),
		'value'=>'%Y-%m-%d',
		'rules'=>'required',
		'options'=>array(
			'%Y-%m-%d'=>date('Y-m-d'),
			'%d-%m-%Y'=>date('d-m-Y'),
			'%d.%m.%Y'=>date('d.m.Y'),
			'%d-%M-%Y'=>date('d-M-Y')
		),
	),
	'flag_file'=>array(),
	'flag_file_upload'=>array(),
	'system_flag_file'=>array(),
	'use_system_flag'=>array('label'=>$lang->translate('use_system_flag'),'value'=>0,'rules'=>''),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>'')
);

$config['form_data_fields'] = array(
	'title',
	'active',
	'idiom',
	'ctime','mtime',
	'code_2','code_3',
	'flag_file',
	'system_flag_file',
	'use_system_flag',
	'date_format'
);

$config['upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/flags/',
	'allowed_types'=>'jpg|gif|png|bmp',
	'max_size'=>0,
	'max_width'=>0,
	'max_height'=>0
);
$config['resize'] = array(
	'source_image'=>PUBLIC_PATH.'upload/flags/%s',
	'new_image'=>PUBLIC_PATH.'upload/flags_resize/%s',
	"mentain_ratio"=>true,
	"width"=>16,
	"height"=>16
);