<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = $g_O->config->item('lang_key');

$obj = 'sms_templates';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);

$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);

//end options bar


$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'sms_template_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'alias'=>array('label'=>$lang->translate('alias'),'width'=>''),
	'sender_name'=>array('label'=>$lang->translate('sender_name'),'width'=>'','editable'=>true,'editable_section'=>$obj),
	'sender_phone'=>array('label'=>$lang->translate('sender_phone'),'width'=>'','editable'=>true,'editable_section'=>$obj),
	'subject_'.$lang_key=>array('label'=>$lang->translate('subject'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>10,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'sms_template_id'
	),
	'subject'=>array(
		'db_field'=>'subject_'.$lang_key
	),
	'alias'=>array(),
	'sender_name'=>array(),
	'sender_phone'=>array()
);

$config['orderby'] = 'sms_template_id desc';
$config['form_fields'] = array(
	'sender_name'=>array('label'=>$lang->translate('sender_name'),'value'=>'','rules'=>'trim|required'),
	'sender_phone'=>array('label'=>$lang->translate('sender_phone'),'value'=>'','rules'=>'trim|required'),
	'bcc_copy'=>array('label'=>$lang->translate('bcc_copy'),'value'=>'','rules'=>'trim'),
	'body_1'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>'trim|required|max_length[70]'),
	'body_2'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>'max_length[70]'),
	'body_3'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>'max_length[70]'),
	'body_4'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>'max_length[70]'),
	'body_5'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>'max_length[70]'),
	'subject_1'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>'trim|required'),
	'subject_2'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'subject_3'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'subject_4'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'subject_5'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'alias'=>array('label'=>$lang->translate('alias'),'value'=>'','rules'=>'trim|required'),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>'')
);

$config['form_data_fields'] = array(
	'active',
	'subject_1','subject_2','subject_3','subject_4','subject_5',
	'body_1','body_2','body_3','body_4','body_5',
	'sender_name','sender_phone','alias','bcc_copy'
);