<?php
$config['with_ssl'] = array(
	'admin',
	'member',
	'auth',
	'register',
	'preview'
);
$config['without_ssl'] = array(
	'search'
);

$config['dont_redirect_if_ssl_is_on'] = array(
	'captchar',
	'chat',
	'ajax',
	'process_upload'
);

$q_string = isset($_SERVER['QUERY_STRING'])?$_SERVER['QUERY_STRING']:'';
$q_string = trim(str_replace(".","",$q_string),'/');
$https = false;


if(!empty($config['with_ssl']) && !empty($q_string))
{
	if(preg_match('/('.implode('|',$config['with_ssl']).')/i',$q_string) && !preg_match('/('.implode('|',$config['without_ssl']).')/i',$q_string))
	{
		$https = true;
	}
}

if(IS_SSL)
{
	if(!empty($config['dont_redirect_if_ssl_is_on']) && !empty($q_string))
	{
		if(preg_match('/('.implode('|',$config['dont_redirect_if_ssl_is_on']).')/i',$q_string))
		{
			$https = true;
		}
	}
}

if($https)
	$config['base_url'] = str_replace('http://','https://',$config['base_url']);