<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$config['contact_form_fields'] = array(
	'name'=>array(
		'label'=>$lang->translate('your_name'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'email'=>array(
		'label'=>$lang->translate('email'),
		'rules'=>'trim|valid_email|required',
		'value'=>'',
		'xss'=>true
	),
	'phone'=>array(
		'label'=>$lang->translate('phone'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'message'=>array(
		'label'=>$lang->translate('message'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'subject'=>array(
		'label'=>$lang->translate('subject'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'captcha'=>array(
		'label'=>$lang->translate('captcha'),
		'rules'=>'trim|required|check_captcha',
		'value'=>'',
	)
);
$config['contact_form_data_fields'] = array('name','phone','email','subject','message');
