<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

/* SEARCH
***********************************************************************************/

//order level 0
$config['search_order_fields'] = array(
	'ctime',
	'views','featured'
);

$config['order_by'] = array(
	'order_by' => 'featured',
	'order_dir'=> 'desc'
);

//default order - level 1
$config['order_by_str'] = 'views asc';

$config['search_pagination'] = array( 'base_url'=>'','per_page' =>10,'uri_segment' =>3,'total_rows' =>0);

//search form fields
$config['search_form_fields'] = array(
	'location'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'location_str','operator'=>'','xss'=>true,'options'=>array()	),
	'location_path'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'location_str','operator'=>'','xss'=>true,'options'=>array(),'for_search'=>''),
	'featured'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'featured','operator'=>'=','options'=>array(),'xss'=>true)
);


//completes the location fields
for($i=1;$i<=$g_O->config->item('number_levels','location_levels');$i++)
	$config['search_form_fields']['location_'.$i] = array(
		'label'=>$lang->translate('choose_'.$g_O->config->item('location_'.$i)),
		'value'=>'',
		'rules'=>'',
		'options'=>array()
);
//used in form
$config['search_form_fields']['location']['params'] = array(
	'number_levels'=>$g_O->config->item('number_levels','location_levels'),
	'levels'=>$g_O->config->item('levels','location_levels')
);

//search fields
$config['search_form_refine_fields'] = array(
	
);
$config['search_form_data_fields'] = array(
	'location',
	'location_path',
	'featured'
);


$config['multiselect_max_options'] = 10;
foreach ($config['search_form_fields'] as $field=>$conf_field)
{
	if(isset($conf_field['multiselect']))
	{
		if(!empty($conf_field['multiselect']))
		{
			for($i=2;$i<=$config['multiselect_max_options'];$i++)
			{
				$config['search_form_fields']["$field"."$i"] = $config['search_form_fields'][$field];
				//$config['search_form_refine_fields'][] = $field.$i;
				$config['search_form_data_fields'][] = $field.$i;
			}
		}
	}
}


//search select
$config['sql_search_select'] = "
			SELECT 
				".$g_O->db->protect_i('guides',true).'.'.$g_O->db->protect_i('guide_id')
				.",".$g_O->db->protect_i('guide_status')
				.",IF(
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('title_'.$lang_key)." <>'',
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('title_'.$lang_key).",
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('title_1')."
				) as title"
				.",IF(
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('description_'.$lang_key)." <>'',
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('description_'.$lang_key).",
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('description_1')."
				) as description"
				.",".$g_O->db->protect_i('views')
				.",".$g_O->db->protect_i('location_id')
				.",".$g_O->db->protect_i('location_str')
				.",".$g_O->db->protect_i('guide_photos',true).'.ctime as photo_ctime'
				.",".$g_O->db->protect_i('guide_photos',true).'.guide_photo_file as photo'
				.",IF(
					".$g_O->db->protect_i('guide_photos',true).".".$g_O->db->protect_i('title_'.$lang_key)." <>'',
					".$g_O->db->protect_i('guide_photos',true).".".$g_O->db->protect_i('title_'.$lang_key).",
					".$g_O->db->protect_i('guide_photos',true).".".$g_O->db->protect_i('title_1')."
				) as photo_title"

			;
$config['sql_details'] =  "
			SELECT 
				
				".$g_O->db->protect_i('guide_id')
				.",".$g_O->db->protect_i('location_id')
				.",".$g_O->db->protect_i('location_str')
				
				.",IF(
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('title_'.$lang_key)." <>'',
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('title_'.$lang_key).",
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('title_1')."
				) as title"
				
				.",".$g_O->db->protect_i('guide_status')
				.",".$g_O->db->protect_i('views')
				
				.",IF(
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('description_'.$lang_key)." <>'',
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('description_'.$lang_key).",
					".$g_O->db->protect_i('guides',true).".".$g_O->db->protect_i('description_1')."
				) as description"
				;
