var m_min_stay = 1;
//var temp_opts = {};
var bookings = function()
{
	return {
		'get_min_stay':function(start_date,listing_id)
		{
			if(!start_date || !listing_id) return 1;
			if(!$("#spinner")[0])
					$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body');
			
			var $el = $("#end_date_picker");
			var position = $el.offset();
			var width = $el.width();
			var $this = this;
					
			$.ajax(
			{
				url: site_url+'admin/ajax_bookings/get_min_stay/start_date.'+start_date+'/listing_id.'+listing_id,
				type: 'GET',
				beforeSend: function()
				{
					$('#spinner').css({ top: position.top , left: position.left+width-2}).fadeIn();
				},	
				success: function(data) 
				{	
					data = parseInt(data);
					m_min_stay = data==0?1:data;
					
					//update end date
					var s_date = $.datepicker.parseDate('yy-mm-dd',start_date);
					var e_date = s_date;
					e_date.setDate(s_date.getDate()+m_min_stay);
					$( "#end_date_picker" ).datepicker( "option", "minDate", e_date).datepicker('setDate',e_date).datepicker('show');
				},
				complete:function()
				{
					$("#spinner").fadeOut();
				}
				
			}
			);
		},
		'start_date_init':function(){
			var today = new Date();
			var $this = this;
			var listing_id = $("#listing_id").val();
			var check_start_date = function()
			{
				if($("#start_date").val()) 
				{
					$("#start_date").val($.datepicker.formatDate('yy-mm-dd',$.datepicker.parseDate('yy-mm-dd',$("#start_date").val())));
					return $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
				}
				else 
				{
				}
			}
			var selected = check_start_date();
			
			$("#start_date_picker").datepicker({
				//minDate:0,
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#start_date",
				altFormat: "yy-mm-dd",
				//showOn: "both",
				//buttonImage: base_url+'public/images/btns/btn_calendar.png',
				//buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					if(typeof(selectedDate)=='undefined') return;
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					/*
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#qb_end_date_picker" ).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day).datepicker('show');*/
					
					$this.get_min_stay($.datepicker.formatDate('yy-mm-dd',selected_date),listing_id);
				},
				beforeShowDay: function(date)
				{
					if(typeof(date)!='object') return [false];
					var d = date.getFullYear()+'-'+(date.getMonth()+1)+'-'+date.getDate();
					var selectable = true;
					if(typeof(booking_calculator_datepicker_data[d])!='undefined')
					{
						switch(booking_calculator_datepicker_data[d].c)
						{
							case 'booked':
							case 'booked_pending_arrival':
							case 'booked_departure_unknown':
							case 'pending_booked_arrival':
							case 'unknown_booked_arrival':
							case 'pending':
							case 'unknown':
								selectable = false;
								break;
						}
						return [selectable,booking_calculator_datepicker_data[d].c];
					}else return [true];
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(){
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var check_end_date = function()
			{
				if($("#end_date").val()) 
				{
					$("#end_date").val($.datepicker.formatDate('yy-mm-dd',$.datepicker.parseDate('yy-mm-dd',$("#end_date").val())));
					return $.datepicker.parseDate('yy-mm-dd',$("#end_date").val());
				}
				else {}
				/*
				else if ($("#qb_start_date").val())
				{
					var start_date = $.datepicker.parseDate('yy-mm-dd',$("#qb_start_date").val());
					start_date.setDate(start_date.getDate()+1);
					return start_date;
				}
				//else
					//return tomorrow;*/
			}
			var selected = check_end_date();
			
			$( "#end_date_picker" ).datepicker({
				defaultDate: "+1w",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#end_date",
				altFormat: "yy-mm-dd",
				//showOn: "both",
				//buttonImage: base_url+'public/images/btns/btn_calendar.png',
				//buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					if(typeof(selectedDate)!='undefined') return;
					//$( "#start_date_picker" ).datepicker( "option", "maxDate", selectedDate );
				},
				beforeShowDay: function(date)
				{
					if(typeof(date)!='object') return [false];
					var d = date.getFullYear()+'-'+(date.getMonth()+1)+'-'+date.getDate();
					var selectable = true;
					if(typeof(booking_calculator_datepicker_data[d])!='undefined')
					{
						switch(booking_calculator_datepicker_data[d].c)
						{
							case 'booked':
							case 'pending':
							case 'unknown':
								selectable = false;
								break;
						}
						return [selectable,booking_calculator_datepicker_data[d].c];
					}else return [true];
				}
			}).datepicker('setDate',selected);
			//if($("#start_date").val()) $("#end_date_picker").datepicker("show");
		},
		'get_calculator_opts': function()
		{
			var calculator_opts = {};
				
			calculator_opts.start_date = $("#start_date").val();
			calculator_opts.end_date = $("#end_date").val();
			calculator_opts.guests = 0;
			calculator_opts.guests = parseInt($("#number_adults").val())+parseInt($("#number_children").val());
			calculator_opts.guests = calculator_opts.guests>0?calculator_opts.guests:1;
			calculator_opts.adults = $("#number_adults").val();
			calculator_opts.children = $("#number_children").val();
			calculator_opts.listing_id = $("#listing_id").val();
			
			//optional addons
			var addons_optional_ids = [];
			$(".addons_optional").each(
				function()
				{
					if($(this).is(':checked')) addons_optional_ids.push($(this).val());
				}
			);
			//if(addons_optional_ids.length>0)
			calculator_opts.addons_optional = addons_optional_ids.join(','); 
			return calculator_opts;
		},
		'init_calculator': function()
		{
			if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
			
			bookings.start_date_init();
			bookings.end_date_init();
			
			var ignore_booking_id = $("#ignore_booking_id").val();
			
			var $this = this;
			
			$(document).on('click','#btn_calculate',function(e){
				e.preventDefault();
				var opts = $this.get_calculator_opts();
				
				if(!opts.start_date || !opts.end_date || !opts.listing_id) return false;
				if(!$("#spinner")[0])
						$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body'); 
					
				var $position = $(this).offset();
				var $width = $(this).width();
					
				$.ajax(
				{
					url: site_url+'admin/ajax_bookings/booking_calculator/start_date.'+opts.start_date+'/end_date.'+opts.end_date+'/listing_id.'+opts.listing_id+'/adults.'+opts.adults+'/children.'+opts.children+'/addons_optional.'+opts.addons_optional+'/ignore_booking_id.'+ignore_booking_id+'/',
					type: 'GET',
					beforeSend: function()
					{
						$('#spinner').css({ top: $position.top+2 , left: $position.left+$width+15}).fadeIn();
					},	
					success: function(data) 
					{	
						if(!data.is_error)
						{
							var fields = ["rental_price","rental_price_plus_taxes","extra_persons_price","extra_persons_price_plus_taxes","total_addons","total_addons_plus_taxes","subtotal","subtotal_plus_taxes","total_discount","total","deposit","check_in_price"];
							for(i in fields)
							{
								$("#"+fields[i]).val(parseFloat(data[fields[i]])).parent().highlightFade();
							}
						}
						$("#booking_calculator_response_box").html(data.html_response);
					},
					complete:function() { $("#spinner").fadeOut(); }
				}); 	
			});
			var fields = ["rental_price","extra_persons_price","total_addons","subtotal"];
			for(i in fields)
			{
				$("#"+fields[i]+"_plus_taxes").load(site_url+'admin/ajax_bookings/amount_plus_taxes/amount.'+$("#"+fields[i]).val());
			}
		}
	}
}();

$(document).ready(
	function(){
		bookings.init_calculator();
	}
);