function update_mail_templates_list()
{
	var el = $("#mail_template_id");
	var position = el.offset();
	var width = el.width();
						
	$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
					
	$.ajax(
	{
		url: base_url+'admin/ajax_bulk_mails/update_mail_templates_list/',
		type: 'GET',
		beforeSend: function()
		{
			$('#spinner').css({ top: position.top+5 , left: position.left+width-40}).fadeIn();
		},	
		success: function(data) 
		{
			if(data.length!=0) $("#mail_template_id_ajax").html(data);
			$("#spinner").fadeOut();
		}
	});				
}

var bulk_mails = function(){
	return {
		'send_time':function(){
			$("#send_hour").timepicker({
				showPeriodLabels: false
			});
		},
		'send_date':function()
		{
			var today = new Date();
			var $this = this;
			var check_send_date = function()
			{
				if($("#send_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#send_date").val());

				}
				else 
				{
					return today;
				}
			}
			var selected = check_send_date();
			
			
			$("#send_date_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#send_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					
				}
			}).datepicker('setDate',selected);
			
		},
		check_all:function(el)
		{
			var $el = $("#"+el);
			if(!$el[0]) 
			{
				return false;
			}
			$el.find('li').children(':checkbox').each(
				function()
				{
					this.checked = true;
				}
			);
		},
		uncheck_all:function(el)
		{
			var $el = $("#"+el);
			if(!$el[0]) 
			{
				return false;
			}
			$el.find('li').children(':checkbox').each(
				function()
				{
					this.checked = false;
				}
			);
		}
	}
}();
	

$(document).ready(function(){
	
	if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
			
	bulk_mails.send_date();
	bulk_mails.send_time();
	
	$("#create_mail_template").colorbox(
		{
			width:"80%",
			height:"99%", 
			iframe:true, 
			onClosed:function(){
				update_mail_templates_list();
			},
			onComplete:function(){}
		}
	);
	
	$(document).on('click',"#edit_mail_template",
		function(e)
		{
			
			e.preventDefault();
			var mail_template_id = $("#mail_template_id").find(':selected').val();
			var $this = $(this);
			if(mail_template_id!='')
			{
				$.colorbox(
				{
					width:"80%",
					height:"99%", 
					iframe:true,
					href:$this.attr('href')+mail_template_id,
					onClosed:function(){
					},
					onComplete:function(){}
				}
				);
			}
		}
	);
});
