var languages = function()
{
	return {
		get_system_flag:function(src)
		{
			$("#code_2").blur(
				function()
				{
					var code_2 = $(this).val();
					var position = $(this).offset();
					var width = $(this).width();
					
					//create loader
					$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
					if(src){
						$.ajax(
						{
							url: src+'/'+code_2,
							type: 'GET',
							beforeSend: function()
							{
								$('#spinner').css({ top: position.top+5 , left: position.left+width+5}).fadeIn();
							},	
							success: function(xml) 
							{
								var system_flag_form = $('flag_form',xml).text();
								$("#system_flag_response").empty();
								if(system_flag_form!='')
								{
									$("#system_flag_response").html($('flag_form',xml).text());
									$("#system_flag_file").val($('flag_file',xml).text());
								}
								$("#system_flag_response").highlightFade();
								$("#spinner").fadeOut();
							}
						});
					}else throw new Error('No src passed to get_system_flag');
				}
			);
		},
		get_idiom_info:function(idiom)
		{
			if(!idiom) return;
			$("#idiom_info_response").load(site_url+'admin/ajax_languages/get_idiom_info/'+idiom);
		},
		idiom_info_init:function()
		{
			var $this = this;
			if($("#idiom").val())
				$this.get_idiom_info($("#idiom").val());
				
			$("#idiom").change(
				function(){
					$this.get_idiom_info($("#idiom").val());
				}
			);
			
		}		
	}
}();

$(document).ready(function(){
	languages.get_system_flag(site_url+'admin/ajax_languages/get_system_flag');
	languages.idiom_info_init();
});
