var editAreaLoader;
var templates = function(){
	return {
		'init_editarea': function(id,syntax){
			if(!id) id = 'tpl_content';
			if(!syntax) syntax = 'html';
			editAreaLoader.init(
				{
					id: "tpl_content",
					start_highlight: true,
					allow_resize: "both",
					allow_toggle: true,
					word_wrap: false,
					language: "en",
					syntax: syntax
				}
			);	
			//console.log(editAreaLoader);
		},
		'init_templates_tree':function()
		{
			$('#templates_tree').fileTree(
			{ 
				root:'', 
				script: site_url+'admin/ajax_cms/templates_tree',
				expandSpeed:1,
				collapseSpeed:1 
			}, 
			function(file)
			{ 
				$("#tpl").val(file);
				$.ajax(
					{
						url: site_url+"admin/ajax_cms/get_template_content/",
						type: 'POST',
						data :'tpl='+file,
						beforeSend: function()
						{
							$("#templates_tree").append('<div id="tpl_ajax"><img src="'+base_url+'public/images/loading.gif'+'" /></div>');
						},	
						success: function(data) 
						{
							editAreaLoader.setValue("tpl_content",data, "");
							$("#tpl_ajax").remove();
							$.fn.colorbox.close();
						}
					});
			}
			);

		},//end init_templates_tree
		'show_templates_tree':function()
		{
			$('#show_templates_tree').colorbox({width:"50%",height:"70%", inline:true, href:"#templates_tree",title:browse_title});
			$('#tpl').click(
				function(){
					$.fn.colorbox({width:"50%",height:"70%", inline:true, href:"#templates_tree",title:browse_title});
				});
		},
		/*
		'insert':function()
		{
			$("#insert_content").change(
			function()
			{
				var v = $(this).val();
				var t = $("#insert_content option:selected").text();
				if(v!='')
				{
					editAreaLoader.insertTags("tpl_content",'{cms_content id="'+v+'" title="'+t+'"}', "");
				}
			}
			);
			
			$("#insert_links").change(
			function()
			{
				var v=$(this).val();
				var t = $("#insert_links option:selected").text();
				if(v!='')
				{
					editAreaLoader.insertTags("tpl_content",'{cms_link id="'+v+'" title="'+t+'"}', "");
				}
			}
			);
		},*/
		'insert_content':function(v,t)
		{
			if(v!='')
			{
				editAreaLoader.insertTags("tpl_content",'{cms_content id="'+v+'" title="'+t+'"}', "");
			}
		},
		'insert_link':function(v,t)
		{
			if(v!='')
			{
				editAreaLoader.insertTags("tpl_content",'{cms_link id="'+v+'" title="'+t+'"}', "");
			}
		}
	}
}();

$(document).ready(function(){
	templates.init_editarea();
	templates.init_templates_tree();
	templates.show_templates_tree();
	//templates.insert();
});
