
var tools = function(){
	return {
		'init_dboptimize':function()
		{
			var $this = this;
			var $el = $("#db_optimize");
			var position = $el.offset();
			var width = $el.width();
				
			if(!$("#spinner")[0])
				$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body');
			
			$(document).on('click','#db_optimize',
				function(e)
				{
					e.preventDefault();
					$.ajax(
					{
						url: site_url+'/admin/ajax_tools/dboptimize',
						type: 'GET',
						beforeSend: function()
						{
							$('#spinner').css({ top: position.top+1 , left: position.left+width+5}).fadeIn();
						},	
						success: function(data) 
						{
							$("#dbtools_response").fadeIn().html(data);
						},
						error : function(ajax_status)
						{
						},
						complete:function()
						{
							$("#spinner").fadeOut();
						}
					});
				}
			);
		},
		'init_dbbackup':function(){
			var $this = this;
			var $el = $("#db_backup");
			var position = $el.offset();
			var width = $el.width();
				
			if(!$("#spinner")[0])
				$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body');
			
			$(document).on('click','#db_backup',
				function(e)
				{
					e.preventDefault();
					$.ajax(
					{
						url: site_url+'/admin/ajax_tools/dbbackup',
						type: 'GET',
						beforeSend: function()
						{
							$('#spinner').css({ top: position.top+1 , left: position.left+width+5}).fadeIn();
						},	
						success: function(data) 
						{
							if(data!='error')
								$("#dbbackup_response").fadeIn().html('&#x2714;');
							else
								$("#dbbackup_response").fadeIn().html('&times;');
						},
						error : function(ajax_status)
						{
						},
						complete:function()
						{
							$("#spinner").fadeOut();
						}
					});
				}
			);
		},
		'init_jsmin':function(){
			var $this = this;
			var $el = $("#js_min");
			var position = $el.offset();
			var width = $el.width();
				
			if(!$("#spinner")[0])
				$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body');
			
			$(document).on('click','#js_min',
				function(e)
				{
					e.preventDefault();
					$.ajax(
					{
						url: site_url+'/admin/ajax_tools/js_min',
						type: 'GET',
						beforeSend: function()
						{
							$('#spinner').css({ top: position.top+1 , left: position.left+width+5}).fadeIn();
						},	
						success: function(data) 
						{
							if(data!='')
								$("#js_min_response").fadeIn().html(data);
						},
						error : function(ajax_status)
						{
						},
						complete:function()
						{
							$("#spinner").fadeOut();
						}
					});
				}
			);
		},
		'init_clear_cache':function(){
			var $this = this;
			var $el = $("#clear_cache");
			var position = $el.offset();
			var width = $el.width();
				
			if(!$("#spinner")[0])
				$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body');
			
			$(document).on('click','#clear_cache',
				function(e)
				{
					e.preventDefault();
					$.ajax(
					{
						url: site_url+'/admin/ajax_tools/clear_cache',
						type: 'GET',
						beforeSend: function()
						{
							$('#spinner').css({ top: position.top+1 , left: position.left+width+5}).fadeIn();
						},	
						success: function(data) 
						{
							if(data!='')
								$("#clear_cache_response").fadeIn().html(data);
						},
						error : function(ajax_status)
						{
						},
						complete:function()
						{
							$("#spinner").fadeOut();
						}
					});
				}
			);
		}
	}
}();

$(document).ready(function(){
	tools.init_dboptimize();
	tools.init_dbbackup();
	tools.init_jsmin();
	tools.init_clear_cache();
});
