<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box" style="display:none;">
			<li class="form_box_section">
				<ul id="bulk_option2">
					<li class="form_box_desp">&nbsp;</li>
					<li>
						<div class="label_box">
							<label>{translate text="sender_name"}</label>{$action_object->check_required('sender_name')}
						</div>
						<div class="input_box">
							<input type="text" class="text" name="sender_name" id="sender_name" value="{$action_object->m_form_fields.sender_name.value}" />
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="sender_email"}</label>{$action_object->check_required('sender_email')}
						</div>
						<div class="input_box">
							<input type="text" class="text" name="sender_email" id="sender_email" value="{$action_object->m_form_fields.sender_email.value}" />
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="subject"}</label>{$action_object->check_required('subject')}
						</div>
						<div class="input_box">
							<input type="text" class="text" name="subject" id="subject" value="{$action_object->m_form_fields.subject.value}" />
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="body"}</label>{$action_object->check_required('body')}
						</div>
						<div class="input_box">
							<textarea name="body" id="body" rows="10">{$action_object->m_form_fields.body.value}</textarea>
						</div>
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text='send_to'}</label> {$action_object->check_required('ugroup')}
				</div>
				<div class="input_box">
					<div style="background:#f4f4f4;border:1px solid #cdcdcd;width:600px;padding:.4em;">
					<ul class="cb_options_list" id="cb_ugroup">
						{foreach item=conf key=value from=$action_object->m_form_fields.ugroup.options}
							<li><input type="checkbox" name="ugroup_{$value}" id="ugroup_{$value}" value="{$value}" {if $conf.value==$value}checked="checked"{/if} /> <strong><label for="ugroup_{$value}">{$conf.label}</label></strong></li>
						{/foreach}
					</ul>
					<div class="clear"></div>
					<a href="#" onclick="bulk_mails.check_all('cb_ugroup');return false;">{translate text='check_all'}</a> | <a href="#" onclick="bulk_mails.uncheck_all('cb_ugroup');return false;">{translate text='uncheck_all'}</a>
					</div>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="mail_template"}</label>{$action_object->check_required('mail_template_id')}
				</div>
				<div class="input_box">
					<div id="mail_template_id_ajax" style="float:left;">
						<select name="mail_template_id" id="mail_template_id">
							<option value="">...</option>
							{foreach item=label key=value from=$action_object->m_form_fields.mail_template_id.options}
								<option value="{$value}" {if $value==$action_object->m_form_fields.mail_template_id.value}selected="selected"{/if}>{$label}</option>
							{/foreach}
						</select>
					</div>
					<div style="float:left;line-height:18px;padding:0 0 0 .5em;">
						<strong><a id="edit_mail_template" href="{site_url uri='admin/mail_templates/edit_wysiwyg/'}">{translate text='edit_mail_template'}</a></strong> | <strong><a id="create_mail_template" href="{site_url uri='admin/mail_templates/add_wysiwyg/bulk:1'}">{translate text='create_mail_template'}</a></strong>
					</div> 
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="send_time"}</label>
				</div>
				<div class="input_box">
					<div style="width:140px;height:40px;float:left;" class="grey_box">
						<input type="hidden" name="send_date" id="send_date" value="{$action_object->m_form_fields.send_date.value}" />
						<strong>{translate text="date"}: </strong>
						<input type="text" class="short_text" id="send_date_picker" name="send_date_picker" />
					</div>
					<div style="width:140px;height:40px;float:left;margin:0 0 0 5px;" class="grey_box">
						<strong>{translate text="hour"}: </strong>
						<input type="text" class="short_text" name="send_hour" id="send_hour" value="{$action_object->m_form_fields.send_hour.value}" />
					</div>					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="queued"}</label>{$action_object->check_required('queued')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="test_mode"}</label>{$action_object->check_required('test_mode')}
				</div>
				<div class="input_box">
					<input type="radio" name="test_mode" value="1" {if $action_object->get_value('test_mode')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="test_mode" value="0" {if $action_object->get_value('test_mode')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="start_offset"}</label>{$action_object->check_required('start')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='start_offset_info'}">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="start" id="start" value="{$action_object->m_form_fields.start.value}" />
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='bulk_mails_edit' || $action_object->m_form_name=='bulk_mails_add'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='bulk_mails_edit'|| $action_object->m_form_name=='bulk_mails_add'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->