<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">
		<input type="hidden" name="active" id="active" value="1" />
		<input type="hidden" name="token" id="token" value="{$action_object->m_token}" />
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					&nbsp;
				</div>
				<div class="input_box">
					<div id="custom_queue"></div>
					<div id="upload_errors"></div>
					
					<input type="hidden" name="img_file" id="img_file" value="{$action_object->m_form_fields.img_file.value}" />
					<table>
						<tr>
							<td valign="middle"><input type="file" name="img_file_upload" id="img_file_upload" /> </td>
							<td valign="middle"><a href="#" id="switch_upload" rel="normal">{translate text='switch_to_default_uploader'}</a></td>
						</tr>
					</table>
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.img_file_upload.options.allowed_types}
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text="upload"}</span>
							<input type="hidden" name="submitf" value="submit_u" />
							<input type="button" name="submit_u" id="submit_u"  value="submit_u"  />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->

<!-- start uploadify-->
{literal}					
<script type="text/javascript">
var idd = 'img_file_upload';
var files = [];
$(document).ready(function(){
	$('#'+idd).uploadify({
		'uploader'       : '{/literal}{base_url}{literal}public/players/uploadify.swf',
		'script'         : '{/literal}{site_url}process_upload/index/gimages{literal}',
		'cancelImg'      : '{/literal}{base_url}{literal}public/images/plugin_uploadify/cancel.png',
		'loadingImg'     : '{/literal}{base_url}{literal}public/images/loading.gif',
		'expressInstall' : '{/literal}{base_url}{literal}public/players/expressInstall.swf',
		'folder'         : '',
		'multi'          : true,
		'auto'           : false,
		'fileExt'        : '{/literal}{$action_object->m_form_fields.img_file_upload.options.allowed_types_uploadify}{literal}',
		'fileDesc'       : 'Image Files',
		'queueSizeLimit' : {/literal}50{literal},
		'queueID'		 : 'custom_queue',
		'simUploadLimit' : {/literal}{config key='uploadify_sim_upload'}{literal},
		'removeCompleted': false,
		'sizeLimit'		 : {/literal}{$action_object->m_form_fields.img_file_upload.options.max_size_uploadify}{literal},
		'do_resize'		 : 1,
		'i_width'		: {/literal}{$action_object->m_form_fields.img_file_upload.options.i_width}{literal},
		'i_height'		: {/literal}{$action_object->m_form_fields.img_file_upload.options.i_height}{literal},
		
		
        'scriptData' : {
        	'userdata':'{/literal}{$action_object->m_userdata}{literal}',
        	'token':'{/literal}{$action_object->m_token}{literal}'
		},		
        
		'onSelectOnce'   : function(event,data) {
		},
		'onAllComplete'  : function(event,data) {
			$("#img_file").val(files.join('###'));
			//alert(files.join('###'));
			//setTimeout(function() {
				if($("#upload_errors").html()=='') 
				{
					if($("#gimages_add_wysiwyg")[0]) $("#gimages_add_wysiwyg").submit();
					else $("#gimages_add").submit();	
				}
				
			//},50000);
			
		},
		'onComplete'  	: function(event, ID, fileObj, response, data)
		{
			$("#upload_errors").empty().hide();
			
			var response_parsed = jQuery.parseJSON(response);
			//console.log(response_parsed);
			if(response_parsed instanceof Object)
			{
				files.push(response);
				return true;
			}
			else
			{
				var errorOccured = response_parsed.substring(0,2).toUpperCase() == "EC";
				if (errorOccured) {
					$("#upload_errors").html(response_parsed.substring(3,response_parsed.length));
					$("#upload_errors").show();
					$("#"+idd+ID).addClass('uploadifyError');
					$("#"+idd+ID).find('.percentage').html(' - 0%');
					return false;
				}
			}
		},
		'onError'		:  function (event,ID,fileObj,errorObj) {
			var errorText = '';
			if (errorObj.type == "File Size") {
				errorText = 'The file you are trying to upload is too large (' + fileObj.name + ')';
			}
			else errorText = 'An error occured during the upload of file ' + fileObj.name + '. Please try again or use the classic single file upload page.';
			$("#upload_errors").html(errorText);
			$("#upload_errors").show();
		},
		'onQueueFull': function(event,queueSizeLimit){
			return false;
		},
		'buttonText'	: '{/literal}{translate text="browse"}{literal}'
	});
	//$("#img_file_uploadUploader").attr('width','100%');
	//$("#img_file_uploadUploader").attr('height','500');
	
	$("#submit_u").click(
		function()
		{
			$('#img_file_upload').uploadifyUpload();
		}
	);
	$("#switch_upload").click(
		function(e)
		{
			e.preventDefault();
			var url = window.location.href;
			var mode = $(this).attr('rel');
			$.ajax({
  				url: site_url+'admin/ajax_cms/switch_upload/'+mode,
  				success: function(){
    				window.location.href = url;
  				}
			});
		}
	);
});

</script>
{/literal}
<!--end uploadify-->
 