<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	{include file="$theme/tpls/listings/_options_bar_submenu_listings.tpl"}
	{if $action_object->m_listing_restrictions->upload_more_videos}
	<div class="sub_subtabs_wrapper">
		<div class="sub_subtabs_title"><strong>{translate text='video_type'}:</strong></div>
		<ul class="sub_subtabs">
			<li id="trigger_s_embed"><a href="#">{translate text='embed'}</a></li>
			<li id="trigger_s_upload"><a href="#">{translate text='upload'}</a></li>
		</ul>
		<div class="clear"></div>
	</div>
	{/if}
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">
		{if $action_object->m_listing_restrictions->upload_more_videos || $action_object->m_form_name=='listings_videos_edit'}
		<input type="hidden" name="listing_id" id="listing_id" value="{$action_object->m_form_fields.listing_id.value}" />
		<input type="hidden" name="video_type" id="video_type" value="{$action_object->m_form_fields.video_type.value|default:'embed'}" />
		<input type="hidden" name="ctime" id="ctime" value="{$action_object->m_form_fields.ctime.value}" />
	
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li class="videos_s_file">
				<div class="label_box">
					<label>{translate text="video"}</label>{$action_object->check_required('listing_video_file')}
				</div>
				<div class="input_box">
					<input type="hidden" name="listing_video_file" id="listing_video_file" value="{$action_object->m_form_fields.listing_video_file.value}" />
					<input type="file" name="listing_video_file_upload" id="listing_video_file_upload" />
					
					{config key='use_uploadify' assign='use_uploadify'}
					{if $use_uploadify==1}
						{if $action_object->m_form_name!='listings_videos_edit'}
							<a href="#" id="switch_upload" rel="uploadify">{translate text='switch_to_flash_uploader'}</a>
						{/if}
					{/if}
					<br /><br />
					<strong>{translate text='max_video_size'}: </strong>{$action_object->m_form_fields.listing_video_file_upload.options.max_size} KB
					<br />
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.listing_video_file_upload.options.allowed_types}
					
					{if $action_object->m_form_fields.listing_video_file.value}
						<div style="padding:.4em 0">
							{format_field col='listing_video_file' value=`$action_object->m_form_fields.listing_video_file.value` id="video_preview"}
						</div>
					{/if}
				</div>
			</li>
			<li class="videos_s_poster">
				<div class="label_box">
					<label>{translate text="poster"}</label>{$action_object->check_required('poster_file')}
				</div>
				<div class="input_box">
					<input type="hidden" name="poster_file" id="poster_file" value="{$action_object->m_form_fields.poster_file.value}" />
					<input type="file" name="poster_file_upload" id="poster_file_upload" />
					<br /><br />
					<strong>{translate text='max_photo_size'}: </strong>{$action_object->m_form_fields.poster_file_upload.options.max_size} KB, {$action_object->m_form_fields.poster_file_upload.options.max_size_wxh}
					<br />
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.poster_file_upload.options.allowed_types}
					{if $action_object->m_form_fields.poster_file.value}
						<div style="padding:1em 0;clear:both;">
							{image dir='posters' w='620' h='340' c=1 file="`$action_object->m_form_fields.poster_file.value`" ctime="`$action_object->m_form_fields.ctime.value`"}
							<div class="clear" style="height:1em"></div>
							<input type="checkbox" value="1" id="delete_poster" name="delete_poster" /> <label for="delete_poster">{translate text='poster_delete'}</label>
						</div>
					{/if}
				</div>
			</li>
			{include file="$theme/tpls/listings/listings_videos_embed.tpl"}
			{include file="$theme/tpls/listings/listings_videos_title.tpl"}
			{include file="$theme/tpls/listings/listings_videos_description.tpl"}
			<li class="videos_s_active">
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>
					
					<!--prev-->
					{if $action_object->m_form_name=='listings_videos_add'}
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					{/if}
					<!--end prev-->
					
					{if $action_object->m_form_name=='listings_videos_edit'}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_listing_menu_cfg.media.submenu.videos.href}">&laquo; {translate text='videos'}</a></span>
							</span>
						</span>
					{/if}
					
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listings_videos_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					
					<!--next-->
					{if $action_object->m_form_name=='listings_videos_add'}
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					{/if}
					<!--end next-->
					
					
				</center>
			</li>
		</ul>
		{else}
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>	
				<div class="warning"><p><strong>{translate text='warning'}</strong><br />{translate text='you_cannot_upload_more_videos}</strong></div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
				</center>
			</li>
		</ul>
		{/if}
		{if $action_object->m_form_name!='listing_videos_edit'}
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#videos" class="minus">{translate text='listings_videos'}</a>
				<ul id="videos" style="background:#fff;border:0 none;">
					<li class="form_box_desp">&nbsp;</li>
					<li>
					{include file="$theme/tpls/_list.tpl"}
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		{/if}
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->
{literal}
<script type="text/javascript">
$(document).ready(
	function()
	{
		$("#switch_upload").click(
			function(e)
			{
				e.preventDefault();
				var url = window.location.href;
				var mode = $(this).attr('rel');
				$.ajax({
		  			url: site_url+'admin/ajax_listings/switch_upload/'+mode,
		  			success: function(){
		    			window.location.href = url;
		  			}
				});
			}
		);
	}
);
</script>
{/literal}

