<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{if $action_object->m_is_admin}
			<li>
				<div class="label_box">
					<label>{translate text="role"}</label>{$action_object->check_required('role')}
				</div>
				<div class="input_box">
					<select name="role" id="role">
						{foreach item=label key=val from=$action_object->m_form_fields.role.options}
							<option value="{$val}" {if $action_object->get_value('role')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			{else}
			<input type="hidden" name="role" id="role" value="{$action_object->get_value('role')}" />
			{/if}
			<li>
				<div class="label_box">
					<label>{translate text="username"}</label>{$action_object->check_required('username')}
				</div>
				<div class="input_box">
					<input type="text" class="medium_text" name="username" id="username" value="{$action_object->get_value('username')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="password"}</label>{$action_object->check_required('password')}
				</div>
				<div class="input_box">
					<input type="password" class="medium_text" name="password" id="password" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="retype_password"}</label>{$action_object->check_required('retype_password')}
				</div>
				<div class="input_box">
					<input type="password" class="medium_text" name="retype_password" id="retype_password" />
					<div id="generated_password"></div>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="password_strength"}</label>
				</div>
				<div class="input_box">
					<input type="hidden" name="generate_password_label" id="generate_password_label" value="{translate text='generate_password'}" />
					<div id="password_strength" class="is0"></div>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="name"}</label>{$action_object->check_required('name')}
				</div>
				<div class="input_box">
					<input id="name" name="name" type="text" class="text" value="{$action_object->get_value('name')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="email"}</label>{$action_object->check_required('email')}
				</div>
				<div class="input_box">
					<input type="text" class="medium_text" name="email" id="email" value="{$action_object->get_value('email')}"  />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="phone"}</label>{$action_object->check_required('phone')}
				</div>
				<div class="input_box">
					<input id="phone" name="phone" type="text" class="medium_text" value="{$action_object->get_value('phone')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="phone"}#2</label>{$action_object->check_required('phone2')}
				</div>
				<div class="input_box">
					<input id="phone2" name="phone2" type="text" class="medium_text" value="{$action_object->get_value('phone2')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="sms_phone"}</label>{$action_object->check_required('sms_phone')}
				</div>
				<div class="input_box">
					<input type="text" class="medium_text" id="sms_phone" name="sms_phone" value="{$action_object->get_value('sms_phone')}"  />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="sms_active"}</label>{$action_object->check_required('sms_active')}
				</div>
				<div class="input_box">
					<input type="radio" name="sms_active" value="1" {if $action_object->get_value('sms_active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="sms_active" value="0" {if $action_object->get_value('sms_active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="fax"}</label>{$action_object->check_required('fax')}
				</div>
				<div class="input_box">
					<input id="fax" name="fax" type="text" class="medium_text" value="{$action_object->get_value('fax')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="country"}</label>{$action_object->check_required('country')}
				</div>
				<div class="input_box">
					<input id="location" name="country" type="text" class="text" value="{$action_object->get_value('country')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="location"}</label>{$action_object->check_required('location')}
				</div>
				<div class="input_box">
					<input id="location" name="location" type="text" class="text" value="{$action_object->get_value('location')}" />
					<br />
					<em>{translate text='location_path_sample'}</em>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="address"}</label>{$action_object->check_required('address')}
				</div>
				<div class="input_box">
					<textarea id="address" name="address" rows="5">{$action_object->get_value('address')}</textarea>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="zip_code"}</label>{$action_object->check_required('zip')}
				</div>
				<div class="input_box">
					<input id="zip" name="zip" type="text" class="short_text" value="{$action_object->get_value('zip')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active_newsletter"}</label>{$action_object->check_required('active_newsletter')}
				</div>
				<div class="input_box">
					<input type="radio" name="active_newsletter" value="1" {if $action_object->get_value('active_newsletter')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active_newsletter" value="0" {if $action_object->get_value('active_newsletter')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			{if $action_object->m_is_admin}
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="banned"}</label>{$action_object->check_required('banned')}
				</div>
				<div class="input_box">
					<input type="radio" name="banned" value="1" {if $action_object->get_value('banned')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="banned" value="0" {if $action_object->get_value('banned')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="ban_reason"}</label>{$action_object->check_required('ban_reason')}
				</div>
				<div class="input_box">
					<textarea name="ban_reason" id="ban_reason" rows="5">{$action_object->get_value('ban_reason')}</textarea>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="verified_user"}</label>{$action_object->check_required('verified_user')}
				</div>
				<div class="input_box">
					<input type="radio" name="verified_user" value="1" {if $action_object->get_value('verified_user')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="verified_user" value="0" {if $action_object->get_value('verified_user')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			{else}
				<input type="hidden" name="active" id="active" value="{$action_object->get_value('active')}" />
				<input type="hidden" name="banned" id="banned" value="{$action_object->get_value('banned')}" />
				<input type="hidden" name="ban_reason" id="ban_reason" value="{$action_object->get_value('ban_reason')}" />
				<input type="hidden" name="verified_user" id="verified_user" value="{$action_object->get_value('verified_user')}" />
			{/if}
			<li>
				<div class="label_box">
					<label>{translate text="paypal"}</label>{$action_object->check_required('paypal_email')}
				</div>
				<div class="input_box">
					<input id="paypal_email" name="paypal_email" type="text" class="text" value="{$action_object->get_value('paypal_email')}" />
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='users_edit_wysiwyg'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='users_edit_wysiwyg'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='users_profile_edit'}</span>
							<input type="submit" name="submitf" value="submit_profile_wysiwyg" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory'}</li>
		</ul>
	</form>
</div>
<!--end form-->