<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li class="form_box_info">
				<ul>
					<li>
						<label>&bull; {translate text="current_package"}</label>: <span>{$action_object->m_package_info->title}</span>
						<br />
						{if $action_object->m_package_info->n_a==0}
							<label>&bull; {translate text="no_listings"}</label>: 
							<span>
								{if $action_object->m_package_info->no_listings==0}
									&#8734;
									{else}
									{format_field col='number' value = $action_object->m_package_info->no_listings}
								{/if}
							</span>
							<label>&bull; {translate text="no_units"}/{translate text='listing'}</label>: 
							<span>
								{if $action_object->m_package_info->no_units==0}
									&#8734;
									{else}
									{format_field col='number' value = $action_object->m_package_info->no_units}
								{/if}
							</span>
							<label>&bull; {translate text="no_photos"}</label>: 
							<span>
								{if $action_object->m_package_info->no_photos==0}
									&#8734;
								{else}
									{format_field col='number' value = $action_object->m_package_info->no_photos}
								{/if}
							</span>
							<label>&bull; {translate text="no_videos"}</label>: 
							<span>
								{if $action_object->m_package_info->no_videos==0}
									&#8734;
								{else}
									{format_field col='number' value = $action_object->m_package_info->no_videos}
								{/if}
							</span>
							<label>&bull; {translate text="allow_contact"}</label>: 
							<span>
								{if $action_object->m_package_info->allow_contact==1}{translate text='yes'}{else}{translate text='no'}{/if}
							</span>
							<label>&bull; {translate text="booking_fee"}</label>: 
							<span>
								{$action_object->m_package_info->booking_fee|default:'-'}
							</span>
							<label>&bull; {translate text="deposit"}</label>: 
							<span>
								{$action_object->m_package_info->deposit|default:'-'}
							</span>
							<br />
							<label>&bull; {translate text="expires"}</label>: 
								<span>
									{if $action_object->m_package_info->infinit==1}
										&#8734;
									{elseif $action_object->m_package_info->etime_days<0}
										<font style="color:#c00">
											{*format_field col='etime' value = $action_object->m_package_info->etime*}
											{translate text='expired'}
										</font>
									{else}
										{format_field col='etime' value = $action_object->m_package_info->etime}
										( {$action_object->m_package_info->etime_days} {translate text='days'} )
									{/if}
								</span>
						{/if}
					</li>
				</ul>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text='renew_upgrade_package'}</label>
				</div>
				<div class="input_box">
					<table class="packages_table" width="60%" cellpadding="0" cellspacing="0">
						<tr>
							<th>&nbsp;</th>
							<th>{translate text='price'}</th>
							<th>{translate text='package_info'}</th>
						</tr>
						{foreach name=available_packages item=info key=val from=$action_object->m_form_fields.package_id.options}
						<tr {if $smarty.foreach.available_packages.iteration is div by 2}class="alt"{/if}>
							<td>
								{config key='credit_currency' assign='currency'}
								{if $info->remaining_balance>=0}
									<input id="package_{$info->package_id}" type="radio" name="package_id" value="{$info->package_id}" {if $action_object->get_value('package_id')==$val}{/if}  />
									{else}
									{if $action_object->m_add_funds_url_admin}
										<a href="{$action_object->m_add_funds_url_admin}/amount:{$info->remaining_balance*-1}" title="{translate text='add_funds_info' balance="`$info->balance`" required_balance="`$info->required_balance`" currency="`$currency`"}" class="tooltip">{translate text='click_to_add_funds'}</a>
									{else}
										<a href="{$action_object->m_add_funds_url}/amount:{$info->remaining_balance*-1}" title="{translate text='add_funds_info' balance="`$info->balance`" required_balance="`$info->required_balance`" currency="`$currency`"}" class="tooltip">{translate text='click_to_add_funds'}</a>
									{/if}
								{/if}
							</td>
							<td>
								<label for="package_{$info->package_id}"><strong>{convert_credits amount=$info->price}</strong></label>
							</td>
							<td>
								<label for="package_{$info->package_id}">
									{$info->title}
									<br />
									<span style="font-weight:normal">
										{translate text='no_listings'}: {if $info->no_listings==0}&#8734;{else}{format_field col="number" value=$info->no_listings}{/if} | 
										{translate text='no_units'}/{translate text='listing'}: {if $info->no_units==0}&#8734;{else}{format_field col="number" value=$info->no_units}{/if} | 
										{translate text='no_photos'}: {if $info->no_photos==0}&#8734;{else}{format_field col="number" value=$info->no_photos}{/if} | 
										{translate text='no_videos'}: {if $info->no_videos==0}&#8734;{else}{format_field col="number" value=$info->no_videos}{/if} | 
										{translate text='no_days'}: {if $info->no_days==0}&#8734;{else}{format_field col="number" value=$info->no_days}{/if} | 
										{translate text='allow_contact'}: {if $info->allow_contact==1}{translate text='yes'}{else}{translate text='no'}{/if} |
										{translate text='booking_fee'}: {$info->booking_fee|default:'-'} | 
										{translate text='deposit'}: {$info->deposit|default:'-'}
									</span>
								</label>
							</td>
						</tr>
						{/foreach}
					</table>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='users_packages_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->