<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="company_name"}</label>{$action_object->check_required('company_name')}
				</div>
				<div class="input_box">
					<input id="company_name" name="company_name" type="text" class="text" value="{$action_object->get_value('company_name')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="website"}</label>{$action_object->check_required('website')}
				</div>
				<div class="input_box">
					<input id="website" name="website" type="text" class="text" value="{$action_object->get_value('website')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="logo"}</label>{$action_object->check_required('logo_file')}
				</div>
				<div class="input_box">
					<input type="hidden" name="logo_file" id="logo_file" value="{$action_object->m_form_fields.logo_file.value}" />
					<input type="file" name="logo_file_upload" id="logo_file_upload" />
					<br /><br />
					<strong>{translate text='max_photo_size'}: </strong>{$action_object->m_form_fields.logo_file_upload.options.max_size} KB
					<br />
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.logo_file_upload.options.allowed_types}
					{if $action_object->m_form_fields.logo_file.value}
						<div style="padding:1em 0;clear:both;">
							{image dir='logos' w='180' h='220' c=1 file="`$action_object->m_form_fields.logo_file.value`"}
							<div class="clear" style="height:1em"></div>
							<input type="checkbox" value="1" id="delete_logo" name="delete_logo" /> {translate text='logo_delete'}
						</div>
					{/if}
				</div>
			</li>
			
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='users_profile_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->