{load_bo bo="bo_auth" action="subscribe_newsletter" assign="action_object"}
{include file="$theme/tpls/forms/form_errors.tpl"}
{if $action_object->m_form_status!=1}

<div class="row">
	<div class="col-md-8">
		<form id="subscribe_newsletter" method="post" action="{site_url uri="newsletter/subscribe}" class="form-horizontal">
			<div class="form-group">
				<label for="email" class="col-sm-2 control-label">{translate text='email'} {$action_object->check_required('email')}</label>
				<div class="col-sm-10">
					<input type="email" id="email" name="email" class="form-control" value="{$action_object->m_form_fields.email.value}" />
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">{translate text="captcha"} {$action_object->check_required('captcha')}</label>
				<div class="col-sm-10">
					<div class="w50p">
						<input class="form-control" type="text" name="captcha" id="captcha" />
						<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
					</div>
				</div>
			</div>
			<div class="form-group">
				<div class="checkbox col-sm-10 col-sm-offset-2">
					<button type="submit" name="submitf" value="subscribe" class="btn_dark_grey">{translate text='subscribe'}</button>
				</div>		
			</div>
			<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div> 
		</form>
	</div>
</div>
{/if}