<div class="booking_info">

<p><strong>{translate text='booking'} #</strong>: {$booking_id}</p>
<p><strong>{translate text='listing'}:</strong> {$listing_link}</p>
<table width="100%">
	<tbody>
		<tr>
			<td width="50%"><strong>{translate text='arrival'}</strong></td>
			<td colspan="2">{format_field col='date_format' value=$start_date}</td>
		</tr>
		<tr>
			<td><strong>{translate text='departure'}</strong></td>
			<td colspan="2">{format_field col='date_format' value=$end_date}</td>
		</tr>
		<tr>
			<td><strong>{translate text='duration'}</strong></td>
			<td colspan="2">{$number_nights} {translate text='nights'}</td>
		</tr>
		<tr>
			<td><strong>{translate text='guests'}</strong></td>
			<td colspan="2"><strong>{$number_adults} </strong>{translate text='adults'}, <strong>{$number_children}</strong> {translate text='children'}</td>
		</tr>
		<tr>
			<td><strong>{translate text='rental_price'} </strong></td>
			<td colspan="2">{$currency.symbol_lft}{amount_plus_taxes amount=$rental_price}{$currency.symbol_rgt}</td>
		</tr>
		<tr>
			<td><strong>{translate text='extra_persons_price'}</strong></td>
			<td colspan="2">{$currency.symbol_lft}{amount_plus_taxes amount=$extra_persons_price}{$currency.symbol_rgt}</td>
		</tr>
		<tr>
			<td><strong>{translate text='addons_price'}</strong></td>
			<td colspan="2">{$currency.symbol_lft}{amount_plus_taxes amount=$total_addons}{$currency.symbol_rgt}</td>
		</tr>
		<tr>
			<td><strong>{translate text='discount'}</strong></td>
			<td colspan="2">{$currency.symbol_lft}{format_field col='number' decimals=2 value=$total_discount}{$currency.symbol_rgt}</td>
		</tr>
		<tr>
			<td class="no_border">&nbsp;</td>
			<td><strong>{translate text='subtotal'}:</strong></td>
			<td>
				<p><strong>{$currency.symbol_lft}{amount_plus_taxes amount=$subtotal}{$currency.symbol_rgt}</strong></p>
			</td>
		</tr>
		<tr>
			<td class="no_border">&nbsp;</td>
			<td><strong>{translate text='booking_fee'}</strong></td>
			<td>
				<strong>{$currency.symbol_lft}{format_field col='number' decimals=2 value=$booking_fee}{$currency.symbol_rgt}</strong>
			</td>
		</tr>
		<tr>
			<td class="no_border">&nbsp;</td>
			<td><strong>{translate text='total'}</strong></td>
			<td>
				<strong>{$currency.symbol_lft}{format_field col='number' decimals=2 value=$total}{$currency.symbol_rgt}</strong>
			</td>
		</tr>
		<tr>
			<td class="no_border">&nbsp;</td>
			<td><strong>{translate text='deposit'}</strong></td>
			<td>
				<strong>{$currency.symbol_lft}{format_field col='number' decimals=2 value=$deposit}{$currency.symbol_rgt}</strong>
			</td>
		</tr>
		<tr>
			<td class="no_border">&nbsp;</td>
			<td><strong>{translate text='check_in_price'}</strong></td>
			<td>
				<strong>{$currency.symbol_lft}{format_field col='number' decimals=2 value=$check_in_price}{$currency.symbol_rgt}</strong>
			</td>
		</tr>
</tbody>
</table>

<p><strong>{translate text='booking_calculation'} : </strong></p>
<p>{$debug_calculation_str}</p>

</div>