<!--start form-->
{include file="$theme/tpls/guest/_form_errors.tpl"}
<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" class="form-horizontal padding_10px">		
	<div class="form-group">
		<label for="rating_stars" class="col-sm-3 control-label">{translate text="rating_stars"} {$action_object->check_required('rating_stars')}</label>
		<div class="col-sm-9">
			<div class="star_rating_box">
			{section loop=6 start=1 step=1 name=stars}
				<input name="rating_stars" type="radio" class="star" value="{$smarty.section.stars.iteration}" {if $action_object->get_value('rating_stars')==$smarty.section.stars.iteration}checked="checked"{/if} />
			{/section}&nbsp;{translate text='rating_click_to_rate'}
			</div>
		</div>
	</div> 
	<div class="form-group">
		<label for="title" class="col-sm-3 control-label">{translate text="review_title"} {$action_object->check_required('title')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="title" name="title" value="{$action_object->m_form_fields.title.value}" />
		</div>
	</div> 
	<div class="form-group">
		<label for="body" class="col-sm-3 control-label">{translate text="review_body"} {$action_object->check_required('body')}</label>
		<div class="col-sm-9">
			<textarea class="form-control" id="body" name="body" rows="5">{$action_object->m_form_fields.body.value}</textarea>
		</div>
	</div> 
	<div class="form-group">
		<label class="col-sm-3 control-label">{translate text='active'} {$action_object->check_required('active')}</label>
		<div class="col-sm-9">
			<label for="active_no">
				<input class="icheck" type="radio" id="active_no" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> {translate text='no'}
			</label>
			<label for="active_pending">
				<input class="icheck" type="radio" id="active_pending" name="active" value="0" {if $action_object->get_value('active')!=0}checked="checked"{/if}> {translate text='pending'}
			</label>
		</div>
	</div>
	<div class="form-group">
		<div class="col-sm-9 col-sm-offset-3">
			<button type="submit" name="submitf" value="submit" class="btn_dark_grey">{translate text='save'}</button>
			<button type="submit" name="submitf" value="submit_view" class="btn_dark_grey">{translate text='save'} &amp; {translate text='back_to_list'}</button>
			<button type="submit" name="submitf" value="submit_cancel" class="btn_dark_grey">{translate text='back_to_list'}</button>
		</div>
	</div>
	<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>
</form>
