{load_bo bo='bo_search' action='search' assign='action_object'}
{include file="$theme/tpls/header.tpl" page="search"}
{login_info assign="login_info" quick_info='1'}
{if !isset($seo_filter)}{seo_filter assign='seo_filter'}{/if}
<body id="top">
<!--wrapper-->
<div class="wrapper">
	{include file="$theme/tpls/box_header.tpl" login_info=$login_info seo_filter=$seo_filter}
	{config key='search_price' assign='search_price_conf'}
	{assign var="search_price" value="min_`$search_price_conf`"}
	{config key='square_metric' assign='square_metric'}
	
	<!--page content-->
	<div id="page_content">
		
		<!--breadcrumbs_box-->
		<div class="breadcrumbs_box">
			<div class="container">
				<ul class="breadcrumbs">
					<li class="first_breadcrumb"><a href="{base_url}"></a></li>
					<li><a href="{site_url}{$action_object->m_search_word}">{translate text='all_listings'}</a></li>
					<li class="last_breadcrumb">{if $seo_filter->seo_h1}{$seo_filter->seo_h1}{else}{if $seo_h1}{$seo_h1}{else}{$action_object->m_title}{/if}{/if}</li>
				</ul>
			</div>
		</div>
		<!--//breadcrumbs_box-->
		
		<!--white_content_box-->
		<div class="container mobile_no_padding">
			<div class="row white_content_box clearfix">
			
				<!--listings-->
				<div class="col-md-9 mobile_no_padding col-md-push-3">
					<div class="listings_box">
						<h1>{if $seo_filter->seo_h1}{$seo_filter->seo_h1}{else}{if $seo_h1}{$seo_h1}{else}{$action_object->m_title}{/if}{/if}</h1>
						
						<div class="lb_header">
							<div class="row">
								<div class="col-md-6 col-xs-6">
									{if $action_object->m_view=='list'}
									<strong class="sort_by">{translate text='sort_by'}:</strong>
									<select name="order_by" id="order_by">
										<option {if $action_object->m_order_str=='featured,desc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.featured,desc">{translate text='featured'}</option>
										<option {if $action_object->m_order_str=='ctime,desc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.ctime,desc">{translate text='latest_listings'}</option>
										<option {if $action_object->m_order_str=='price,desc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.price,desc">{translate text='price'} &darr;</option>
										<option {if $action_object->m_order_str=='price,asc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.price,asc">{translate text='price'} &uarr;</option>
										<option {if $action_object->m_order_str=='no_bedrooms,desc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.no_bedrooms,desc">{translate text='bedrooms'} &darr;</option>
										<option {if $action_object->m_order_str=='no_bedrooms,asc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.no_bedrooms,asc">{translate text='bedrooms'} &uarr;</option>
										<option {if $action_object->m_order_str=='no_bathrooms,desc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.no_bathrooms,desc">{translate text='bathrooms'} &darr;</option>
										<option {if $action_object->m_order_str=='no_bathrooms,asc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.no_bathrooms,asc">{translate text='bathrooms'} &uarr;</option>
										<option {if $action_object->m_order_str=='total_square,asc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.total_square,asc">{translate text='total_square'} &uarr;</option>
										<option {if $action_object->m_order_str=='total_square,desc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.total_square,desc">{translate text='total_square'} &darr;</option>
										<option {if $action_object->m_order_str=='views,desc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.views,desc">{translate text='views'} &darr;</option>
										<option {if $action_object->m_order_str=='views,asc'}selected="selected"{/if} value="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}order_by.views,asc">{translate text='views'} &uarr;</option>
									</select>
									{/if}
								</div>
								<div class="col-md-6 col-xs-6 clearfix">
									<div class="toggle_view">
										<a data-toggle="tooltip" title="{translate text='list_view'}" {if $action_object->m_view=='list'}class="active"{/if} href="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}view.list" id="a_list_view">
											<i class="fa fa-list"></i><span> {translate text='list_view'}</span>
										</a>
										<a data-toggle="tooltip" title="{translate text='map_view'}" {if $action_object->m_view=='map'}class="active"{/if} href="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}view.map" id="a_map_view">
											<i class="fa fa-map-marker"></i><span> {translate text='map_view'}</span>
										</a>
										<a style="display:none" href="#" id="a_thumbs_view"><i class="fa fa-th"></i><span> Thumbs view</span></a>
									</div>
								</div>
							</div>
						</div>
						
						<!--featured listings-->
						{load_bo bo='bo_search' action='featured_listings' assign="featured_object" params="location:true"}
						{if $featured_object->m_featured.m_list_objects}
						<div class="owl-carousel featured_listings_slideshow clearfix">
							{foreach name=featured_listings item=list_object from=$featured_object->m_featured.m_list_objects}
							<div class="slide_item">
								<div class="si_header">
									<a href="{$list_object->listing_url}"></a>
									<img src="{image return_file=true file="`$list_object->photo`" w="496" h="358" c=1 dir="listing_photos" ctime="`$list_object->photo_ctime`"}" alt="{$list_object->title}" title="{$list_object->title}" class="img-responsive" />
									{if $list_object->show_price}
										<div class="price">
											{translate text='from'} 
											<span>{$featured_object->m_currency->symbol_lft}{format_field col='number' value="`$list_object->converted_price_min`"}{$featured_object->m_currency->symbol_rgt}</span>
											/{$list_object->price_suffix}
										</div>
									{/if}
								</div>
								<div class="si_footer">
									<a href="{$list_object->listing_url}"></a>
									<div class="title">{$list_object->listing_type_title}</div>
									<div class="location">{$list_object->location_breadcrumbs|breadcrumbs_truncate:2:' &gt; '|default:'&nbsp;'}</div>
								</div>
							</div>
							{/foreach}
						</div>
						{/if}
						<!--//featured listings-->
						
						{load_adverts advert_position='search_results_top' random=true}
						{include file="$theme/tpls/properties/search_`$action_object->m_view`_view.tpl"}
						{load_adverts advert_position='search_results_bottom' random=true}
						
					</div>
				</div>
				<!--//listings-->
				
				<!--refine search-->
				<div class="col-md-3 no_padding col-md-pull-9">
					<div class="refine_search_box">
						<div class="header">
							<div class="listings_total">
								{if $action_object->m_total_rows}
								<a title="RSS" href="{site_url uri="rss/`$action_object->m_search_str`"}"><span id="listings_total" data-listings_total="{$action_object->m_total_rows|default:0}">{$action_object->m_total_rows}</span> {translate text='listings_found'} <i class="fa fa-rss rss_icon"></i></a>
								{/if}
							</div>
							<div class="title">{translate text='refine_your_search_or'} <a href="{site_url}{$action_object->m_search_word}">{translate text='view_all_listings'}</a></div>
							<div class="title_arrow"></div>
							
							{if $action_object->m_search_criteria}
							<div class="filters_box">
								<ul>
									{foreach item=item_criteria from=$action_object->m_search_criteria}
									<li>
										<span class="right"><a href="{$item_criteria.remove_url}"><i class="fa fa-times-circle"></i></a></span>
										<a href="{$item_criteria.remove_url}" data-toggle="tooltip" title="{translate text='remove_from_search' label="`$item_criteria.value`"}">
											{if $item_criteria.direction=='val_label'}
												<strong>{$item_criteria.value}</strong> {$item_criteria.label} 
											{else}
												{$item_criteria.label} <strong>{$item_criteria.value}</strong>
											{/if}
										</a>
									</li>
									{/foreach}
								</ul>
							</div>
							{/if}
						</div>
						
						<!--google static map-->
						{if $action_object->m_view=='list' && $action_object->m_total_rows}
						<div id="google_map_box">
							<a href="{site_url}{$action_object->m_search_word}/{if $action_object->m_search_str!=''}{$action_object->m_search_str}/{/if}view.map" title="{translate text='search_by_map'}" data-toggle="tooltip" data-placement="bottom">
								<img id="google_map_img" src="{base_url}public/images/1x1.gif" alt="{translate text='google_map'}" class="img-responsive" />
							</a> 
						</div>
						{/if}
						<!--//google static map-->
						
						{include file="$theme/tpls/forms/form_refine_search.tpl" action_object=$action_object}							
					</div>
				</div>
				<!--//refine search-->
				
				</div>
			</div>
			<!--//white_content_box-->
		</div>
	</div>
	<!--//page_content-->
	
</div>
<!--//wrapper-->
{include file="$theme/tpls/box_footer.tpl" latest_listings=''}
<script type="text/javascript">
var BO_JSON_obj = {/literal}{$action_object->m_json_obj|json}{literal};
BO_JSON_obj.m_google.q = '{/literal}{$action_object->m_search_str}{literal}';
</script>

<div id="async_gmap"></div>
{include file="$theme/tpls/js.tpl"}

{if $action_object->m_view=='map'}
<script type="text/javascript">
function async_gmap()
{
	var script = document.createElement('script');
 	script.type = 'text/javascript';
 	script.src = '{/literal}{config key="googlemap3_url"}&callback=search.init_google_map{literal}';
 	document.getElementById('async_gmap').appendChild(script);
}
$(document).ready(
	function()
	{
		async_gmap();
	}
);
</script>
{/if}
{include file="$theme/tpls/modals.tpl" page="search"}
{include file="$theme/tpls/footer.tpl"}