<!--map view-->	
<div class="search_results_map">
	<!--map tools-->
	<div id="gmap_tools">
		<div class="row">
			<div class="col-md-12">
				<div class="btn-group gmap_tools" data-toggle="buttons">
					<label class="btn btn_gmap_tool active rb_explore">
						<figure><img src="{base_url}public/images/google_map/icon_explore.png" alt="{translate text='draw_explore'}" /></figure>
						<input type="radio" name="gmap_tool" id="t_explore" autocomplete="off" checked="checked" value="explore"> {translate text='draw_explore'}
					</label>
					<label class="btn btn_gmap_tool rb_polygon" data-toggle="tooltip" title="{translate text='draw_polygon_info'}" data-placement="top">
						<figure><img src="{base_url}public/images/google_map/icon_polygon.png" alt="{translate text='draw_polygon'}" /></figure>
						<input type="radio" name="gmap_tool" id="t_polygon" autocomplete="off" value="polygon"> {translate text='draw_polygon'}
					</label>
					<label class="btn btn_gmap_tool rb_circle" data-toggle="tooltip" title="{translate text='draw_circle_info'}" data-placement="top">
						<figure><img src="{base_url}public/images/google_map/icon_circle.png" alt="{translate text='draw_circle'}" /></figure>
						<input type="radio" name="gmap_tool" id="t_circle" autocomplete="off" class="circle"> {translate text='draw_circle'}
					</label>
				</div>
				<div id="gmap_tool_options" class="clearfix">
					<a href="#" id="t_clear"><i class="fa fa-times-circle"></i> {translate text='draw_clear_map'}</a> 
					<a href="#" id="t_polygon_edit"><i class="fa fa-pencil"></i> {translate text='draw_polygon_edit'}</a> 
					<a href="#" id="t_polygon_stopedit"><i class="fa fa-save"></i> {translate text='draw_polygon_stopedit'}</a>
					<span id="t_radius"><i class="fa fa-circle-o"></i> {translate text='draw_radius'}: <strong id="t_radius_km">0</strong> {translate text='km'}</span>
					<button class="right btn btn-success" type="button" id="btn_search_map" name="btn_search" value="submit">{translate text='update'}</button>
				</div>
			</div>
		</div>
	</div>
	<!--//map tools-->
	
	<div id="google_map"><span class="loading_map"><i class="fa fa-spin fa-circle-o-notch"></i> {translate text='loading_map'}</span></div>
	
	<!--map legend-->
	<div class="google_map_legend">
		<h4>{translate text='legend'}</h4>
		<div class="row">
			<div class="col-md-6">
				<div class="legend_icons">
					<img alt=" " src="{base_url}public/images/google_map/gmap_marker.png" />
				</div>
				<div class="legend_info">
					<strong>{translate text='individual_listings'}</strong>
					<br />
					{translate text='individual_listings_info'}
				</div>
			</div>
			<div class="col-md-6">
				<div class="legend_icons">
					<img alt=" " src="{base_url}public/images/google_map/m1.png" align="left" /> 
					<img alt=" " src="{base_url}public/images/google_map/m2.png" align="left" />
					<img alt=" " src="{base_url}public/images/google_map/m3.png" align="left" />
				</div>
				<div class="legend_info">
					<strong>{translate text='clustered_listings'}</strong>
					<br />
					{translate text='clustered_listings_info}
				</div>
			</div>
			<div class="col-md-12">
				<h4>{translate text='zooming'}</h4>
				{translate text='zooming_info'}
				<ul>
					<li>{translate text='zooming_info_1'}</li>
					<li>{translate text='zooming_info_2'}</li>
					<li>{translate text='zooming_info_3'}</li>
				</ul>
				<h4>{translate text='listing_details'}</h4>
				<ul>
					<li>{translate text='listing_details_info_1'}</li>
					<li>{translate text='listing_details_info_2'}</li>
					<li>{translate text='listing_details_info_3'}</li>
				</ul>
			</div>
		</div>
	</div>
	<!--//map legend-->
			

</div>
<!--//map view-->