<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'packages';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
/* end options bar */


$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'package_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>''),
	'no_listings'=>array('label'=>$lang->translate('no_listings'),'width'=>6),
	'no_units'=>array('label'=>$lang->translate('no_units'),'width'=>6),
	'no_days'=>array('label'=>$lang->translate('no_days'),'width'=>5),
	'no_photos'=>array('label'=>$lang->translate('no_photos'),'width'=>5),
	'no_videos'=>array('label'=>$lang->translate('no_videos'),'width'=>5),
	'price'=>array('label'=>$lang->translate('price'),'width'=>5),
	'booking_fee'=>array('label'=>$lang->translate('booking_fee'),'width'=>7),
	'deposit'=>array('label'=>$lang->translate('deposit'),'width'=>5),
	'allow_contact'=>array('label'=>$lang->translate('allow_contact'),'width'=>5)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'package_id',
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'like'=>true
	)
);

$config['orderby'] = 'price desc';
$config['form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'hidden'=>array('label'=>$lang->translate('hidden'),'value'=>0,'rules'=>''),
	'allow_contact'=>array('label'=>$lang->translate('allow_contact'),'value'=>1,'rules'=>''),
	
	'no_days'=>array('label'=>$lang->translate('no_days'),'value'=>0,'rules'=>'required'),
	'no_videos'=>array('label'=>$lang->translate('no_videos'),'value'=>0,'rules'=>'required'),
	'no_photos'=>array('label'=>$lang->translate('no_photos'),'value'=>0,'rules'=>'required'),
	'no_listings'=>array('label'=>$lang->translate('no_listings'),'value'=>0,'rules'=>'required'),
	'no_units'=>array('label'=>$lang->translate('no_units'),'value'=>1,'rules'=>'required'),
	
	'price'=>array('label'=>$lang->translate('price'),'value'=>0,'rules'=>'required'),
	'booking_fee'=>array('label'=>$lang->translate('booking_fee'),'value'=>0,'rules'=>'trim|required|numeric_or_percent'),
	'deposit'=>array('label'=>$lang->translate('deposit'),'value'=>'','rules'=>'trim|numeric_or_percent')
);

$config['form_data_fields'] = array(
	'active','title_1','title_2','title_3','title_4','title_5',
	'hidden','price','no_days','no_videos','no_photos','no_listings','no_units','allow_contact','booking_fee','deposit'
);