<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;

$obj = 'seo';
$lang_key = $g_O->config->item('lang_key');



/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);

$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);

//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'seo_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'filter'=>array('label'=>$lang->translate('filter'),'width'=>''),
	'seo_title_'.$lang_key=>array('label'=>$lang->translate('seo_title'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'seo_id'
	),
	'filter'=>array(
		'db_field'=>'filter'
	),
	'seo_title'=>array(
		'db_field'=>'seo_title_'.$lang_key
	)
);

$config['orderby'] = 'seo_id desc';
$config['form_fields'] = array(
	'filter'=>array('label'=>$lang->translate('filter'),'value'=>'','rules'=>'trim|required'),
	'seo_title_1'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'trim|required'),
	'seo_title_2'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'trim'),
	'seo_title_3'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'trim'),
	'seo_title_4'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'trim'),
	'seo_title_5'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'trim'),
	'seo_description_1'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'trim|required'),
	'seo_description_2'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'trim'),
	'seo_description_3'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'trim'),
	'seo_description_4'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'trim'),
	'seo_description_5'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'trim'),
	'seo_keywords_1'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'trim|required'),
	'seo_keywords_2'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'trim'),
	'seo_keywords_3'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'trim'),
	'seo_keywords_4'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'trim'),
	'seo_keywords_5'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'trim'),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'seo_h1_1'=>array('label'=>$lang->translate('seo_h1'),'value'=>'','rules'=>'trim'),
	'seo_h1_2'=>array('label'=>$lang->translate('seo_h1'),'value'=>'','rules'=>'trim'),
	'seo_h1_3'=>array('label'=>$lang->translate('seo_h1'),'value'=>'','rules'=>'trim'),
	'seo_h1_4'=>array('label'=>$lang->translate('seo_h1'),'value'=>'','rules'=>'trim'),
	'seo_h1_5'=>array('label'=>$lang->translate('seo_h1'),'value'=>'','rules'=>'trim')
);

$config['form_data_fields'] = array(
	'active',
	'filter',
	'seo_title_1','seo_title_2','seo_title_3','seo_title_4','seo_title_5',
	'seo_description_1','seo_description_2','seo_description_3','seo_description_4','seo_description_5',
	'seo_keywords_1','seo_keywords_2','seo_keywords_3','seo_keywords_4','seo_keywords_5',
	'seo_h1_1','seo_h1_2','seo_h1_3','seo_h1_4','seo_h1_5'
);