<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O =&get_instance();
$lang = $g_O->lang;

$config['form_fields'] = array(
	'username'=>array('label'=>$lang->translate('username'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'password'=>array('label'=>$lang->translate('password'),'value'=>'','rules'=>'trim|add_required','xss'=>true),
	'retype_password'=>array('label'=>$lang->translate('retype_password'),'value'=>'','rules'=>'trim|add_required|matches[password]','xss'=>true),
	
	'name'=>array('label'=>$lang->translate('name'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'email'=>array('label'=>$lang->translate('email'),'value'=>'','rules'=>'trim|required|valid_email','xss'=>true),
	'phone'=>array('label'=>$lang->translate('phone'),'value'=>'','rules'=>'trim','xss'=>true),
	'phone2'=>array('label'=>$lang->translate('phone2'),'value'=>'','rules'=>'trim','xss'=>true),
	'fax'=>array('label'=>$lang->translate('fax'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'country'=>array('label'=>$lang->translate('country'),'value'=>'','rules'=>'trim','xss'=>true),
	'location'=>array('label'=>$lang->translate('locations'),'value'=>'','rules'=>'trim','xss'=>true),
	'address'=>array('label'=>$lang->translate('address'),'value'=>'','rules'=>'trim','xss'=>true),
	'zip'=>array('label'=>$lang->translate('zip'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'active_newsletter'=>array('label'=>$lang->translate('active_newsletter'),'value'=>1,'rules'=>'')
);

$config['form_data_fields'] = array(
	'username','password','name','email','phone','phone2','fax',
	'country','location','address','zip','active_newsletter'
);