<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O =&get_instance();
$lang = $g_O->lang;

$obj = 'reviews';


$config['quick_actions'] = array(
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);


$config['list_header_fields'] = array(
	'review_id'=>array( 'label'=>'#','width'=>8),
	'review_status'=>array('label'=>$lang->translate('active'),'width'=>10),
	'rating_stars'=>array('label'=>$lang->translate('rating_stars'),'width'=>15),
	'title'=>array('label'=>$lang->translate('title'),'width'=>''),
	'user_id'=>array('label'=>$lang->translate('user'),'width'=>'','order'=>false)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>10,'uri_segment' =>5,'total_rows' =>0);
$config['search_fields'] = array('review_id'=>'=','title'=>'like','active'=>'=','listing_id'=>'=');

$config['orderby'] = 'review_id desc'; 

$config['form_fields'] = array(
		'title'=>array('label'=>$lang->translate('review_title'),'value'=>'','rules'=>'trim|required','xss'=>true),
		'body'=>array('label'=>$lang->translate('review_body'),'value'=>'','rules'=>'trim|required','xss'=>true),
		'rating_stars'=>array('label'=>$lang->translate('rating_stars'),'value'=>'1','rules'=>''),
		'active'=>array('label'=>$lang->translate('active'),'value'=>2,'rules'=>'required')
);
$config['form_data_fields'] = array('title','body','rating_stars','active');