<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();

//config
$config['smarty_template_dir'] = PUBLIC_PATH.'themes/';
$config['smarty_compile_dir'] = PUBLIC_PATH.'themes_c/';
$config['smarty_plugin_dir'] = PRIVATE_PATH.'smarty_plugins/';
$config['smarty_compile_check'] = true;
$config['smarty_security'] = true; //true - remove {php} tag
$config['smarty_security_settings']  = array(
	'PHP_HANDLING'    => false,
	'IF_FUNCS'        => array('array', 'list', 'isset', 'empty','count', 'sizeof', 'in_array', 'is_array', 'true', 'false', 'null'),
	'INCLUDE_ANY'     => false,
	'PHP_TAGS'        => false,
	'MODIFIER_FUNCS'  => array('count','ucfirst','htmlspecialchars'),
	'ALLOW_CONSTANTS'  => false,
	'ALLOW_SUPER_GLOBALS' => false
);

$config['minify_html'] = true;
$config['compress_html'] = true;
$config['compress_ajax'] = true;

//&amp; instead of & in the href
//http://www.w3.org/TR/html401/appendix/notes.html#h-B.2.2
//not used 
#$config['js_tag'] = '<script type="text/javascript" src="{base_url}combine.php?theme={theme}&amp;type=javascript&amp;files={files}&amp;g_files={gjsfiles}&amp;expire=0&amp;min=1"></script>';
#$config['css_tag'] = '<link rel="stylesheet" href="{base_url}combine.php?theme={theme}&amp;type=css&amp;files={files}&amp;g_files={gcssfiles}&amp;expire=0" type="text/css" />';

//aliases
$config['theme_alias'] = array(
	'admin'=>'admin',
	'member'=>'admin',
	'installer'=>'installer',
	'visitor'=>'default_theme'
);

$config['tinymce'] = '<script src="{base_url}public/jseditors/tinymce/jquery.tinymce.js" type="text/javascript"></script>';
$config['editarea'] = '<script src="{base_url}public/jseditors/editarea/edit_area_compressor.php" type="text/javascript"></script>';
$config['googlemap'] =' <script src="http://maps.google.com/maps?file=api&v=2&sensor=false&key=%s" type="text/javascript"></script>';
if(IS_SSL)
{
	$config['googlemap3'] = '<script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>';
	$config['googlemap3_url'] = 'https://maps.google.com/maps/api/js?sensor=false';
	//$config['googlemap3_url_search'] = 'https://maps.google.com/maps/api/js?sensor=false&callback=search.init_google_map';
	//$config['googlemap3_url_listing_details'] = 'https://maps.google.com/maps/api/js?sensor=false&callback=listing_details.google_map_init';
}
else
{
	$config['googlemap3'] = '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>';
	$config['googlemap3_url'] = 'http://maps.google.com/maps/api/js?sensor=false';
	//$config['googlemap3_url_search'] = 'http://maps.google.com/maps/api/js?sensor=false&callback=search.init_google_map';
	//$config['googlemap3_url_listing_details'] = 'http://maps.google.com/maps/api/js?sensor=false&callback=listing_details.google_map_init';
}

//locations
$config['js_maps']['admin/locations/add'] = 
$config['js_maps']['admin/locations/edit'] = 
$config['js_maps']['admin/listings/edit'] = 
$config['js_maps']['admin/listings/add'] = 
$config['js_maps']['member/listings/add'] = 
$config['js_maps']['member/listings/edit'] = 
//$config['js_maps']['search/index'] = 
//$config['js_maps']['listing/details'] = 
array(
	'googlemap3'
);

//MIN?
$config['javascript_type'] = 'javascript_min';
$config['css_type'] = 'css_min';

//css
$config['js_editors']['admin/css/edit'] = array(
	'editarea'
);
//templates
$config['js_editors']['admin/templates/edit'] = array(
	'editarea'
);

//cms content
$config['js_editors']['admin/content/edit'] = 
$config['js_editors']['admin/content/add'] = 
$config['js_editors']['admin/content/add_wysiwyg'] = 
$config['js_editors']['admin/content/edit_wysiwyg'] = 
array(
	'tinymce'
);

//cms news
$config['js_editors']['admin/news/edit'] = 
$config['js_editors']['admin/news/add'] = array(
	'tinymce'
);

//cms guides
$config['js_editors']['admin/guides/edit'] = 
$config['js_editors']['admin/guides/add'] = array(
	'tinymce'
);

//message mail templates
$config['js_editors']['admin/mail_templates/edit'] = 
$config['js_editors']['admin/mail_templates/edit_wysiwyg'] = 
$config['js_editors']['admin/mail_templates/add'] =
$config['js_editors']['admin/mail_templates/add_wysiwyg'] = array(
	'tinymce'
);