history.navigationMode = 'compatible';	//for Opera to support unload function
var heartBeat = 1500;	//chat auto refresh time in miliseconds	
var windowscount = 0;	
var chatboxcount = 0;

//detect idle
chat_idle_time = 0;
$(document).ready(function () {
    //Increment the idle time counter every second
    var idleInterval = setInterval(chat_timer_increment, 1000);

    //Zero the idle timer on mouse movement.
    $(this).mousemove(function (e) {
        chat_idle_time = 0;
    });
    $(this).keypress(function (e) {
        chat_idle_time = 0;
    });
});

function chat_timer_increment() {
	$v = $('.chatbox').filter(':visible:first');
	if($v[0]) 
	{
		chat_idle_time = chat_idle_time + 1;
		if (chat_idle_time > 10) { 
        	heartBeat = 3000;
    	}
    	else heartBeat = 500;
	}
	else
	{
    	chat_idle_time = chat_idle_time + 1;
    	if (chat_idle_time > 30) { 
        	heartBeat = 10000;
    	}
    	else heartBeat = 5000;
	}
}
//end iddle

$(document).ready(function() 
{		
	
	var playsound = true;
	
	//GO ONLINE
	if(typeof(JSCFG_is_logged)!='undefined' && (JSCFG_is_logged==1))
	{
		$.ajax({
			//type: "POST",
			url: site_url+'chat/set_status/status.online',		
			//async: false,
			//data: 'my_user_id=&status=online',
			success: function(i){	
			}
		});
	}
	
	//MINIMIZE, MAXIMIZE, CLOSE CHAT WINDOW			
	//minimize function
	$(document).on('click','.minimize_chatbox',function(){
		//remove chat,message area			
		$(this).closest('.chatbox').find('.chat_area,.chat_message,.chat_info').css('height','0px');		
		$(this).closest('.chatbox').css('height','25px');
				
		//replace minimize icon
		$(this).css('display','none');
		$(this).closest('.chatbox').find('.maximize_chatbox').css('display','inline');
		$(this).closest('.chatbox').data('chatbox_status',2);
		UpdateChatWindowStatus();
		return false;
	});
	
	//maximize function
	$(document).on('click','.maximize_chatbox',function(){
		//remove chat,message area	
		$(this).closest('.chatbox').find('.chat_area').css('height','180px');		
		$(this).closest('.chatbox').find('.chat_message').css('height','55px');		
		$(this).closest('.chatbox').find('.chat_info').css('height','20px');		
		$(this).closest('.chatbox').css('height','300px');
		$(this).closest('.chatbox').find('.header_bg_blink').removeClass("header_bg_blink").addClass("header_bg_default");
				
		//replace minimize icon
		$(this).css('display','none');
		$(this).closest('.chatbox').find('.minimize_chatbox').css('display','inline');
		$(this).closest('.chatbox').find('.header .new_message').remove();
		$(this).closest('.chatbox').find('.chat_message textarea').focus();
		$(this).closest('.chatbox').data('chatbox_status',1);
		UpdateChatWindowStatus();
		return false;
	});
	
	//close function
	$(document).on('click','.close_chatbox',function(){
		var closed_pos = parseInt($(this).closest('.chatbox').css('right'));
		chatboxcount --;
		$(this).closest('.chatbox').remove();		
		//set nu position for all appearing chat window
		
		$('.chatbox').each(function(){
			var prev_pos = parseInt($(this).css('right'));
			if(prev_pos != 10 && (prev_pos > closed_pos )){
				var nu_pos = prev_pos - 225;
				$(this).css('right',nu_pos+'px');
			}
		});
		UpdateChatWindowStatus();
		return false;
	});		
	
	function saySomething() 
	{
		alert("something");
	};

	//ON USER CLICK POP UP CHAT
	$(document).on('click','.chat_user',function(e){
		e.preventDefault();
		var substr = $(this).attr('alt').split('|');
		var user_id = substr[0];
		var user_name = substr[1];
		
		//check if a windows is already open with this user first!
		if($('div[title="'+user_id+'"]').length > 0){					
			//alert('You\'re already chatting with him/her!');
		}else{
			PopupChat(user_id,user_name,1);
		}
	});
			
	// set focus in Message area
	$(document).on('click','.chatbox',function(){
		$textarea = $('.chat_message textarea',this);		
		$textarea.focus();
	});
			
	//PRINT A LINE TO CHAT 
	function print_to_chat(window_id,text){
		$('#'+window_id+' .chat_area').append(text);
	}
	
					
	//HIGHLIGHT Active chat window
	$(document).on('focus','.chat_message textarea',function() {
		var chatbox = $(this).closest('.chatbox');
		this_chatbox_headerbg = $('.header',chatbox);
		this_chatbox_headerbg.removeClass("header_bg_blink").addClass("header_bg_default");
		chatbox.removeClass("cb_default").addClass("cb_highlight"); // add highligt to chat window
		chatbox.data('focused',1);		   // enable focus variable
		chatbox.data('havenewmessage',0); // clear new message
	});
	$(document).on('blur','.chat_message textarea',function() {
		var chatbox = $(this).closest('.chatbox');
		chatbox.removeClass("cb_highlight").addClass("cb_default"); // remove highligt of chat window
		chatbox.data('focused',0);	// disable focus variable
	});
			
	//SEND MESSAGE ON ENTER		
	$(document).on('keypress','.chat_message textarea', function (e) {
		if (e.keyCode == 13 && !e.shiftKey) {
			e.preventDefault();
		
			//add to MySQL DB with AJAX and PHP
			var to_id = $(this).closest('.chatbox').attr('title');
			var this_chat_window_id = $(this).closest('.chatbox').attr('id');
			var this_textarea = $(this);
			var datastring = 'my_user_id=&partner_user_id='+to_id+'&message='+this_textarea.val();
			
			$.ajax({
				type: "POST",
				url: site_url+'chat/send_message/',						
				data: datastring,
				success: function(i)
				{			
					if(i == 1)
					{
						//if success, reload chat area
						this_textarea.val('');
					}else
					{					
						//if error,  print it into chat
						//print_to_chat(this_chat_window_id,'<p><span class="error">Error! Message not sent!</span></p>');
								
						//uncomment to print mysql error to chat
						//print_to_chat("error:"+i);
					}
				}
			});
		}
		else{
			//user is typing...
			//$is_typing = 1;	//1.2 - Remove this line
		}				
	});
			
	$(document).on('keyup','.chat_message textarea', function(){
		//$is_typing = 0; //1.2 - Remove this line
	});
				
	//USER GOES OFFLINE ON WINDOW CLOSE/NAVIGATE AWAY
	$(window).unload(function (){
		$.ajax({
			//type: "POST",
			url: site_url+'chat/set_status/status=offline',		
			//async: false,					
			//data: 'my_user_id=&status=offline',
			success: function(i){	
				//do nothing
			}
		});
	});
	
	//LOOP OF LIFE - checks every ... seconds if there's a new message
	var prev_length = new Array();
	function liveChat(){
		//go through all popped up window and reload messages, mark those messages as received			
		$('.chatbox').each(function(){												
			var is_typing;
			var this_chatbox = $(this);
			var this_chatbox_chat_area = $('.chat_area',this);		
			var this_chatbox_headerbg = $('.header',this);				
			var this_chatbox_header = $('.header p',this);				
			var this_chatbox_max_btn  = $('.header .maximize_chatbox',this);				
			var this_chatbox_id = $(this).attr('title');
			var this_newmessage = $('.header p .new_message',this);				
			
			//v1.2 -----------------------------------------------------
			
			if (this_chatbox.data('havenewmessage') == 1 && this_chatbox.data('fistload') == 1) { // blinking chat window if not focused and have a new message
				if (this_chatbox.data('blink') == 0) {
					this_chatbox_headerbg.removeClass("header_bg_default").addClass("header_bg_blink");
					this_chatbox.data('blink',1);
				} else {
					this_chatbox.data('blink',0);
					this_chatbox_headerbg.removeClass("header_bg_blink").addClass("header_bg_default");
				}
			}
				
			var this_chatbox_textarea  = $('.chat_message textarea',this);								
			if (this_chatbox_textarea.val() !='') {
				//alert('1');
				is_typing = 1;
			} else {
				is_typing = 0;
				//alert('0');
			}
			
			//v1.2 -----------------------------------------------------								
			$.ajax({
				//type: "POST",
				url: site_url+'chat/load_message/partner_user_id.'+this_chatbox_id+'/is_typing.'+is_typing,								
				//data: 'my_user_id=&partner_user_id='+this_chatbox_id+'&is_typing='+is_typing,
				success: function(i)
				{	
					//reload messages in chat area
					if(i != 0)
					{
						//alert(i);
						this_chatbox_chat_area.html(i);														
							
						if(prev_length[this_chatbox_id] != i.length)
						{							
							//scroll to bottom if new message received
							if (i.indexOf('last_message_sent_at') == -1) 
							{
								if (this_chatbox.data('focused') != 1 && this_chatbox.data('havenewmessage') != 1) 
								{
									if (this_chatbox.data('fistload') == 1) {
										this_chatbox.data('havenewmessage',1);
										if (playsound) 
										{
											$("#chat_player_div").empty();
											$("#chat_player_div").prepend(insertPlayer());
										}	
									}	
								}
							}
							if (this_chatbox.data('fistload') != 1) {
								this_chatbox.data('fistload',1);
							}
							this_chatbox_chat_area.animate({scrollTop: 9999999},200);
							//display new message info next to partner's name, if window is minimized
							/*if(this_chatbox_max_btn.css('display') != 'none' && this_chatbox_header.find('.new_message').length == 0){									
								this_chatbox_header.append('<span class="new_message"> *</span>');									
							}*/							
						}
						prev_length[this_chatbox_id] = i.length;
					}else
					{
						//alert(i);
					}
				}
			});	
			
			//check if user is typing
			$.ajax({
				//type: "POST",
				url: site_url+'chat/is_typing/partner_user_id.'+$(this).attr('title'),			
				//data: 'my_user_id=&partner_user_id='+$(this).attr('title'),
				success: function(e)
				{
					//console.log(e);
					if(e == 1){
						$('.chatbox[title="'+this_chatbox_id+'"] .chat_info p').text('User is typing...');
					}else{
						$('.chatbox[title="'+this_chatbox_id+'"] .chat_info p').text('');
					}
				}
			});
		});
			
			
		//check if current user has a new message (to_id = current_user_id) which haven't been received and there's no popup with that user
		
		$.ajax({
			//type: "POST",
			url: site_url+'chat/load_popup_message/',							
			//data: 'my_user_id=',
			success: function(o){
				if( (o != 0) && (o.indexOf(';;;')!=-1)){
					//there's a new message, so just open up a new chat window and message will be loaded automatically
					var substr = o.split(';;;');		
					//check if a windows is already open with this user first!
					if($('div[title="'+substr[0]+'"]').length == 0)
					{					
						PopupChat(substr[0],substr[1],1);
					}												
				}
			}
		});
			
		//and start the loop again
		t=setTimeout(liveChat,heartBeat);
	}
	if(typeof(JSCFG_is_logged)!='undefined' && (JSCFG_is_logged==1))
		liveChat();	//start the chat
			
});
//end document.ready
			

function insertPlayer()
{
	var playerpath	= base_url+'public/players/chat/player.swf';
	var filename	= base_url+'public/players/chat/gong.mp3';
	
	var mp3html = '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" ';
	mp3html += 'width="1" height="1" ';
	mp3html += 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab">';
	mp3html += '<param name="movie" value="'+playerpath+'?';
	mp3html += 'showDownload=false&file=' + filename + '&autoStart=true';
	mp3html += '&backColor=ffffff&frontColor=ffffff';
	mp3html += '&repeatPlay=false&songVolume=50" />';
	mp3html += '<param name="wmode" value="transparent" />';
	mp3html += '<embed wmode="transparent" width="1" height="1" ';
	mp3html += 'src="' + playerpath + '?'
	mp3html += 'showDownload=false&file=' + filename + '&autoStart=true';
	mp3html += '&backColor=ffffff&frontColor=ffffff';
	mp3html += '&repeatPlay=false&songVolume=50" ';
	mp3html += 'type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />';
	mp3html += '</object>';
	return mp3html;
}

function PopupChat(partner_id,partner_username,chatbox_status)
{
	windowscount ++;
	chatboxcount ++;
	var wctr = windowscount;
	
	$('body').append(
		'<div class="chatbox cb_default" id="chat_window_'+wctr+'" title="'+partner_id+'">'+
			'<div class="header header_bg_default" title="'+partner_username+'">'+
				'<p>'+partner_username+'</p>'+
				'<a href="#" class="close_chatbox" title="close chat window">&times;</a>'+
				'<a href="#" class="minimize_chatbox" title="minimize chat window">_</a>'+
				'<a href="#" class="maximize_chatbox" title="maximize chat window">&#8254;</a>'+
			'</div>'+
			'<div class="chat_area" title="'+partner_username+'">'+'</div>'+
			'<div class="chat_info"><p></p></div>'+					
			'<div class="chat_message" title="Type your message here">'+
				'<textarea></textarea>'+
			'</div>'+
		'</div>'
	);
	if (chatbox_status == 2) 
	{
		$('#chat_window_'+wctr).css('height','0px');		
		$('#chat_window_'+wctr).css('height','25px');
		$('#chat_window_'+wctr+',.minimize_chatbox').css('display','none');
		$('#chat_window_'+wctr+',.maximize_chatbox').css('display','inline');
	}
	var nu_w_pos = 0;
	if (chatboxcount == 1) 
	{
		nu_w_pos = 10;
	} else {
		nu_w_pos = ((chatboxcount-1) * 225)+10;
	}	
	$('#chat_window_'+wctr).css('right',nu_w_pos+'px');
	$('#chat_window_'+wctr).data('chatbox_status',chatbox_status);
	$('#chat_window_'+wctr).data('partner_id',partner_id);
	$('#chat_window_'+wctr).data('partner_username',partner_username);
	UpdateChatWindowStatus();
	return false;
}
	
function UpdateChatWindowStatus(){
	var chatboxdata = [];
	$('.chatbox').each(function(){
		var this_chatbox = $(this);
		chatboxdata.push({ partner_id:this_chatbox.data('partner_id'),partner_username : this_chatbox.data('partner_username'),chatbox_status:this_chatbox.data('chatbox_status')});
	});	
	$.ajax({
		//type: "POST",
		url: site_url+'chat/set_status/chatbox_status.'+this_chatbox.data('chatbox_status'),
		//async: false,					
		//data: ({ chatbox_status: chatboxdata }),
		//data: 'chatbox_status=1',
		success: function(i){	
		}
	});
	return false;
}