var marked_items_count = 0;
var active_editor = '';

var ua = navigator.userAgent;
	ua = ua.toLowerCase();
	var browser_match = /(webkit)[ \/]([\w.]+)/.exec( ua ) ||
			/(opera)(?:.*version)?[ \/]([\w.]+)/.exec( ua ) ||
			/(msie) ([\w.]+)/.exec( ua ) ||
			!/compatible/.test( ua ) && /(mozilla)(?:.*? rv:([\w.]+))?/.exec( ua ) ||
		  	[];
		  	

var utils = function () 
{
	return {
		show_bm : function()
		{
			$("#show_bmm").click(function(e){ e.preventDefault();$("#bmm").slideToggle(); });	
		},
		reload_captcha_init:function()
		{
			var $r = $('a.captchar');
			$r.each(function(i)
			{
				$(this).attr('rel',i);
			});
				
			$(document).on(
				"click","a.captchar",
				function(e){
					e.preventDefault();
					console.log(site_url);
					var $i = $(this).attr('rel')
					var $container = ($i!=0)?$('#captcha_wrapper_'+i):$('#captcha_wrapper');
						var ajax = $.ajax({
							url: site_url+'captchar/reload/'+new Date().getTime(),
							type: 'GET'
						}).done(
							function(data){
								$container.html(data);
								var $r = $('a.captchar');
								$r.each(function(i)
								{
									$(this).attr('rel',i);
								});
							}
						);
				}
			);
		}
	}
}();

$.fn.check = function(mode) {
	var mode = mode || 'on';
	return this.each(function() {
		switch(mode) {
			case 'on':
				this.checked = true;
				break;
			case 'off':
				this.checked = false;
				break;
			case 'toggle':
				this.checked = !this.checked;
				break;
			}
	});
};


$.fn.n_format = function(val,options) {

	var defaults = {
		prefix: '',
		decimalsSeparator: '', //.
		thousandsSeparator: ',',
		decimalsLimit: 0,
		limit : false
	};

	var options = $.extend(defaults, options);
	
	options.decimalsSeparator = options.decimalsSeparator!=''?JSCFG_dec_separator:options.decimalsSeparator;
	options.thousandsSeparator = JSCFG_thousands_separator?JSCFG_thousands_separator:options.thousandsSeparator;
	
	// load the pluggings settings
	var prefix = options.prefix;
	var decimalsSeparator = options.decimalsSeparator;
	var thousandsSeparator = options.thousandsSeparator;
	var limit = options.limit;
	var decimalsLimit = options.decimalsLimit;
	var is_number = /[0-9]/;
	
	// skip everything that isn't a number
	// and also skip the left zeroes
	function to_numbers (str) {
		var formatted = '';
		for (var i=0;i<(str.length);i++) {
			_char = str.charAt(i);
			if (formatted.length==0 && _char==0) _char = false;
			if (_char && _char.match(is_number)) {
				if (limit) {
					if (formatted.length < limit) formatted = formatted+_char;
				}else{
					formatted = formatted+_char;
				}
			}
		}
		return formatted;
	}

	
	function fill_with_zeroes (str) {
		while (str.length<(decimalsLimit+1)) str = '0'+str;
			return str;
	}

	function _number_format (str) {
		// formatting settings
		var formatted = fill_with_zeroes(to_numbers(str));
		var thousandsFormatted = '';
		var thousandsCount = 0;

		
		var decimalsVal = formatted.substr(formatted.length-decimalsLimit,decimalsLimit);
		var integerVal = formatted.substr(0,formatted.length-decimalsLimit);
		
		formatted = integerVal+decimalsSeparator+decimalsVal;

		// apply thousands pontuation
		if (thousandsSeparator) {
			for (var j=integerVal.length;j>0;j--) {
				_char = integerVal.substr(j-1,1);
				thousandsCount++;
				if (thousandsCount%3==0) _char = thousandsSeparator+_char;
				thousandsFormatted = _char+thousandsFormatted;
			}
			if (thousandsFormatted.substr(0,1)==thousandsSeparator) thousandsFormatted = thousandsFormatted.substring(1,thousandsFormatted.length);
					formatted = thousandsFormatted+decimalsSeparator+decimalsVal;
		}

		// apply the prefix
		if (prefix) formatted = prefix+formatted;
		return formatted;
	}
	
	if(val)
		return _number_format(val);
	else return 0; 
};

(function($) {
$.fn.countTo = function(options) 
{
	// merge the default plugin settings with the custom options
	options = $.extend({}, $.fn.countTo.defaults, options || {});
	
	// how many times to update the value, and how much to increment the value on each update
	var loops = Math.ceil(options.speed / options.refreshInterval),
	increment = (options.to - options.from) / loops;
	
	return $(this).each(function() 
	{
		var _this = this,
		loopCount = 0,
		value = options.from,
		interval = setInterval(updateTimer, options.refreshInterval);

		function updateTimer() 
		{
			value += increment;
			loopCount++;
			$(_this).html(value.toFixed(options.decimals));
			if (typeof(options.onUpdate) == 'function') 
			{
				options.onUpdate.call(_this, value);
			}
			if (loopCount >= loops) 
			{
				clearInterval(interval);
				value = options.to;
				if (typeof(options.onComplete) == 'function') 
				{
					options.onComplete.call(_this, value);
				}
			}
		}
	});
};
$.fn.countTo.defaults = {
	from: 0,  // the number the element should start at
	to: 100,  // the number the element should end at
	speed: 1000,  // how long it should take to count between the target numbers
	refreshInterval: 100,  // how often the element should be updated
	decimals: 0,  // the number of decimal places to show
	onUpdate: null,  // callback method for every time the element is updated,
	onComplete: null // callback method for when the element finishes updating
};
})(jQuery);

$.fn.passwordStrength = function( options ){
	return this.each(function(){
		var that = this;that.opts = {};
		that.opts = $.extend({}, $.fn.passwordStrength.defaults, options);
		
		that.div = $(that.opts.targetDiv);
		that.defaultClass = that.div.attr('class');
		
		that.percents = (that.opts.classes.length) ? 100 / that.opts.classes.length : 100;

		 v = $(this)
		.keyup(function(){
			if( typeof el == "undefined" )
				this.el = $(this);
			var s = getPasswordStrength (this.value);
			var p = this.percents;
			var t = Math.floor( s / p );
			
			if( 100 <= s )
				t = this.opts.classes.length - 1;
				
			this.div
				.removeAttr('class')
				.addClass( this.defaultClass )
				.addClass( this.opts.classes[ t ] );
				
		})
		.after(' <a href="#">'+$("#generate_password_label").val()+'</a>')
		.next()
		.click(function(){
			
			var pass = randomPassword();
			$(this).prev().val(pass).trigger('keyup');
			$("#generated_password").text(pass);
			return false;
		});
	});

	function getPasswordStrength(H){
		var D=(H.length);
		if(D>5){
			D=5
		}
		var F=H.replace(/[0-9]/g,"");
		var G=(H.length-F.length);
		if(G>3){G=3}
		var A=H.replace(/\W/g,"");
		var C=(H.length-A.length);
		if(C>3){C=3}
		var B=H.replace(/[A-Z]/g,"");
		var I=(H.length-B.length);
		if(I>3){I=3}
		var E=((D*10)-20)+(G*10)+(C*15)+(I*10);
		if(E<0){E=0}
		if(E>100){E=100}
		return E
	}

	function randomPassword() {
		var chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$_+";
		var size = 10;
		var i = 1;
		var ret = ""
		while ( i <= size ) {
			$max = chars.length-1;
			$num = Math.floor(Math.random()*$max);
			$temp = chars.substr($num, 1);
			ret += $temp;
			i++;
		}
		return ret;
	}

};
	
$.fn.passwordStrength.defaults = {
	classes : Array('is10','is20','is30','is40','is50','is60','is70','is80','is90','is100'),
	targetDiv : '#password_strength',
	cache : {}
};


$(document).ready(
	function()
	{
		
		utils.reload_captcha_init();
		utils.show_bm();
		
		//submit payment form
		if(typeof payment_form_to_submit!='undefined')
		{
			if(payment_form_to_submit)
			{
				document.getElementById(payment_form_to_submit).submit();
			}
		}
	}
);