var coupons = function(){
	return {
		'start_date_init':function(){
			var today = new Date();
			var $this = this;
			var check_start_date = function()
			{
				if($("#start_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
				}
				else 
				{
					return today;
				}
			}
			var selected = check_start_date();
			
			
			$("#start_date_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#start_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#end_date_picker" ).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day);
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(){
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var check_end_date = function()
			{
				if($("#end_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#end_date").val());
				}
				else 
				{
					return tomorrow;
				}
			}
			var selected = check_end_date();
			
			$( "#end_date_picker" ).datepicker({
				defaultDate: "+1w",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#end_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					$( "#start_date_picker" ).datepicker( "option", "maxDate", selectedDate );
				}
			}).datepicker('setDate',selected);
		}
	}
}();

$(document).ready(
	function()
	{
		if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
		
		coupons.start_date_init();
		coupons.end_date_init();
	}
);
