var edit = function(){
	return {
		form_sections : function()
		{
			var href = window.location.href;
			var section = href.split('#')[1];
			
			if(section)
			{
				$('a.minus').each(function(){ 
					if($(this).hasClass('no_section')) return;
					$(this).toggleClass('minus').toggleClass('plus').next('ul').hide();
				});
				$('#'+section).prev('a').toggleClass('plus').toggleClass('minus');
				$('#'+section).show();
			}
			$('a.plus').each(
				function(){
					$(this).next('ul').hide();
					$(this).click(
						function(e)
						{
							e.preventDefault();
							$(this).toggleClass('plus').toggleClass('minus').next('ul').toggle();
						}
					);
				}
			);
			
			$('a.minus').click(function(e)
			{
				e.preventDefault();
				if($(this).hasClass('no_section')) return;
				$(this).toggleClass('minus').toggleClass('plus').next('ul').toggle();
			});
			
		},
		prep_settings_form : function()
		{
			var href = window.location.href;
			var section = href.split('#')[1];
			if(section) 
			{
				var current_action = $('#settings_edit').attr('action');
				$('#settings_edit').attr('action',current_action+'#'+section); 
			}
		},
		hide_siblings: function()
		{
			$("a.show_siblings").each(
				function()
				{
					var href = $(this).attr("href");
					href = href.replace("#","");
					$("."+href).hide();
				}
			);
		},
		show_siblings : function()
		{
			$("a.show_siblings").each(
				function()
				{
					var href = $(this).attr("href");
					href = href.replace("#","");
					$("."+href).toggle();
					$(this).click(
						function(e)
						{
							e.preventDefault();
							$("."+href).toggle();
						}
					);
				}
			);
		},
		repeatable: function(section)
		{
			$(document).on('click','.'+section+'_repeatable_add',function(e) 
			{
				e.preventDefault();
				field = $('#'+section+'_repeatable li:last').clone(true);
				fieldLocation =$('#'+section+'_repeatable li:last');
				
				$('input, select',field).val("").attr('name', function(index, name)
				{
					return name.replace(/\[(\d+)\]/, function(fullMatch, n) {
						return '['+parseInt(Number(n) + 1)+']';
					});
				});
				$('#'+section+'_repeatable').append(field);
				return false;
			});
			
			$(document).on('click','.'+section+'_repeatable_remove',function(e)
			{
				e.preventDefault();
				var li =$(this).closest('li');
				var ul = li.parent('ul');
				
				if(ul.children('li').length>1) li.remove();
				return false;
			});	
		}
	}
}();
	

$(document).ready(function(){
	//console.profile();
	//console.profileEnd();
	edit.show_siblings();
	edit.form_sections();
	$('input[name="password"]').passwordStrength();
	
	$('form').on(
		'click','input[type=submit]',function(){
			$(this.form).data('no_loading',$(this).hasClass('no_loading'));
		}
	);
	$('form').submit(
		function(e){
			var no_loading = $(this).data('no_loading')?$(this).data('no_loading'):false;
			if(no_loading==false)
				$.colorbox({'html':'<div class="please_wait">'+JSCFG_please_wait_text+'</div>'});
		}
	);
});
