$(document).ready(function() {
$('textarea.tinymce').tinymce(
{
	mode : 'specific_textareas',//
	script_url : base_url+'public/jseditors/tinymce/tiny_mce_gzip.php',
	
	editor_selector : "tinymce",
	editor_deselector: "notinymce",
	width:"99%",
	
	theme : "advanced",
	skin: "cirkuit",
	content_css: base_url+'/public/themes/'+theme+'/css/tinymce_style.css',
	height:500,
	
	theme_advanced_buttons1:"bold,italic,|,image,|,bullist,numlist,|,justifyfull,justifyleft,justifycenter,justifyright,|,link,unlink,|,codemagic,fullscreen,pdw_toggle", 
	theme_advanced_buttons2:"formatselect,underline,strikethrough,forecolor,|,charmap,pastetext,pasteword,removeformat,|,outdent,indent,|,undo,redo", 
	theme_advanced_buttons3:"tablecontrols",
	theme_advanced_buttons4:"", 

	pdw_toggle_on:1,
	pdw_toggle_toolbars:"2,3",
	
	theme_advanced_toolbar_location:"top", 
	theme_advanced_toolbar_align:"left", 
	theme_advanced_statusbar_location:"bottom", 
	theme_advanced_resizing:1, 
	theme_advanced_resize_horizontal:0,
	dialog_type:"modal",
	
	language:"en", 
	//spellchecker_languages:"+English=en,Romanian=ro",
	//spellchecker_rpc_url:base_url+'public/jseditors/tinymce/plugins/spellchecker/rpc.php',
			
	//new
	//entity_encoding : 'raw',
	flash_menu : 'false',
	theme_advanced_blockformats : 'p,h1,h2,h3,h4,h5,h6,pre,div',
	verify_html : false,
		
	relative_urls:0, 
	remove_script_host:0, 
	convert_urls:0, 
	apply_source_formatting:0,//indent the html code 
	forced_root_block: 0,
	
	//new line
	force_p_newlines: true,
	force_br_newlines: false,
	remove_linebreaks:false,
	convert_newlines_to_brs : false,
	//end new line
	
	gecko_spellcheck:true, 
	
	entities:"38,amp,60,lt,62,gt", 
	extended_valid_elements :"script[language|type|src]",
	plugins:"table,safari,rinlinepopups,paste,media,fullscreen,tabfocus,pdw,wordcount,codemagic"
	
});	
});

var initial_text = [];

var guides_edit = function(){
	return {
		check_all:function(el)
		{
			var $el = $("#"+el);
			if(!$el[0]) 
			{
				return false;
			}
			$el.find('li').children(':checkbox').each(
				function()
				{
					this.checked = true;
				}
			);
		},
		uncheck_all:function(el)
		{
			var $el = $("#"+el);
			if(!$el[0]) 
			{
				return false;
			}
			$el.find('li').children(':checkbox').each(
				function()
				{
					this.checked = false;
				}
			);
		},
		
		'change_location':function()
		{
			var $this = this;
			for(var j=1;j<=5;j++) initial_text["location_"+j] = $("#location_"+j).children().eq(0).text();
			$('#location_box').find('select.location_picker').change(
				function()
				{
					$this.do_change($(this));
				}
			);
		},
		'do_change':function(el)
		{
			var $this = this;
			var id = el.attr('id');
			var level = parseInt(id.replace('location_',''));
			var next_level = level+1;
			var val = el.val();
			var text = $("#"+id+" :selected").text();
					
			//reset the rest
			for(var j=next_level;j<=5;j++)
			{
				if($("#location_"+j)[0])
				{
					$("#location_"+j).attr("disabled","disabled");
					$("#location_"+j).html('<option value="">'+initial_text["location_"+j]+'</option>');
				}
			}
			if($("#location_"+next_level)[0])
			{
				var $el = $("#location_"+next_level);
				var position = $el.offset();
				var width = $el.width();
						//initial_text['location_'+next_level] = $("#location_"+next_level+" :selected").text();
				if(!$("#spinner")[0])
					$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
				$.ajax(
				{
					url: site_url+'admin/ajax_locations/get_locations/'+val,
					type: 'GET',
					beforeSend: function()
					{
						$('#spinner').css({ top: position.top+5 , left: position.left+width+5}).fadeIn();
						$el.html('<option val="">Loading...</option>');
					},	
					success: function(data) 
					{
						var options = new Array();
						options[0] = '<select disabled="disabled" style="width:200px" class="location_picker" name="location_'+next_level+'" id="location_'+next_level+'">';
						options[1] = '<option value="">'+initial_text['location_'+next_level]+'</option>';
						options.push(data);
						options.push('</select>');
							
						$("#l_"+next_level)[0].innerHTML = options.join('');
						$("#location_"+next_level).bind('change',function(){$this.do_change($(this));});
						$("#location_"+next_level).removeAttr('disabled');
					},
					complete:function()
					{
						$("#spinner").fadeOut();	
					}
				});
			}
		}
	}
}();

$(document).ready(function(){
	
	
	guides_edit.change_location();
	
	$('form.autosave').autosave({
			interval: 300000,
			id: '',
			before: function(e,o)
			{
				//console.log(e);
				o.id = e.attr('id');
				if(!$("#submit_ajax")[0])
					$('<input type="hidden" name="submitf" id="submit_ajax" value="submit" />').appendTo(e);
				return true;
			},
			save: function(e,o,r) {
				//console.log(r);
				//var r=jQuery.parseJSON(r);
				//return;
				if(typeof r =='object'){
					$.jGrowl.defaults.position = 'bottom-right';
					switch(r.m_form_status)
					{
						case 0:
							//$.jGrowl(r.m_form_status_text,{theme:'info_notice',life:6000});	
							break;
						case 1:
						case 3:
							$.jGrowl(r.m_form_status_text,{theme:'info_notice',life:6000});
							if(o.id.match(/add/g) && (r.m_ajax_obj_id!=0) && (r.m_ajax_redirect!='')) 
							{
								window.location.href = r.m_ajax_redict;
							}
							break;
					}
				}
				$("#submit_ajax").remove();
				//alert($("#submit_ajax")[0]?'daaa':'nuu');
			}
	});	
});
