function showCoords(c)
{
	$('#x').val(c.x);
	$('#y').val(c.y);
	$('#x2').val(c.x2);
	$('#y2').val(c.y2);
	$('#width').val(c.w);
	$('#height').val(c.h);
	$("input[name=img_options]:radio")[0].checked=true;
}

var listing_photos = function(){
	return {
		'photos_sortable_hierarchy': function(){
			$('#photo_thumbs').sortable({
				items:'li',
				placeholder:'placeholder',
				cursor:'move',
				update: function(event, ui) {
					var sort_data = $(this).sortable('serialize');
					$.ajax(
					{
						url: site_url+"admin/ajax_listings/listing_photos_sortable_hierarchy/",
						type: 'POST',
						data :sort_data,
						beforeSend: function(){
													
						},	
						success: function(data) {
						}
					});
											
				}
			});
		}
	}
}();


$(document).ready(function(){
	listing_photos.photos_sortable_hierarchy();
	if($('#jcrop')[0])
	{
		$('#jcrop').Jcrop({
			onChange: showCoords,
			onSelect: showCoords
		});
	}
	$("input[name='img_options']").on('click',
		function()
		{
			var val = $("input[name='img_options']:checked").val();
			var o_w = parseInt($("#o_width").val());
			var o_h = parseInt($("#o_height").val());
			if(val=='original' && o_w!=0 && o_h!=0)
			{
				$("#width").val(o_w);
				$("#height").val(o_h);
			}
		}
	);
	
	var listing_photos_files;
	$("#listing_photo_file_upload").change(
		function(e)
		{
			listing_photos_files= html5_images.select(e);
			if(listing_photos_files && (listing_photos_files.length!=0))
			{
				html5_images.resize(listing_photos_files,{width:1024,height:768,field_name:'listing_photo_file'});
			}
		}		
	);
});
