var paid_services = function()
{
	return {
		confirm_remove : function(msg)
		{
			if(!msg) return;
			var confirmation = confirm(msg);
			return confirmation;
		},
		remove_featured:function(src,msg)
		{
			var listing_id = $("#listing_id").val();
			var $el = $("#remove_featured");
			var position = $el.offset();
			var width = $el.width();
			var $this = this;
			$el.click(
				function(e)
				{
					e.preventDefault();
					if($this.confirm_remove(msg))
					{
						if(!$("#spinner")[0])
							$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
						$.ajax(
						{
							url: site_url+'admin/ajax_listings/remove_featured_listing/'+listing_id,
							type: 'GET',
							beforeSend: function()
							{
								$('#spinner').css({ top: position.top+5 , left: position.left+width+5}).fadeIn();
							},	
							success: function(data) 
							{
								if(data==1)
								{
									$el.parents('tr').remove();
								}
							},
							complete:function()
							{
								$("#spinner").fadeOut();	
							}
						});
					}	
				}
			);
		},
		remove_highlight:function(src,msg)
		{
			var listing_id = $("#listing_id").val();
			var $el = $("#remove_highlight");
			var position = $el.offset();
			var width = $el.width();
			var $this = this;
			$el.click(
				function(e)
				{
					e.preventDefault();
					if($this.confirm_remove(msg))
					{
						if(!$("#spinner")[0])
							$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
						$.ajax(
						{
							url: site_url+'admin/ajax_listings/remove_highlight_listing/'+listing_id,
							type: 'GET',
							beforeSend: function()
							{
								$('#spinner').css({ top: position.top+5 , left: position.left+width+5}).fadeIn();
							},	
							success: function(data) 
							{
								if(data==1)
								{
									$el.parents('tr').remove();
								}
							},
							complete:function()
							{
								$("#spinner").fadeOut();	
							}
						});
					}	
				}
			);
		},
		'featured_etime_init':function()
		{
			var check_date = function(){
				if($("#featured_etime").val()) 
				{
					if($("#featured_etime").val()!='0000-00-00 00:00:00')
						return $.datepicker.parseDate('yy-mm-dd',$("#featured_etime").val());
					else return false;
				}
				else 
				{
					return false;
				}
			}
			var selected = check_date();
			$("#featured_etime_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#featured_etime",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
				}
			});
			if(selected)
				$("#featured_etime_picker").datepicker('setDate',selected);
		},
		'highlight_etime_init':function()
		{
			var check_date = function(){
				if($("#highlight_etime").val()) 
				{
					if($("#highlight_etime").val()!='0000-00-00 00:00:00')
						return $.datepicker.parseDate('yy-mm-dd',$("#highlight_etime").val());
					else return false;
				}
				else 
				{
					return false;
				}
			}
			var selected = check_date();
			$("#highlight_etime_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#highlight_etime",
				altFormat: "yy-mm-dd",
				onClose: function (selectedDate)
				{
				}
			});
			if(selected)
				$("#highlight_etime_picker").datepicker('setDate',selected);
		}
	}
}();

$(document).ready(
	function(){
		paid_services.featured_etime_init();
		paid_services.highlight_etime_init();
	}
);
