<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="advert_type"}</label>{$action_object->check_required('advert_type')}
				</div>
				<div class="input_box">
					<div id="advert_type_radio">
						<input type="radio" name="advert_type" id="trigger_s_image" value="image" {if $action_object->get_value('advert_type')=='image'}checked="checked"{/if} /><label for="trigger_s_image">{translate text='image'}</label>
						<input type="radio" name="advert_type" id="trigger_s_flash" value="flash" {if $action_object->get_value('advert_type')=='flash'}checked="checked"{/if}/><label for="trigger_s_flash">{translate text='flash'}</label>
						<input type="radio" name="advert_type" id="trigger_s_jscript" value="jscript" {if $action_object->get_value('advert_type')=='jscript'}checked="checked"{/if} /><label for="trigger_s_jscript">{translate text='jscript'}</label>
					</div>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="start_date"}</label>{$action_object->check_required('start_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="start_date" id="start_date" value="{$action_object->get_value('start_date')}" />
					<input type="text" class="short_text" name="start_date_picker" id="start_date_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="end_date"}</label>{$action_object->check_required('end_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="end_date" id="end_date" value="{$action_object->get_value('end_date')}" />
					<input type="text" class="short_text" name="end_date_picker" id="end_date_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="advert_position"}</label>{$action_object->check_required('advert_position')}
				</div>
				<div class="input_box">
					<select name="advert_position" id="advert_position">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.advert_position.options}
						<option value="{$val}" {if $action_object->get_value('advert_position')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			{include file="$theme/tpls/adverts/adverts_title.tpl"}
			{include file="$theme/tpls/adverts/adverts_description.tpl"}
			<li id="li_link" class="s_link">
				<div class="label_box">
					<label>{translate text="link"}</label>{$action_object->check_required('link')}
				</div>
				<div class="input_box">
					<input type="text" class="long_text" id="link" name="link" value="{$action_object->get_value('link')}" />
				</div>
			</li>
			<li id="li_link_other" class="s_link_other">
				<div class="label_box">
					<label>{translate text="link_other"}</label>{$action_object->check_required('link_other')}
				</div>
				<div class="input_box">
					<textarea rows="3" id="link_other" name="link_other">{$action_object->get_value('link_other')}</textarea>
				</div>
			</li>
			<li id="li_direct_link" class="s_direct_link">
				<div class="label_box">
					<label>{translate text="direct_link"}</label>{$action_object->check_required('direct_link')}
				</div>
				<div class="input_box">
					<input type="radio" name="direct_link" value="1" {if $action_object->get_value('direct_link')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="direct_link" value="0" {if $action_object->get_value('direct_link')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li id="li_advert_file" class="s_advert_file">
				<div class="label_box">
					<label>{translate text="advert_file"}</label>{$action_object->check_required('advert_file')}
				</div>
				<div class="input_box">
					<input type="hidden" name="advert_file" id="advert_file" value="{$action_object->m_form_fields.advert_file.value}" />
					<input type="file" name="advert_file_upload" id="advert_file_upload" />
					<br />
					<strong>{translate text='max_size'}: </strong>{$action_object->m_form_fields.advert_file_upload.options.max_size} KB
					<br />
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.advert_file_upload.options.allowed_types}
					
					{if $action_object->m_form_fields.advert_file.value}
						<div style="padding:.4em 0">
							{if $action_object->m_form_fields.advert_type.value=='image'}
								<img src="{base_url}public/upload/adverts/{$action_object->m_form_fields.advert_file.value}" />
							{elseif $action_object->m_form_fields.advert_type.value=='flash'}
									<div id="flash_advert"></div>
									<script type="text/javascript">
									$(document).ready(
										function()
										{
											
											swfobject.embedSWF(
												base_url+'public/upload/adverts/{/literal}{$action_object->m_form_fields.advert_file.value}{literal}',
												"flash_advert",
												{/literal}{$action_object->m_form_fields.width.value}{literal},
												{/literal}{$action_object->m_form_fields.height.value}{literal}, 
												"9.0.0",base_url+'public/players/expressInstall.swf'
											);
										}
									);
									</script>
							{/if}
						</div>
					{/if}
				</div>
			</li>
			<li id="li_advert_code" class="s_advert_code">
				<div class="label_box">
					<label>{translate text="advert_code"}</label>{$action_object->check_required('advert_code')}
				</div>
				<div class="input_box">
					<textarea name="advert_code" id="advert_code" rows="5">{$action_object->m_form_fields.advert_code.value}</textarea>	
				</div>
			</li>
			<li id="li_width">
				<div class="label_box">
					<label>{translate text="width"}</label>{$action_object->check_required('width')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="width" name="width" value="{$action_object->get_value('width')}" /> px
				</div>
			</li>
			<li id="li_height">
				<div class="label_box">
					<label>{translate text="height"}</label>{$action_object->check_required('height')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="height" name="height" value="{$action_object->get_value('height')}" /> px
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="advert_prefix"}</label>{$action_object->check_required('advert_prefix')}
				</div>
				<div class="input_box">
					<textarea name="advert_prefix" id="advert_prefix" rows="3">{$action_object->m_form_fields.advert_prefix.value}</textarea>	
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="advert_suffix"}</label>{$action_object->check_required('advert_suffix')}
				</div>
				<div class="input_box">
					<textarea name="advert_suffix" id="advert_suffix" rows="3">{$action_object->m_form_fields.advert_suffix.value}</textarea>	
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="featured"}</label>{$action_object->check_required('featured')}
				</div>
				<div class="input_box">
					<input type="radio" name="featured" value="1" {if $action_object->get_value('featured')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="featured" value="0" {if $action_object->get_value('featured')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			{if $action_object->m_form_name=='adverts_edit'}
			<li>
				<div class="label_box">
					<label>{translate text="impressions"}</label>{$action_object->check_required('impressions')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="impressions" id="impressions" value="{$action_object->get_value('impressions')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="clicks"}</label>{$action_object->check_required('clicks')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="clicks" id="clicks" value="{$action_object->get_value('clicks')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="views"}</label>{$action_object->check_required('views')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="views" id="views" value="{$action_object->get_value('views')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="hierarchy"}</label>{$action_object->check_required('hierarchy')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="hierarchy" id="hierarchy" value="{$action_object->get_value('hierarchy')}" />
				</div>
			</li>
			{/if}
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='adverts_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='adverts_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->