<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{include file="$theme/tpls/bathroom_options/bathroom_options_title.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="options"}</label>{$action_object->check_required('options')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='options_info}">?</a>
				</div>
				<div class="input_box">
					<ul class="repeatable" id="options_repeatable">
						{foreach key=key item=item from=$action_object->m_form_fields.options.values}<li>
							<div class="repeatable_box">
							 	<input type="text" name="options_values[{$key}]" value="{$action_object->m_form_fields.options.values[$key].lft}" placeholder="{translate text='value'}" /> 
							 	<strong>=></strong> 
							 </div>
							 <div class="repeatable_box">
							 	<input type="text" name="options_labels[{$key}]" value="{$action_object->m_form_fields.options.values[$key].rgt}" placeholder="{translate text='label'}" />
							 </div>
							 <div class="repeatable_box">
								 <a href="#" class="options_repeatable_remove repeatable_remove"><strong>[-] {translate text='delete'}</strong></a>
							</div>
							<div class="clear" style="height:5px;"></div>
						</li>
						{foreachelse}
						<li>
							<div class="repeatable_box">
								 <input type="text" name="options_values[0]" value="" placeholder="{translate text='value'}" /> <strong>=></strong>
							</div>
							<div class="repeatable_box">
								<input type="text" name="options_labels[0]" value="" placeholder="{translate text='label'}" />
							</div>
							<div class="repeatable_box">
								<a href="#" class="options_repeatable_remove repeatable_remove"><strong>[-] {translate text='delete'}</strong></a>
							</div>
							<div class="clear" style="height:5px;"></div>
						</li>
						{/foreach}
					</ul>
					<a href="#" class="options_repeatable_add repeatable_add"><strong>[+] {translate text='add'}</strong></a>
					<script type="text/javascript">
						$(document).ready(
							function(){
								edit.repeatable('options');
							}
						);
					</script>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='bathroom_options_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='bathroom_options_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->