<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">	
		{include file="$theme/tpls/listings/_options_bar_submenu_listings.tpl"}
		
		<!--start payment / discounts-->
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{include file="$theme/tpls/listings/listings_discounts_title.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="start_date"}</label>{$action_object->check_required('start_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="start_date" id="start_date" value="{$action_object->get_value('start_date')}" />
					<input type="text" class="medium_text" name="start_date_picker" id="start_date_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="end_date"}</label>{$action_object->check_required('end_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="end_date" id="end_date" value="{$action_object->get_value('end_date')}" />
					<input type="text" class="medium_text" name="end_date_picker" id="end_date_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="persons"} >=</label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="persons" id="persons" value="{$action_object->get_value('persons')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="discounts"}</label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="discount_night" id="discount_night" value="{$action_object->m_form_fields.discount_night.value}" /> <strong>>=1 {translate text='night'}</strong> {$action_object->check_required('discount_night')}
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>&nbsp;</label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="discount_week" id="discount_week" value="{$action_object->m_form_fields.discount_week.value}" /> <strong>>=1 {translate text='week'}</strong> {$action_object->check_required('discount_week')}
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>&nbsp;</label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="discount_month" id="discount_month" value="{$action_object->m_form_fields.discount_month.value}" /> <strong>>=1 {translate text='month'}</strong> {$action_object->check_required('discount_month')}
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					{if $action_object->m_form_name=='listings_discounts_add'}
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					{/if}
					
					{if $action_object->m_form_name=='listings_discounts_edit'}
					<span class="btn_grey">
						<span>
							<span><a href="{$bo_listing_menu_cfg.payment.submenu.discounts.href}">&laquo; {translate text='discounts'}</a></span>
						</span>
					</span>
					{/if}
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listings_discounts_edit'}{translate text="save"}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					{if $action_object->m_form_name=='listings_discounts_edit'}
					<span class="btn_grey">
						<span>
							<span>{translate text='cancel'}</span>
							<input type="submit" name="submitf" value="submit_cancel" />
						</span>
					</span>
					{/if} 
					
					{if $action_object->m_form_name=='listings_discounts_add'}
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					{/if}
				</center>
			</li>
		</ul>
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#rates" class="minus">{translate text='discounts'}</a>
				<ul id="rates" style="background:#fff;border:0 none;">
					<li>
					{include file="$theme/tpls/_list.tpl"}
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul> 
		
		
		{if $action_object->m_form_name=='listings_discounts_add'}
		<!--start payment / discounts-->
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="discount_children"}</label>{$action_object->check_required('discount_children')}
					<a href="#" title="{translate text='discount_children_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="discount_children" id="discount_children" value="{$action_object->get_value('discount_children')}" /> <strong>%</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="discount_early_booking"}</label>{$action_object->check_required('discounts_early_booking')}
					<a href="#" title="{translate text='discount_early_booking_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<ul class="repeatable" id="discounts_early_booking_repeatable">
						{foreach key=key item=item from=$action_object->m_form_fields.discounts_early_booking.values}<li>
							<div class="repeatable_box">
							 	 <select name="discount_early_booking_days[{$key}]"> 
								 	<option value="">...</option>
								 	{foreach item=label key=val from=$action_object->m_form_fields.discount_early_booking_days.options}
								 		<option value="{$val}" {if $action_object->m_form_fields.discounts_early_booking.values[$key].lft==$val}selected="selected"{/if}>{$label}</option>
								 	{/foreach}
								 </select> <strong>=></strong>
							 </div>
							 <div class="repeatable_box">
							 	<input type="text" class="short_text" name="discount_early_booking[{$key}]" value="{$action_object->m_form_fields.discounts_early_booking.values[$key].rgt}" /> <strong>%</strong>
							 </div>
							 <div class="repeatable_box">
								<a href="#" class="discounts_early_booking_repeatable_remove repeatable_remove"> <strong>[-]{translate text='delete'}</strong></a>
							</div>
							<div class="clear" style="height:5px;"></div>
						</li>
						{foreachelse}
						<li>
							<div class="repeatable_box">
								 <select name="discount_early_booking_days[0]"> 
								 	<option value="">...</option>
								 	{foreach item=label key=val from=$action_object->m_form_fields.discount_early_booking_days.options}
								 		<option value="{$val}">{$label}</option>
								 	{/foreach}
								 </select> <strong>=></strong>
							</div>
							<div class="repeatable_box">
								<input type="text" class="short_text" name="discount_early_booking[0]" value="" /> <strong>% </strong>
							</div>
							<div class="repeatable_box">
								<a href="#" class="discounts_early_booking_repeatable_remove repeatable_remove"> <strong> [-] {translate text='delete'}</strong></a>
							</div>
							<div class="clear" style="height:5px;"></div>
						</li>
						{/foreach}
					</ul>
					<a href="#" class="discounts_early_booking_repeatable_add repeatable_add"><strong>[+] {translate text='add'}</strong></a>
					<script type="text/javascript">
						$(document).ready(
							function(){
								edit.repeatable('discounts_early_booking');
							}
						);
					</script>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="discount_long_stay"}</label>{$action_object->check_required('discounts_long_stay')}
					<a href="#" title="{translate text='discount_long_stay_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<ul class="repeatable" id="discounts_long_stay_repeatable">
						{foreach key=key item=item from=$action_object->m_form_fields.discounts_long_stay.values}<li>
							<div class="repeatable_box">
							 	 <select name="discount_long_stay_days[{$key}]"> 
								 	<option value="">...</option>
								 	{foreach item=label key=val from=$action_object->m_form_fields.discount_long_stay_days.options}
								 		<option value="{$val}" {if $action_object->m_form_fields.discounts_long_stay.values[$key].lft==$val}selected="selected"{/if}>{$label}</option>
								 	{/foreach}
								 </select> <strong>=></strong>
							 </div>
							 <div class="repeatable_box">
							 	<input type="text" class="short_text" name="discount_long_stay[{$key}]" value="{$action_object->m_form_fields.discounts_long_stay.values[$key].rgt}" /> <strong>%</strong>
							 </div>
							 <div class="repeatable_box">
								<a href="#" class="discounts_long_stay_repeatable_remove repeatable_remove"> <strong>[-]{translate text='delete'}</strong></a>
							</div>
							<div class="clear" style="height:5px;"></div>
						</li>
						{foreachelse}
						<li>
							<div class="repeatable_box">
								 <select name="discount_long_stay_days[0]"> 
								 	<option value="">...</option>
								 	{foreach item=label key=val from=$action_object->m_form_fields.discount_long_stay_days.options}
								 		<option value="{$val}">{$label}</option>
								 	{/foreach}
								 </select> <strong>=></strong>
							</div>
							<div class="repeatable_box">
								<input type="text" class="short_text" name="discount_long_stay[0]" value="" /> <strong>% </strong>
							</div>
							<div class="repeatable_box">
								<a href="#" class="discounts_long_stay_repeatable_remove repeatable_remove"> <strong> [-] {translate text='delete'}</strong></a>
							</div>
							<div class="clear" style="height:5px;"></div>
						</li>
						{/foreach}
					</ul>
					<a href="#" class="discounts_long_stay_repeatable_add repeatable_add"><strong>[+] {translate text='add'}</strong></a>
					<script type="text/javascript">
						$(document).ready(
							function(){
								edit.repeatable('discounts_long_stay');
							}
						);
					</script>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text="save"}</span>
							<input type="submit" name="submitf" value="submit_2" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		{/if}
	</form>
</div>		
