<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
	<input type="hidden" name="listing_id" id="listing_id" value="{$action_object->get_value('listing_id')}" />
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text='paid_services_current'}</label>
				</div>
				<div class="input_box">
					<table class="packages_table" width="50%" cellpadding="0" cellspacing="0">
						<tr>
							<th width="40%">{translate text='service'}</th>
							<th width="50%">{translate text='expires'}</th>
							<th width="10%">&nbsp;</th>
						</tr>
						{if $action_object->m_paid_services->featured==1}
						<tr>
							<td>{translate text='featured'}</td>
							<td>{format_field col='etime' value="`$action_object->m_paid_services->featured_etime`"}</td>
							<td>
								<a href="#" id="remove_featured"><strong>&times;</strong></a>
								<script type="text/javascript">paid_services.remove_featured({/literal}"{$action_object->m_form_action}","{translate text='featured_listing_remove_message'}"{literal});</script>
							</td>
						</tr>
						{/if}
						{if $action_object->m_paid_services->highlight==1}
						<tr class="alt">
							<td>{translate text='highlight'}</td>
							<td>{format_field col='etime' value="`$action_object->m_paid_services->highlight_etime`"}</td>
							<td>
								<a href="#" id="remove_highlight"><strong>&times;</strong></a>
								<script type="text/javascript">paid_services.remove_highlight({/literal}"{$action_object->m_form_action}","{translate text='highlight_listing_remove_message'}"{literal});</script>
							</td>
						</tr>
						{/if}
						{if $action_object->m_paid_services->featured==0 && $action_object->m_paid_services->highlight==0}
						<tr><td colspan="2"><strong>{translate text='listing_no_paid_services'}</strong></tr>
						{/if}
					</table>
				</div>
			</li>
			{if !$action_object->m_is_admin}
			<li>
				<div class="label_box">
					<label>{translate text='paid_services_add_renew'}</label>
				</div>
				<div class="input_box">
					<table class="packages_table" width="50%" cellpadding="0" cellspacing="0">
						{foreach name=available_services item=info key=val from=$action_object->m_form_fields.service.options}
						<tr {if $smarty.foreach.available_services.iteration is div by 2}class="alt"{/if}>
							<td width="30%">
								{if $info.remaining_balance>=0}
									<input type="radio" id="pservice_{$val}" name="service" value="{$val}" {if $action_object->get_value('service')==$val} checked="checked"{/if}  />
									{else}
									<a href="{$action_object->m_add_funds_url}/amount:{$info.remaining_balance*-1}">{translate text='click_to_add_funds'}</a>
								{/if}
							</td>
							<td width="70%">
								<label for="pservice_{$val}">
									<strong>{$info.title}</strong><br />
									<span style="font-weight:normal">{translate text='price'}: {convert_credits amount=$info.credits} | {translate text='no_days'}: {$info.no_days}</span>
								</label>
							</td>
						</tr>
						{/foreach}
					</table>
				</div>
			</li>
			{elseif $action_object->m_is_admin}
			<li>
				<div class="label_box">
					<label>{translate text='featured'} {translate text='expires'}</label>
				</div>
				<div class="input_box">
					<input type="hidden" id="featured_etime" name="featured_etime" value="{$action_object->m_form_fields.featured_etime.value}" />
					<input type="text" class="medium_text" name="featured_etime_picker" id="featured_etime_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text='highlight'} {translate text='expires'}</label>
				</div>
				<div class="input_box">
					<input type="hidden" id="highlight_etime" name="highlight_etime" value="{$action_object->m_form_fields.highlight_etime.value}" />
					<input type="text" class="medium_text" name="highlight_etime_picker" id="highlight_etime_picker" />
				</div>
			</li>
			{/if}
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listings_paid_services_add'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->