<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		{if $action_object->m_listing_restrictions->add_more_units || $action_object->m_form_name=='listings_units_edit'}
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="unit_type"}</label>{$action_object->check_required('unit_type_id')}
				</div>
				<div class="input_box">
					<select name="unit_type_id" id="unit_type_id">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.unit_type_id.options}
						<option value="{$val}" {if $val==$action_object->m_form_fields.unit_type_id.value}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			{include file="$theme/tpls/listings/listings_title.tpl"}
			{include file="$theme/tpls/listings/listings_summary.tpl"}
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="number_rooms"}</label>{$action_object->check_required('no_rooms')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="no_rooms" id="no_rooms" value="{$action_object->get_value('no_rooms')}" />
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="number_bedrooms"}</label>{$action_object->check_required('no_bedrooms')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="no_bedrooms" id="no_bedrooms" value="{$action_object->get_value('no_bedrooms')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="max_guests"}</label>{$action_object->check_required('max_guests')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="max_adults" id="max_adults" value="{$action_object->get_value('max_adults')}" placeholder="{translate text='max_adults'}" />{$action_object->check_required('max_adults')} <strong>{translate text='adults'}</strong> <strong>+</strong>
					<input type="text" class="short_text" name="max_children" id="max_children" value="{$action_object->get_value('max_children')}" placeholder="{translate text='max_children'}" />{$action_object->check_required('max_children')} <strong>{translate text='children'}</strong>
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="number_bathrooms"}</label>{$action_object->check_required('no_bathrooms')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="no_bathrooms" id="no_bathrooms" value="{$action_object->get_value('no_bathrooms')}" />
					<strong>{translate text='number_half_bathrooms'}: </strong><input type="text" class="short_text" name="no_half_bathrooms" id="no_half_bathrooms" value="{$action_object->get_value('no_half_bathrooms')}" />
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text='bedroom_options'}</label>
				</div>
				<div class="input_box">
					<ul class="a_options_list_short">
						{foreach item=conf key=option from=$action_object->m_form_fields.bedroom_options.options}
						<li>
							<strong>{$conf.label}: </strong><br />
							<input type="text" class="short_text" value="{$conf.value}" id="bedroomoption_{$option}" name="bedroomoption_{$option}"  />
						</li>
						{foreachelse}
							{if $action_object->m_is_admin}
								<li><a href="{site_url uri='admin/bedroom_options'}">{translate text='bedroom_options_view'}</a></li>
							{else}
								<li><strong>{translate text='n.a'}</strong></li>
							{/if}
						{/foreach}
					</ul>
					<div class="clear"></div>
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="bathroom_options"}</label>
				</div>
				<div class="input_box">
					<ul class="a_options_list_short">
						{foreach item=conf key=option from=$action_object->m_form_fields.bathroom_options.options}
						<li>
							<strong>{$conf.label}: </strong><br />
							{if $conf.options}
							<select name="bathroomoption_{$option}" name="bathroomoption_{$option}">
								{foreach item=label key=val from=$conf.options}
									<option value="{$val}" {if $conf.value==$val}selected="selected"{/if}>{$label}</option>
								{/foreach}
							</select>
							{else}
								<input type="text" class="short_text" value="{$conf.value}" id="bathroomoption_{$option}" name="bathroomoption_{$option}"  />
							{/if}
						</li>
						{foreachelse}
							{if $action_object->m_is_admin}
								<li><a href="{site_url uri='admin/bathroom_options'}">{translate text='bathroom_options_view'}</a></li>
							{else}
								<li><strong>{translate text='n.a'}</strong></li>
							{/if}
						{/foreach}
					</ul>
					<div class="clear"></div>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="unit_status"}</label>{$action_object->check_required('listing_status')}
				</div>
				<div class="input_box">
					<select name="listing_status" id="listing_status">
						{foreach item=label key=val from=$action_object->m_form_fields.listing_status.options}
						<option value="{$val}" {if $action_object->get_value('listing_status')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li> 
		</ul>		
		
		<ul class="form_box_submit">
			<li>
				<center>
					{if $action_object->m_form_name=='listings_units_add'}
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					{/if}
					
					{if $action_object->m_form_name=='listings_units_edit'}
					<span class="btn_grey">
						<span>
							<span><a href="{$bo_listing_menu_cfg.units.href}">&laquo; {translate text='units'}</a></span>
						</span>
					</span>
					{/if}	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listings_units_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					
					{if $action_object->m_form_name=='listings_units_add'}
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					{/if}
					
				</center>
			</li>
		</ul>
		{else}
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>	
				<div class="warning"><p><strong>{translate text='warning'}</strong><br />{translate text='you_cannot_add_more_units}</strong></div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
				</center>
			</li>
		</ul> 
		{/if}
		
		{if $action_object->m_form_name=='listings_units_add'}
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#rates" class="minus">{translate text='units'}</a>
				<ul id="rates" style="background:#fff;border:0 none;">
					<li>
					{include file="$theme/tpls/_list.tpl"}
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul> 
		{/if}
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->