<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	{include file="$theme/tpls/listings/_options_bar_submenu_listings.tpl"}
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">
		{if $action_object->m_listing_restrictions->upload_more_videos || $action_object->m_form_name=='listings_videos_edit'}
		<input type="hidden" name="listing_id" id="listing_id" value="{$action_object->m_form_fields.listing_id.value}" />
		<input type="hidden" name="active" id="active" value="1" />
		<input type="hidden" name="token" id="token" value="{$action_object->m_token}" />
		<input type="hidden" name="video_type" id="video_type" value="upload" />
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					&nbsp;
				</div>
				<div class="input_box">
					<div id="custom_queue"></div>
					<div id="upload_errors"></div>
					<input type="hidden" name="listing_video_file" id="listing_video_file" value="{$action_object->m_form_fields.listing_video_file.value}" />
					<table>
						<tr>
							<td valign="middle"><input type="file" name="listing_video_file_upload" id="listing_video_file_upload" /></td>
							<td valign="middle"><a href="#" id="switch_upload" rel="normal">{translate text='switch_to_default_uploader'}</a></td>
						</tr>
					</table>
					<br /><br />
					<strong>{translate text='max_video_size'}: </strong>{$action_object->m_form_fields.listing_video_file_upload.options.max_size} KB
					<br />
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.listing_video_file_upload.options.allowed_types_no_process}
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>
					{if $action_object->m_form_name=='listings_videos_add'}
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					{/if}
					
					<span class="btn_grey">
						<span>
							<span>{translate text="upload"}</span>
							<input type="hidden" name="submitf" value="submit_u" />
							<input type="button" name="submit_u" id="submit_u"  value="submit_u"  />
						</span>
					</span>
					
					{if $action_object->m_form_name=='listings_videos_add'}
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					{/if}
					
				</center>
			</li>
		</ul>
		{else}
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>	
				<div class="warning"><p><strong>{translate text='warning'}</strong><br />{translate text='you_cannot_upload_more_videos}</strong></div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
				</center>
			</li>
		</ul>
		{/if}
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#videos" class="minus">{translate text='listings_videos'}</a>
				<ul id="videos" style="background:#fff;border:0 none;">
					<li class="form_box_desp">&nbsp;</li>
					<li>
					{include file="$theme/tpls/_list.tpl"}
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->

<!-- start uploadify-->
{literal}					
<script type="text/javascript">
var idd = 'listing_video_file_upload';
var files = [];
$(document).ready(function(){
	$('#'+idd).uploadify({
		'uploader'       : '{/literal}{base_url}{literal}public/players/uploadify.swf',
		'script'         : '{/literal}{site_url}process_upload/index/listing_videos{literal}',
		'cancelImg'      : '{/literal}{base_url}{literal}public/images/btns/btn_cancel.png',
		'loadingImg'     : '{/literal}{base_url}{literal}public/images/loading.gif',
		'folder'         : '',
		'multi'          : true,
		'auto'           : false,
		'fileExt'        : '{/literal}{$action_object->m_form_fields.listing_video_file_upload.options.allowed_types_uploadify}{literal}',
		'fileDesc'       : 'FLV Files',
		'queueSizeLimit' : {/literal}{$action_object->m_listing_restrictions->upload_more_videos_no}{literal},
		'queueID'		 : 'custom_queue',
		'simUploadLimit' : {/literal}{config key='uploadify_sim_upload'}{literal},
		'removeCompleted': false,
		'sizeLimit'		 : {/literal}{$action_object->m_form_fields.listing_video_file_upload.options.max_size_uploadify}{literal},
		
		
        'scriptData' : {
        	'userdata':'{/literal}{$action_object->m_userdata}{literal}',
        	'token':'{/literal}{$action_object->m_token}{literal}'
		},		
        
		'onSelectOnce'   : function(event,data) {
		},
		'onAllComplete'  : function(event,data) {
			$("#listing_video_file").val(files.join('###'));
			if($("#upload_errors").html()!='')
			{
				setTimeout(function(){}, 6000);
			}
			$("#listings_videos_add").submit();
		},
		'onComplete'  	: function(event, ID, fileObj, response, data)
		{
			//console.log(response);
			var response_parsed = jQuery.parseJSON(response);
			if(response_parsed instanceof Object)
			{
				files.push(response);
				return true;
			}
			else
			{
				var errorOccured = response_parsed.substring(0,2).toUpperCase() == "EC";
				if (errorOccured) {
					//console.log('error');
					$("#upload_errors").html(response_parsed.substring(3,response_parsed.length));
					$("#upload_errors").show();
					$("#"+idd+ID).addClass('uploadifyError');
					$("#"+idd+ID).find('.percentage').html(' - 0%');
					return false;
				}
			}
		},
		'onError'		:  function (event,ID,fileObj,errorObj) {
			var errorText = '';
			if (errorObj.type == "File Size") {
				errorText = 'The file you are trying to upload is too large (' + fileObj.name + ')';
			}
			else errorText = 'An error occured during the upload of file ' + fileObj.name + '. Please try again or use the classic single file upload page.';
			$("#upload_errors").html(errorText);
			$("#upload_errors").show();
		},
		'onQueueFull': function(event,queueSizeLimit)
		{
			return false;
		},
		'buttonText'	: '{/literal}{translate text="browse"}{literal}'
	});
	
	$("#submit_u").click(
		function()
		{
			$('#listing_video_file_upload').uploadifyUpload();
		}
	);
	$("#switch_upload").click(
		function(e)
		{
			e.preventDefault();
			var url = window.location.href;
			var mode = $(this).attr('rel');
			$.ajax({
	  			url: site_url+'admin/ajax_listings/switch_upload/'+mode,
	  			success: function(){
	    			window.location.href = url;
	  			}
			});
		}
	);
});
</script>
{/literal}
<!--end uploadify-->