{load_bo bo="bo_admin_auth" action="login" assign="action_object" params="admin"}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>{translate text='restricted_area'}</title>
	<meta name="robots" content="noindex, nofollow" />
	<meta name="viewport" content="width=device-width" />
	<link rel="stylesheet" href="{base_url}combine.php?theme={$theme}&amp;type={$css_type}&amp;assets={$assets}" type="text/css" />
	<script type="text/javascript">var base_url = '{/literal}{base_url}{literal}';var site_url = '{/literal}{site_url ajax=1}{literal}';</script>
	<script type="text/javascript" src="{/literal}{base_url}combine.php?theme={$theme}&amp;type={$javascript_type}&amp;assets={$assets}{literal}"></script>
	<!--[if lt IE 9]>
    <script type="text/javascript" src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->  
	<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="{base_url}favicon.ico" />
</head>
<body class="body_0">

<!--start container-->
<div id="container">
	<!--start login box-->
	<div class="login_box">
		<!--logo-->
		<div class="login_logo">
			<img class="img_center" src="{base_url}public/themes/admin/images/logo.png" alt=" " />
		</div>
		<!--end logo-->
		
		<!--start round box-->
		<div class="roundbox rb__grey rb_4px rb_shaddow">
		<span class="rb"><span class="rb2 ie__grey_rb2">&nbsp;</span><span class="rb1 ie__grey_rb1">&nbsp;</span></span>
		<div class="rbc ie__grey_rbc">
		
			<!--start box header -->
			<div class="box_header rb_4px_top">
				<strong>{translate text='login'}</strong>
			</div>
			<!--end box header-->

			<!--start box content-->
			<form method="post" action="{site_url uri='admin/auth/login'}">
			<div class="box_content">
			
				<!--errors-->
				{if $action_object->m_errors}
				<div class="errors">
					<a href="#" class="close errors_close">&times;</a>
					
					<!--rb top-->
					<div class="roundbox rb_4px rb__error"><span class="rb"><span class="rb2 ie__error_rb2">&nbsp;</span><span class="rb1 ie__error_rb1">&nbsp;</span></span><div class="rbc ie__error_rbc">
					<!--end rb top-->
						{foreach item=error from=`$action_object->m_errors`}
							{$error}
						{/foreach}
					<!--rb bottom-->
					</div><span class="rb"><span class="rb1 ie__error_rb1">&nbsp;</span><span class="rb2 ie__error_rb2">&nbsp;</span></span></div>
					<!--end rb bottom-->
					
				</div>
				{/if}
				<!--end errors-->
			
				<!--start form fields-->
				<div class="login_box_form">
					<ul>
						<li>
							<div class="label_box"><label>{translate text='username'}</label></div>
							<div class="input_box">
								<input class="text autocompleteOff" type="text" name="username" id="username" value="{$action_object->m_form_fields.username.value}" />
							</div>
						</li>
						<li>
							<div class="label_box"><label>{translate text='password'}</label></div>
							<div class="input_box"><input class="text" type="password" name="password" id="password" value="" /></div>
						</li>
						<li>
							<div class="label_box"><label>{translate text='captcha'}</label></div>
							<div class="input_box">
								<input class="text autocompleteOff" type="text" name="captcha" id="captcha" />
								<br />
								<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
							</div>
						</li>
					</ul>
				</div>
				<!--end form fields-->
			</div>
			<!--end box content-->
			
			<!--box footer-->
			<div class="box_footer clearfix rb_4px_bottom">
				<div class="left remember_me">
					<div class="input_box">
						<input type="checkbox" name="remember" id="remember" value="1" {if $action_object->m_form_fields.remember.value==1}checked="checked"{/if} /> 
					</div>
					<label for="remember">{translate text='remember_me'}</label>
				</div>
				<div class="right">
					<span class="btn_grey">
						<span>
							<span>{translate text='login'}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</div>
			</div>
			</form>
			<!--end box footer-->
			
		</div>
		<span class="rb"><span class="rb1 ie__grey_rb1">&nbsp;</span><span class="rb2 ie__grey_rb2">&nbsp;</span></span>
		</div>
		<!--end round box-->
		
		<div class="forget_password text_center">
			<a href="{site_url uri='admin/auth/forgot}">{translate text='forgot_password'}</a> &bull; <a href="{base_url}">{translate text='view_site'}</a>
		</div>
		
	</div>
	<!--end login box-->
</div>
<!--end container-->
</body>
</html>