<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{include file="$theme/tpls/packages/packages_title.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="no_listings"}</label>{$action_object->check_required('no_listings')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='package_no_listings_info'}">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="no_listings" name="no_listings" value="{$action_object->get_value('no_listings')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="no_units"}</label>{$action_object->check_required('no_units')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="no_units" name="no_units" value="{$action_object->get_value('no_units')}" /> / {translate text='listing'}
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="no_days"}</label>{$action_object->check_required('no_days')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='package_no_days_info'}">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="no_days" name="no_days" value="{$action_object->get_value('no_days')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="no_photos"}</label>{$action_object->check_required('no_photos')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='package_no_photos_info'}">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="no_photos" name="no_photos" value="{$action_object->get_value('no_photos')}" /> / {translate text='listing'}
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="no_videos"}</label>{$action_object->check_required('no_videos')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='package_no_videos_info'}">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="no_videos" name="no_videos" value="{$action_object->get_value('no_videos')}" /> / {translate text='listing'}
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="price"}</label>{$action_object->check_required('price')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="price" name="price" value="{$action_object->get_value('price')}" /> <strong>{config key='currency_code'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="booking_fee"}</label>{$action_object->check_required('booking_fee')}
				</div>
				<div class="input_box">
					<a href="#" title="{translate text='booking_fee_info}" class="tooltip tooltip_info">?</a>
					<input type="text" class="short_text" id="booking_fee" name="booking_fee" value="{$action_object->get_value('booking_fee')}" /> 
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="booking_deposit"}</label>{$action_object->check_required('deposit')}
				</div>
				<div class="input_box">
					<a href="#" title="{translate text='booking_deposit_info}" class="tooltip tooltip_info">?</a>
					<input type="text" class="short_text" id="deposit" name="deposit" value="{$action_object->get_value('deposit')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="hidden"}</label>{$action_object->check_required('hidden')}
				</div>
				<div class="input_box">
					<input type="radio" name="hidden" value="1" {if $action_object->get_value('hidden')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="hidden" value="0" {if $action_object->get_value('hidden')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="allow_contact"}</label>{$action_object->check_required('allow_contact')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='package_allow_contact_info'}">?</a>
				</div>
				<div class="input_box">
					<input type="radio" name="allow_contact" value="1" {if $action_object->get_value('allow_contact')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="allow_contact" value="0" {if $action_object->get_value('allow_contact')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<div class="text_center">	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='packages_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='packages_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</div>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->