var reviews = function(){
	return {
		'vote_init':function()
		{
			if ( !$(".vote_up")[0] || !$(".vote_down")[0]) return;
			$(document).on('click','.vote_up',
				function(e)
				{
					e.preventDefault();
					var review_id = $(this).data('review_id');
					$.ajax({
  						url: site_url+'ajax/vote_review/'+review_id+'/up',
  						beforeSend:function(){},
  						success: function(data){
  							if(data!='') var temp = data.split('###');
  							if(temp)
  							{
    							$('#count_votes_up_'+review_id).html(temp[0]);
    							$('#count_votes_down_'+review_id).html(temp[1]);
  							}
  						}
					});
				}
			);
			
			$(document).on('click','.vote_down',
				function(e)
				{
					e.preventDefault();
					var review_id = $(this).data('review_id');
					$.ajax({
  						url: site_url+'ajax/vote_review/'+review_id+'/down',
  						beforeSend:function(){},
  						success: function(data){
    						if(data!='') var temp = data.split('###');
  							if(temp)
  							{
    							$('#count_votes_up_'+review_id).html(temp[0]);
    							$('#count_votes_down_'+review_id).html(temp[1]);
  							}
  						}
					});
				}
			);
		},
		'pagination_init': function()
		{
			if(!$("#ajax_reviews_pagination")[0]) return;
			$(document).on('click',"#ajax_reviews_pagination a", 
				function(e)
				{
					e.preventDefault();
					$.ajax({
  						url: $(this).attr('href'),
  						beforeSend:function(){ //$("#reviews").html('<img src="'+base_url+'public/images/loading.gif'+'" />');
						},
  						success: function(data){
    						$("#ajax_reviews").html(data);
    						reviews.pagination_init();
    						reviews.vote_init();
  						}
					});
				}
			);
		},
		'arrival_date':function()
		{
			if(!$("#arrival_date")[0]) return;
			var today = new Date();
			var $this = this;
			var check_send_date = function()
			{
				if($("#arrival_date").val() && ($("#arrival_date").val()!='0000-00-00 00:00:00')) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#arrival_date").val());

				}
				else 
				{
					return today;
				}
			}
			var selected = check_send_date();
			
			
			$("#arrival_date_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#arrival_date",
				altFormat: "yy-mm-dd",
				showOn: "both",
				buttonImage: base_url+'public/themes/'+theme+'/images/btn_calendar.png',
				buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					
				}
			}).datepicker('setDate',selected);
		}
	}
}();



$(document).ready(
	function()
	{
		reviews.vote_init();
		reviews.pagination_init();
		
		//write review
		reviews.arrival_date();
		if($(".star")[0])
		{
			$('input[type=radio].star').rating();
			$(document).on('hover','.star-rating a',function(e){
				e.preventDefault();
				$(this).tooltip({'placement':'top','container':'body'}).tooltip('show');
			});
			$(document).on('mouseleave','.star-rating a',function(e){
				e.preventDefault();
				$(this).tooltip('hide');
			});
		}
	}
);