	<!--navigation-->
	<div class="navigation">
	
		<!--top header-->
		<div class="top_header">
			<div class="container">
				<div class="social_networks">
				
					{config key='twitter_link' assign='twitter_link'}
					{config key='facebook_link' assign='facebook_link'}
					{config key='pinterest_link' assign='pinterest_link'}
					{config key='googleplus_link' assign='googleplus_link'}
					
					<a href="{site_url uri='rss/latest_listings'}" title="Rss"><span class="fa fa-rss"></span></a>
					{if $facebook_link}
						<a href="{$facebook_link}" target="_blank" rel="nofollow" title="Facebook"><span class="fa fa-facebook"></span></a>
					{/if}
					{if $twitter_link}
						<a href="{$twitter_link}" target="_blank" rel="nofollow" title="Twitter"><span class="fa fa-twitter"></span></a>
					{/if}
					{if $pinterest_link}
						<a href="{$pinterest_link}" target="_blank" rel="nofollow" title="Pinterest"><span class="fa fa-pinterest"></span></a>
					{/if}
					{if $googleplus_link}
						<a href="{$googleplus_link}" target="_blank" rel="nofollow" title="Google+"><span class="fa fa-google-plus"></span></a>
					{/if}
				</div>
				<div class="user_area">
					<div class="actions">
						{if $login_info.role}
							<span class="welcome">{translate text='welcome'} <strong id="logged_in">{$login_info.username}</strong> | </span>
							<a href="{site_url uri="`$login_info.role`/home"}" class="promoted" rel="nofollow">{translate text='my_panel'}</a>
							<a href="{site_url uri='auth/logout'}">{translate text='logout'}</a> | 
							
							<input type="hidden" id="wishlist_add_text" value="{translate text='wishlist_add}" />
							<input type="hidden" id="wishlist_remove_text" value="{translate text='wishlist_remove}" />
							<a rel="nofollow" href="{site_url uri='search/wishlist.1'}" data-toggle="tooltip" title="{translate text='wishlist'}" data-placement="bottom">
								<i class="fa fa-heart wishlist_heart_o" id="wishlist_heart"></i> <span id="wishlist_counter">0</span>
							</a>
						{else}
							<a rel="nofollow" id="show_quick_login" href="{site_url uri='auth/quick_login'}" class="promoted">{translate text='member_login'}</a>
							<a class="member_signup" href="{site_url}register">{translate text='member_signup'}</a> |
						{/if}
						<a rel="nofollow" href="{site_url uri='comparelist'}" id="show_comparelist" data-toggle="tooltip" title="{translate text='comparelist'}" data-placement="bottom">
							<i class="fa fa-exchange"></i> <span id="comparelist_counter">0</span>
						</a>
						
						{available_languages assign="current_lang" return_current=true}
						{available_currencies assign="current_currency" return_current=true}
						{available_square_metrics assign="current_square_metric" return_current=true}
						{available_languages assign="available_languages"}
						{available_currencies assign="available_currencies"}
						{available_square_metrics assign="available_square_metrics"}
						
						<div class="currency_dropdown">
							<a href="#" class="dropdown-toggle" id="currency_dropdown" data-toggle="dropdown" aria-expanded="false">
								{$current_currency->currency_code|upper} ({$current_currency->symbol_lft}{$current_currency->symbol_rgt}) <span class="caret"></span>
							</a>
							<ul class="dropdown-menu" role="menu" aria-labelledby="currency_dropdown">
								{foreach item=currency from=$available_currencies}
								{if $currency->href}
									<li role="presentation">
										<a role="menuitem" href="{$currency->href}">
											{$currency->currency_code|upper} {if $currency->symbol_lft||$currency_symbol_rgt}({$currency->symbol_lft}{$currency->symbol_rgt}){/if}
										</a>
									</li>
								{/if}
								{/foreach}
							</ul>
						</div>
						
						<div class="language_dropdown">
							<a href="#" class="dropdown-toggle" id="language_dropdown" data-toggle="dropdown" aria-expanded="false">{$current_lang->img} <span class="caret"></span></a>
							<ul class="dropdown-menu dropdown-menu-right" role="menu" aria-labelledby="currency_dropdown">
								{foreach item=lang from=$available_languages}
								{if $lang->href}
								<li role="presentation"><a role="menuitem" href="{$lang->href}">{$lang->img} <span>{$lang->title|ucfirst}</span></a></li>
								{/if}
								{/foreach}
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!--//top header-->
		
		<!--header-->
		<div class="container">
			<div class="navbar navbar-default main_nav" role="navigation">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						<span class="sr-only">Toggle navigation</span>
						<span class="icon-bar"></span><span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<!--logo-->
					<a class="navbar-brand" href="{base_url}">
						{config key='site_logo' assign='site_logo'}
						<img src="{base_url cdn=1}public/{if $site_logo}upload/site_logo/{$site_logo}{else}themes/{$theme}/images/logo.png{/if}" alt="{$default_title}" title="{$default_title}" />
					</a>
				</div>
				
				<!--main menu-->
				<div class="collapse navbar-collapse">
					{main_menu level_1_ul_class="nav navbar-nav navbar-right" level_n_ul_class="dropdown-menu" li_active_class="active"}
				</div>
				<!--//main menu-->
			</div>
		</div>
		<!--//header-->
		
	</div>