{load_bo bo="bo_contact" action="index" assign="action_object"}
{include file="$theme/tpls/forms/form_errors.tpl"}
{if $action_object->m_form_status!=1}


<div class="row">
	<div class="col-md-6">
		<form id="contact" method="post" action="{site_url uri="$co_controller"}">
			<div class="form-group">
				<label for="name">{translate text='your_name'} {$action_object->check_required('name')}</label>
				<input type="text" class="form-control" name="name" id="name" value="{$action_object->get_value('name')}" /> 
			</div>
			<div class="form-group">
				<label for="email">{translate text='email'} {$action_object->check_required('email')}</label>
				<input type="email" class="form-control" name="email" id="email" value="{$action_object->get_value('email')}" /> 
			</div>
			<div class="form-group">
				<label for="phone">{translate text='phone'} {$action_object->check_required('phone')}</label>
				<input type="text" class="form-control" name="phone" id="phone" value="{$action_object->get_value('phone')}" /> 
			</div>
			<div class="form-group">
				<label for="subject">{translate text='subject'} {$action_object->check_required('subject')}</label>
				<input type="text" class="form-control" name="subject" id="subject" value="{$action_object->get_value('subject')}" /> 
			</div>
			<div class="form-group">
				<label for="message">{translate text='message'} {$action_object->check_required('message')}</label>
				<textarea name="message" id="message" rows="3" class="form-control">{$action_object->get_value('message')}</textarea>
			</div>
			<div class="form-group">
				<label>{translate text='captcha'} {$action_object->check_required('captcha')}</label>
				<div class="w50p">
					<input autocomplete="off" type="text" class="form-control" name="captcha" value="{$action_object->m_form_fields.captcha.value}" />
				</div>
				<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
			</div>
			<div class="form-group text_center">
				<button type="submit" class="btn_dark_grey" name="submitf" value="contact">{translate text='submit'}</button>
			</div>
			<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>
		</form>
	</div>
	<div class="col-md-6">
		<div class="embed-responsive embed-responsive-4by3">
			<div id="map_canvas" class="embed-responsive-item"></div>
		</div>
		<div class="contact_info">
			{config key="contact_address" assign="contact_address"}
			{config key="contact_phone1" assign="contact_phone1"}
			{config key="contact_phone2" assign="contact_phone2"}
			{if $contact_address || $contact_phone1 || $contact_phone2}
			<ul>
				{if $contact_address}
				<li><i class="fa fa-map-marker"></i> {$contact_address}</li>
				{/if}
				{if $contact_phone1}
				<li><i class="fa fa-phone"></i> {$contact_phone1}</li>
				{/if}
				{if $contact_phone2}
				<li><i class="fa fa-phone"></i> {$contact_phone2}</li>
				{/if}
			</ul>
			{/if}
		</div>
	</div>
</div>
{/if}