<!DOCTYPE html>
<html>
<head>
{if isset($page) and ($page=='listing_details'||$page=='search')}
<link rel="dns-prefetch" href="//maps.googleapis.com">
<link rel="dns-prefetch" href="//maps.gstatic.com">
<link rel="dns-prefetch" href="//mts0.googleapis.com">
<link rel="dns-prefetch" href="//mts1.googleapis.com">
{/if}
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!--seo-->
{if !isset($seo_filter)}{seo_filter assign='seo_filter'}{/if}
<title>{if $seo_filter->seo_title}{$seo_filter->seo_title}{else}{$seo_title|default:$default_title|strip_tags}{/if}</title>
<meta name="description" content="{if $seo_filter->seo_description}{$seo_filter->seo_description}{else}{$seo_description|default:$default_description|strip_tags}{/if}" />
<meta name="keywords" content="{if $seo_filter->seo_keywords}{$seo_filter->seo_keywords}{else}{$seo_keywords|default:$default_keywords|strip_tags}{/if}" />
{if $no_index}<meta name="robots" content="noindex" />{/if}
{if $seo_canonical}<link rel="canonical" href="{$seo_canonical}" />{/if}
{if $seo_prev}<link rel="prev" href="{$seo_prev}" />{/if}
{if $seo_next}<link rel="next" href="{$seo_next}" />{/if}
<meta name="classification" content="vacation rentals">
<meta name="distribution" content="global">
<meta name="author" content="{base_url|replace:'http://':''}">
{*to do
<link rel="alternate" hreflang="es" href="http://es.example.com/">*}

<meta property="og:type" content="website" />
<meta property="og:title" content="{if $seo_filter->seo_title}{$seo_filter->seo_title}{else}{$seo_title|default:$default_title|strip_tags}{/if}" />
<meta property="og:description" content="{if $seo_filter->seo_description}{$seo_filter->seo_description}{else}{$seo_description|default:$default_description|strip_tags}{/if}" />
{if $seo_canonical}<meta property="og:url" content="{$seo_canonical}" />{/if}
{if $seo_image}<meta property="og:image" content="{$seo_image}" />{/if}
<meta property="og:site_name" content="{base_url|replace:'http://':''|replace:'www.':''}" />

<!--//seo-->

<!--google fonts-->
<link href='http://fonts.googleapis.com/css?family=Open+Sans:700,400,300,300italic' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Lato:400,100,100italic,300,300italic,400italic,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
<!--//google fonts-->

<!--css-->
<link rel="stylesheet" href="{base_url cdn=1}combine.php?theme={$theme}&amp;type={$css_type}&amp;assets={$assets}{if $dir}&amp;dir={$dir}{/if}" type="text/css" />
<!--//css-->

<!--ie-->
<!--[if lt IE 9]>
<script type="text/javascript" src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]--> 
<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
<!--//ie-->

<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="{base_url}favicon.ico" />
<link rel="alternate" type="application/rss+xml" title="{translate text='latest_listings'}" href="{site_url uri='rss/latest_listings'}" />
<link rel="alternate" type="application/rss+xml" title="{translate text='latest_news'}" href="{site_url uri='rss/latest_news'}" />
{config key='ga_tracking_code'}
</head>
