{load_bo bo="bo_news" action="view" assign="action_object"}
<div class="row">
	<div class="col-md-8">
		<div class="white_content_box clearfix">
			<div class="padding_10px">
				<div class="news_list">
					<h1>{translate text='news'} {if $action_object->m_calendar_date}({format_field col='date_format' value=$action_object->m_calendar_date show_time=false}){/if}</h1>
					{foreach item="news" from=$action_object->m_news_list}
					<div class="news_box clearfix">
						<a class="on_box" href="{$news->news_url}"></a>
						<div class="nb_header">
							<div class="title">
								<h3>{$news->title}</h3>
							</div>
							<div class="date">
								<i class="fa fa-clock-o"></i> {$news->ctime|date_format}
							</div>
						</div>
						<div class="nb_description">
							<p>{$news->description|strip_tags:true|truncate:190:'...':true} 
								<a href="{$news->news_url}" class="a_arrow"><strong>{translate text='read_more'}</strong></a>
							</p>	
						</div>
					</div>
					{foreachelse}
						<div class="alert alert-warning" role="alert">
							<strong>{translate text='no_results_found'}</strong>
						</div>
					{/foreach}
					<div class="pagination">
						{$action_object->m_pagination}
					</div>
					<div class="nl_footer">{if $action_object->m_calendar_date}<a href="{site_url}news"><i class="fa fa-arrow-circle-left"></i> {translate text='all_news'}</a>{/if}</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-4">
		<div class="h1px sticky_width"></div>
		<div class="sticky">
			<div class="white_content_box clearfix">
				<div class="padding_10px">
					<div class="news_calendar">
						{$action_object->m_news_calendar}
					</div>
				</div>
			</div>
		</div>
	</div>
</div>