{load_bo bo='bo_listing' action='book' assign='action_object'}

		<!--breadcrumbs_box-->
		{if $action_object->m_breadcrumbs}
		<div class="breadcrumbs_box">
			<div class="container">
				<ul class="breadcrumbs">
					<li class="first_breadcrumb"><a href="{base_url}"></a></li>
					<li class="breadcrumb_search"><a href="{$action_object->m_back_to_search_url}" data-toggle="tooltip" title="{translate text='back_to_search_results'}" data-container="body" data-placement="bottom"></a></li>
					{foreach name=breadcrumbs_list item=breadcrumb from=$action_object->m_breadcrumbs}
					<li {if $smarty.foreach.breadcrumbs_list.last}class="last_breadcrumb"{/if}>
						{if $breadcrumb.link}
							<a href="{$breadcrumb.link}">{$breadcrumb.crumb}</a>
						{else}
							{$breadcrumb.crumb}
						{/if}
					</li>
					{/foreach}
				</ul>
			</div>
		</div>
		{/if}
		<!--//breadcrumbs_box--> 
		
		<div class="container mobile_no_padding">
			<div class="row">
				<!--listing details main-->
				<div class="col-md-8">
					<div class="white_content_box clearfix">
						<div class="listing_details">
							<div class="ld_header">
								<h2>
									{translate text='book'}
								</h2>
							</div>
							
							<!--top tabs-->
							<ul class="nav nav-tabs" role="tablist" id="ld_tabs">
								<li role="presentation">
									<a href="{$action_object->m_listing_info->listing_url}#overview">
										<i class="fa fa-home"></i> <span>{translate text='overview'}</span>
									</a>
								</li>
								<li role="presentation">
									<a href="#booking" aria-controls="booking_form" role="tab" data-toggle="tab">
										<i class="fa fa-shopping-cart"></i> <span>{translate text='booking_form'}</span>
									</a>
								</li>
								{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_availability_calendar}
								<li role="presentation">
									<a href="#availability" aria-controls="booking_form" role="tab" data-toggle="tab">
										<i class="fa fa-calendar"></i> <span>{translate text='availability'}</span></a>
								</li>
								{/if}
								{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_rates}
								<li role="presentation">
									<a href="#rates" aria-controls="rates" role="tab" data-toggle="tab">
										<i class="fa fa-dollar"></i> <span>{translate text='rates'}</span>
									</a>
								</li>
								{/if}
								<li role="presentation">
									<a href="{$action_object->m_listing_info->listing_url}#contact">
										<i class="fa fa-envelope-o"></i> <span>{translate text='contact'}</span>
									</a>
								</li>
							</ul>
							<!--//top tabs-->
							
							<!--tabs content-->
							<div class="tab-content">
								<!--booking form-->
								<div role="tabpanel" class="tab-pane padding_10px" id="booking">
									{include file="$theme/tpls/forms/form_book.tpl"}
								</div>
								<!--//booking fomr-->
								
								<!--availability-->
								<div role="tabpanel" class="tab-pane" id="availability">
									{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_availability_calendar}
									{if $action_object->m_listing_info->calendar}
									<div class="padding_10px">
										<h2>{translate text='availability'}</h2>
										<div class="availability_calendar">
											<div class="row">{$action_object->m_listing_info->calendar}</div>
											<div class="clear"></div>
											<ul class="legend">
												<li class="booked"><i class="fa fa-stop"></i> {translate text='booked'}</li>
												<li class="pending"><i class="fa fa-square"></i> {translate text='pending'}</li>
												<li class="available"><i class="fa fa-square"></i> {translate text='available'}</li>
												<li class="unknown"><i class="fa fa-square"></i> {translate text='unknown'}</li>
											</ul>
											<div class="clear"></div>
										</div>
									</div>
									{/if}
									{/if}
								</div>
								<!--//availability-->
								
								<!--rates-->
								<div role="tabpanel" class="tab-pane" id="rates">
									{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_rates}
									<div class="padding_10px ld_section" id="rates">
										<h2>{translate text='rates'}</h2>
										<div class="listing_rates table-responsive">
											<table>
									    		<thead>
									    			<tr>
									    				<th scope="col" rowspan="2"><span class="offset">-</span></th>
									    				<th scope="col" colspan="2">{translate text='nightly_rate'}</th>
									    				<th scope="col" rowspan="2">{translate text='weekly_rate'}</th>
									    				<th scope="col" rowspan="2">{translate text='monthly_rate'}</th>
									    				<th scope="col" rowspan="2">{translate text='min_stay'}</th>
									    				<th scope="col" rowspan="2">{translate text='changeover'}</th>
									    			</tr>
									    			<tr>
									    				<th scope="col">{translate text='week'}</th>
									    				<th scope="col">{translate text='weekend'}</th>
									    			</tr>
									    		</thead>
									    		<tbody>
									    			<tr class="summary">
									    				<th scope="row">{translate text='rate_summary'}</th>
									    				<td colspan="2">
									    					{show_rate min="`$action_object->m_listing_info->converted_min_nightly_rate`" max="`$action_object->m_listing_info->converted_max_nightly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}
									    				</td>
									    				<td>
									    					{show_rate min="`$action_object->m_listing_info->converted_min_weekly_rate`" max="`$action_object->m_listing_info->converted_max_weekly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}

									    				</td>
									    				<td class="convertiblex">
									    					{show_rate min="`$action_object->m_listing_info->converted_min_monthly_rate`" max="`$action_object->m_listing_info->converted_max_monthly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}

									    				</td>
									    				<td>
									    					{if $action_object->m_listing_info->min_min_stay}{format_field col='number' value="`$action_object->m_listing_info->min_min_stay`"} {translate text='nights'}{else}-{/if}
									    				</td>
									    				<td> - </td>
									    			</tr>
									    			{foreach item=rate from=$action_object->m_listing_info->rates}
									    			<tr>
									    				<th scope="row">
									    					<span>{if $rate->unit_type_id}{format_field col=unit_type_id value=$rate->unit_type_id}{/if}</span>
									    					{format_field col=date_format value="`$rate->start_date`"} - {format_field col=date_format value="`$rate->end_date`"} 
									    					<span>{$rate->title|default:'&nbsp;'}</span>
									    				</th>
									    				<td>{show_rate value="`$rate->converted_nightly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{show_rate value="`$rate->converted_nightly_rate_weekend_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{show_rate value="`$rate->converted_weekly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{show_rate value="`$rate->converted_monthly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{format_field col='number' value=$rate->min_stay} {translate text='nights'}</td>
									    				<td>{format_field col='changeover_day' value=$rate->changeover_day}</td>
									    			</tr>
													{if $rate->extra_person_price_night||$rate->extra_person_price_week||$rate->extra_person_price_month}
									    			<tr class="info">
									    				<td colspan="7">
									    				<i class="fa fa-info-circle"></i> 
									    					<strong>{translate text='price_for'}:</strong> {$rate->persons} {translate text='persons'}, 
									    					<strong>{translate text='extra_person_price'}:</strong> 
									    					{if $rate->extra_person_price_night}{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_night_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='night'}{/if}{if $rate->extra_person_price_week}, 
		    						{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_week_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='week'}{/if}{if $rate->extra_person_price_month}, 
		    						{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_month_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='month'}{/if}
		    											</td>
													</tr>
													{/if}
									    			{/foreach}
									    		</tbody>
									    	</table>
								    	</div>
									</div>
									{/if}
								</div>
								<!--//rates-->
								
							</div>
							<!--//tabs content-->
							
						</div>
					</div>
				</div>
				<!--//listing details main-->
				
				
				<!--bookimg sidebar-->
				{include file="$theme/tpls/properties/property_book_sidebar.tpl" show_listing_info_box=true}
				<!--//booking sidebar-->
			</div>
		</div> 