{if !$c_errors}
<div class="booking_response booking_calculator_response_ok">
	<table>
		<tr>
			<th>{translate text='duration'}</th>
			<td>{$number_nights} {translate text='nights'}</td>
		</tr>
		<tr>
			<th>{translate text='guests'}:</th>
			<td>{$guests}</td>
		</tr>
		<tr>
			<th>{translate text='rental_price'}:</th>
			<td>{$currency->symbol_lft}{format_field col='number' decimals=2 value=$converted_rental_price_plus_taxes}{$currency->symbol_rgt}</td>
		</tr>
		{if $extra_persons_price>0}
		<tr>
			<th>{translate text='extra_persons_price'}:</th>
			<td>{$currency->symbol_lft}{format_field col='number' decimals=2 value=$converted_extra_persons_price_plus_taxes}{$currency->symbol_rgt}</td>
		</tr>
		{/if}
		{if $total_addons>0}
		<tr>
			<th>{translate text='addons_price'}:</th>
			<td>{$currency->symbol_lft}{format_field col='number' decimals=2 value=$converted_total_addons_plus_taxes}{$currency->symbol_rgt}</td>
		</tr>
		{/if}
		{if $subtotal_plus_taxes!=$total}
		<tr>
			<th>{translate text='subtotal'}:</th>
			<td><strong>{$currency->symbol_lft}{format_field col='number' decimals=2 value=$converted_subtotal_plus_taxes}{$currency->symbol_rgt}</strong></td>
		</tr>
		{/if}
		{if $total_discount>0}
		<tr>
			<th>{translate text='discount'}:</th>
			<td>{$currency->symbol_lft}{format_field col='number' decimals=2 value=$converted_total_discount}{$currency->symbol_rgt}</strong></td>
		</tr>
		{/if}
		{if $booking_fee_sign=='+' && $booking_fee>0}
		<tr>
			<th>{translate text='booking_fee'}:</th>
			<td>{$currency->symbol_lft}{format_field col='number' decimals=2 value=$converted_booking_fee}{$currency->symbol_rgt}</td>
		</tr>
		{/if}
		<tr class="total">
			<th>{translate text='total'}:</th>
			<td>{$currency->symbol_lft}{format_field col='number' decimals=2 value=$converted_total}{$currency->symbol_rgt}</td>
		</tr>
		<tr>
			<td colspan="2">{*$debug_calculation_str*}</td>
		</tr>
		{if $taxes_str}
		<tr class="info">
			<td><i class="fa fa-info-circle"></i> {translate text='all_prices_contain_taxes'} ({$taxes_str})</td>
		</tr>
		{/if}
	</table>
</div>

{else}
<div class="booking_calculator_response_error">
	{foreach item=error from=$c_errors}
		<p>{$error}</p>
	{/foreach}
	<p><strong>{translate text='booking_error_notes' contact_owner_link="`$c_listing_link`#contact"}</strong></p>
</div>
{/if}