{if isset($action_object->m_listing_info->reviews)}
	{assign var='reviews_list' value="`$action_object->m_listing_info->reviews`"}
	{assign var='reviews_pagination' value="`$action_object->m_listing_info->reviews_pagination`"}
	{assign var='reviews_total' value="`$action_object->m_listing_info->reviews_total`"}
	{assign var='owner_info' value="`$action_object->m_listing_info->user_info`"}
{else}
	{assign var='reviews_list' value=$ajax_reviews}
	{assign var='reviews_pagination' value="$ajax_reviews_pagination"}
	{assign var='reviews_total' value="$ajax_reviews_total"}
	{assign var='owner_info' value="`$ajax_owner_info`"}
{/if}
									<div class="padding_10px ld_section" id="reviews">
										<div class="reviews padding_10px">
											<h2>
												<div class="row">
													<div class="col-xs-12 col-sm-6 col-md-6"><i class="fa fa-comments"></i> {$action_object->m_listing_info->reviews_total} {translate text='reviews'}</div>
													<div class="col-xs-12 col-sm-6 col-md-6">
														{if ($action_object->m_listing_info->user_id!=$action_object->m_user_id) || $action_object->m_is_admin}
															<a class="write_a_review_link" href="{site_url}listing/review/{route_suffix for='listings'}.{$action_object->m_listing_info->listing_id}"><i class="fa fa-plus-square"></i> {translate text='write_a_review'}
															</a>
														{/if}
													</div>
												</div>
											</h2>
											{foreach name=list_reviews item=review from=$reviews_list}
											<div class="review_box clearfix">
												<div class="row">
													<div class="col-md-2">
														<div class="reviewer_logo">
															{if $review->logo_file!=''}
																<img {microdata text='itemprop="image"'} src="{image return_file=true w='80' h='60' c=1 mr=1 file="`$review->logo_file`" dir='logos'}" alt="{$review->name}" />
															{else}
																<img src="{gravatar email="`$review->email`" opts="w=80"}" alt="{$review->name}" />
															{/if}
														</div>
													</div>
													<div class="col-md-10">
														<div class="review">
															<div class="header">
																{translate text='by'} <strong><i class="fa fa-user"></i> {if $review->name}{$review->name}{else}{translate text='anonymous'}{/if}</strong> 
																{if $review->location}{translate text='from'} <strong><i class="fa fa-map-marker"></i> {$review->location}</strong>{/if}
																{translate text='on'} <strong><i class="fa fa-clock-o"></i> {format_field col='ctime' value="`$review->ctime`" show_time=false}</strong>
															</div>
															<div class="content">
																<h5>#{$review->review_id}. {$review->title}</h5>
																<p>{$review->body|nl2br}</p>
															</div>
														</div>
														{if $review->body_reply}
														<div class="review_reply_box">
															<i class="fa fa-caret-up arrow"></i>
															<div class="row">
																<div class="col-md-2">
																	<div class="reviewer_logo">
																		{if $owner_info->logo_file!=''}
																			<img width="60" {microdata text='itemprop="image"'} src="{image return_file=true w='80' h='60' c=1 mr=1 file="`$owner_info->logo_file`" dir='logos'}" alt="{$owner_info->name}" />
																		{else}
																			<img width="60" src="{gravatar email="`$owner_info->email`" opts="w=80"}" alt="{$owner_info->name}" />
																		{/if}
																	</div>
																</div>
																<div class="col-md-10">
																	<div class="review">
																		<div class="content">
																			<p>{$review->body_reply|nl2br}</p>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														{/if}
													</div>
												</div>
												<div class="review_footer">
													<div class="row">
														<div class="col-md-6">
															<div class="avg_rating_box">
																<strong>{translate text='rating'}</strong>
																<div class="rating_circles">
																	<div class="rating"><span>{$review->rating_stars}/5</span></div>
																	{section name="rating" loop=5 start=0 step=1}
																	<i class="fa fa-circle{if $smarty.section.rating.iteration>$review->rating_stars}-o{/if}"></i>
																	{/section}
																</div>
															</div>
														</div>
														<div class="col-md-6">
															<strong>{translate text='review_is_helpful'}</strong>
															<div class="review_vote">
																<a href="#" class="vote_up" data-review_id="{$review->review_id}">
																	<i class="fa fa-thumbs-o-up"></i> <span class="count" id="count_votes_up_{$review->review_id}">{$review->votes_up}</span>
																</a>
																<a href="#" class="vote_down" data-review_id="{$review->review_id}">
																	<i class="fa fa-thumbs-o-down"></i> <span class="count" id="count_votes_down_{$review->review_id}">{$review->votes_down}</span>
																</a>
															</div>
														</div>
													</div>
												</div>
											</div>
											{foreachelse}
											<div class="padding_10px">
												<strong>
												{if $action_object->m_user_id==$action_object->m_listing_info->user_id}
													{translate text='listing_not_yet_reviewed2'}
												{else}
													{translate text='listing_not_yet_reviewed'}
												{/if}
												</strong>
											</div>
											{/foreach}
										</div>
										<div id="ajax_reviews_pagination" class="pagination">{$reviews_pagination}</div>
									</div>