						<!--list view-->	
						<div class="search_results_list">
						
							{foreach name=loop_listings item=list_object from=$action_object->m_list_objects}
							<!--listing item-->
							<div class="listing_item clearfix">
								<div class="row">
									<div class="col-md-4">
										<div class="li_thumb">
											
											{if $list_object->no_photos>1}
												<div class="owl-carousel li_thumb_slideshow clearfix">
												{foreach item=thumb from=$list_object->photos}
													<a href="{$list_object->listing_url}">
														<img class="owl-lazy img-responsive thumb_slide_item" src="{base_url}public/images/loading.gif" data-src="{image return_file=true file="`$thumb->listing_photo_file`" w="640" h="480" c=1 dir="listing_photos" ctime="`$thumb->ctime`"}" alt="{$thumb->title}" title="{$thumb->title}"  />
													</a>
											
												{/foreach}
												</div>
											{else}
												<a href="{$list_object->listing_url}">
													<img src="{base_url}public/images/loading.gif" data-src="{image return_file=true file="`$list_object->photo`" w="640" h="480" c=1 dir="listing_photos" ctime="`$list_object->photo_ctime`"}" alt="{$list_object->title}" title="{$list_object->title}" class="img-responsive"  />
												</a>
											{/if}
										</div>
									</div>
									<div class="col-md-8">
										<div class="li_content clearfix">
											<div class="content_left">
												<div class="li_header">
													<a href="{$list_object->listing_url}"></a>
													<div class="li_title">{$list_object->title}</div>
													<div class="li_location">{$list_object->location_breadcrumbs}</div>
												</div>
												<div class="li_meta">
													{if $list_object->no_rooms && $list_object->no_bedrooms==0}
													<strong>{translate text='studio'}</strong>, 
													{else}
														<strong>{$list_object->listing_type_title}</strong>,
														{if $list_object->no_bedrooms}
														<strong>{translate text='bedrooms'}:</strong> {$list_object->no_bedrooms}, 
														{/if}
													{/if}
													{if $list_object->max_guests}<strong>{translate text='max_guests'}:</strong> {$list_object->max_guests}{/if}
												</div>
												<div class="li_summary">
													{$list_object->summary|strip_tags|truncate:250}
												</div>
												<div class="li_footer">
													{translate text='id'}: <strong>{$list_object->listing_id}</strong> | <i class="fa fa-clock-o"></i> {translate text='last_update'}: 
													<strong>{format_field col='date_format' show_time=false value=`$list_object->mtime`}</strong>
												</div>
											</div>
											
											<div class="content_right">
												{config key='use_stars' assign='use_stars'}
												{if $list_object->stars && $use_stars}
												<div class="li_stars" data-toggle="tooltip" data-placement="bottom" title="{$list_object->stars} {translate text='stars'} {$list_object->listing_type_title}">
													{section name="stars" loop=`$list_object->stars` start=0 step=1}<i class="fa fa-star"></i>{/section}
												</div>
												{/if}
												{if $list_object->show_price}
												<div class="li_price">
													{translate text='from'} 
													<span>{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$list_object->converted_price_min`"}{$action_object->m_currency->symbol_rgt}</span>
													/{$list_object->price_suffix}
												</div>
												{/if}
												<div class="li_reviews" data-toggle="tooltip" data-placement="bottom" title="{$list_object->reviews_rating}/5">
													{section name='reviews_rating' loop=5 step=1}
													<i class="fa fa-circle{if $smarty.section.reviews_rating.iteration>$list_object->reviews_rating}-o{/if}"></i>
													{/section}
													<br/>
													<a href="{$list_object->listing_url}#reviews"><strong>{$list_object->reviews_total}</strong> {translate text='reviews'}</a>
												</div>
												<div class="li_actions">
													<a {if !$list_object->in_wishlist}class="action_save" onclick="wishlist.add({$list_object->listing_id},this);return false;"{else}class="action_remove" onclick="wishlist.remove({$list_object->listing_id},this);return false;"{/if} href="#" data-toggle="tooltip" data-placement="top">
														<span class="{if !$list_object->in_wishlist}ico_heart_o{else}ico_heart{/if}"></span>
													</a>
													<a href="{$list_object->listing_url}#contact" data-toggle="tooltip" data-placement="top" title="{translate text='contact_owner'}"><span class="ico_mail"></span></a>
													<a {if !$list_object->in_comparelist}class="compare_save hidden-sm hidden-xs" onclick="comparelist.add({$list_object->listing_id},this);return false;"{else}class="compare_remove hidden-sm hidden-xs" onclick="comparelist.remove({$list_object->listing_id},this);return false;"{/if} href="#" data-toggle="tooltip" data-placement="top" title="{translate text='compare'}">
														<span class="{if !$list_object->in_comparelist}ico_compare_o{else}ico_compare{/if}"></span>
													</a>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<!--//listing item-->
							{foreachelse}
							<div class="alert alert-warning" role="alert">
								<strong>{translate text='no_results_found'}</strong>
							</div>
							{/foreach}
							
							<!--pagination-->
							<nav class="pagination_box text_center">
								{$action_object->m_pagination}
							</nav>
							<!--//pagination_box-->
						</div>
						<!--//list view-->