<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
{load_bo bo="bo_installer" action="index" assign="action_object"}
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>VRS Script - Installation routine</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="" />
<meta name="keywords" content="" />

<link rel="stylesheet" href="{base_url}public/themes/{$theme}/css/resets.css" type="text/css" />
<link rel="stylesheet" href="{base_url}public/themes/{$theme}/css/style.css" type="text/css" />
<link rel="stylesheet" href="{base_url}public/themes/{$theme}/css/forms.css" type="text/css" />
</head>
<body>
<!--start container-->
<div id="container">
	<!--start content-->
	<div id="content" class="column_full">
		<div class="full_content">
			<div class="box">
				<span class="rb"><span class="rb2 grey_rb2">&nbsp;</span><span class="rb1 grey_rb1">&nbsp;</span></span>
				<div class="rbc grey_rbc">
					<div id="header">
						<div class="logo">
							<a href="{base_url}"><img src="{base_url}public/themes/{$theme}/images/logo.png" alt="Vacation Rental Script" title="Vacation Rental Script" /></a>
						</div>
					</div>
					{include file="$theme/tpls/form_errors.tpl"}
					{if $action_object->m_form_status==1}
					<div class="basic_form">
						<div class="success_message">
							<strong>{$action_object->m_form_ok_message}</strong>
						</div>
					</div>
					{else}
					<div class="basic_form">
						<form id="install" method="post" action="{base_url}index.php?/installer" enctype="multipart/form-data" >
							<ul class="form_box">
								<!--start server settings-->
								<li class="form_box_section">
									<h2>{translate text='server_settings'}</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="label_box">
												<label>{translate text='base_url'}</label>{$action_object->check_required('server_base_url')}
											</div>
											<div class="input_box">
												<input type="text" class="text" id="server_base_url" name="server_base_url" value="{$action_object->get_value('server_base_url')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='server_type'}</label>{$action_object->check_required('server_type')}
											</div>
											<div class="input_box">
												<select id="server_type" name="server_type">
													<option value="">...</option>
													<option value="mod_rewrite" {if $action_object->get_value('server_type')=='mod_rewrite'}selected="selected"{/if}>{translate text='apache_rewrite'}</option>
													<option value="mod_rewrite_0" {if $action_object->get_value('server_type')=='mod_rewrite_0'}selected="selected"{/if}>{translate text='apache_no_rewrite'}</option>
												</select>
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
								<!--admin user settings-->
								<li class="form_box_section">
									<h2>{translate text='admin_settings'}</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="label_box">
												<label>{translate text='server_admin_username'}</label>{$action_object->check_required('server_admin_username')}
											</div>
											<div class="input_box">
												<input type="text" class="medium_text" id="server_admin_username" name="server_admin_username" value="{$action_object->get_value('server_admin_username')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='server_admin_email'}</label>{$action_object->check_required('server_admin_email')}
											</div>
											<div class="input_box">
												<input type="text" class="medium_text" id="server_admin_email" name="server_admin_email" value="{$action_object->get_value('server_admin_email')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='server_admin_password'}</label>{$action_object->check_required('server_admin_password')}
											</div>
											<div class="input_box">
												<input type="password" class="medium_text" id="server_admin_password" name="server_admin_password" value="{$action_object->get_value('server_admin_password')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='server_admin_password_retype'}</label>{$action_object->check_required('server_admin_password_retype')}
											</div>
											<div class="input_box">
												<input type="password" class="medium_text" id="server_admin_password_retype" name="server_admin_password_retype" value="{$action_object->get_value('server_admin_password_retype')}" />
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
								<!--start mysql settings-->
								<li class="form_box_section">
									<h2>{translate text='mysql_settings'}</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_driver'}</label>{$action_object->check_required('mysql_driver')}
											</div>
											<div class="input_box">
												<select name="mysql_driver" id="mysql_driver">
													<option value="mysql" {if $action_object->get_value('mysql_driver')=='mysql'}selected="selected"{/if}>MySQL</option>
													<option value="mysqli" {if $action_object->get_value('mysql_driver')=='mysqli'}selected="selected"{/if}>MySQLi</option>
												</select>
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_host'}</label>{$action_object->check_required('mysql_host')}
											</div>
											<div class="input_box">
												<input type="text" class="text" id="mysql_host" name="mysql_host" value="{$action_object->get_value('mysql_host')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_username'}</label>{$action_object->check_required('mysql_username')}
											</div>
											<div class="input_box">
												<input type="text" class="medium_text" id="mysql_username" name="mysql_username" value="{$action_object->get_value('mysql_username')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_password'}</label>{$action_object->check_required('mysql_password')}
											</div>
											<div class="input_box">
												<input type="password" class="medium_text" id="mysql_password" name="mysql_password" value="{$action_object->get_value('mysql_password')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_database'}</label>{$action_object->check_required('mysql_database')}
											</div>
											<div class="input_box">
												<input type="text" class="medium_text" id="mysql_database" name="mysql_database" value="{$action_object->get_value('mysql_database')}" />
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
							</ul>
							<ul class="form_box_submit">
								<li>
									<center>	
										<span class="btn_grey">
											<span>
												<span>{translate text='install'}</span>
												<input type="submit" name="submitf" value="submit" />
											</span>
										</span>
									</center>
								</li>
							</ul>
							<ul class="form_box_notes">
								<li>{translate text="fields_marked_are_mandatory"}</li>
							</ul>
						</form>
					</div>
				{/if}
				</div>
				<span class="rb"><span class="rb1 grey_rb1">&nbsp;</span><span class="rb2 grey_rb2">&nbsp;</span></span>
			</div>
			<!--end test cms-->
		</div>
		<!--end right sidebar-->
		<div class="clear"></div>
	</div>
	<!--end content-->
</div>
<!--end container-->
</body>
</html>